<div id="right">
  {if $zb5_version eq $newest_version}
  <div class="version" id="version_ok">
    <div class="icon"></div>
    <div class="desc">{$lang->admin->newest_version}</div>
    <div class="info">{$newest_version}</div>
  </div>
  {else}
  <div class="version" id="version_notok">
    <div class="icon"></div>
    <div class="desc">{$lang->admin->old_version}</div>
    <div class="info">Download {$newest_version}</div>
  </div>
  {/if}

  <div class="body">
    <div class="info_box">
      <div class="top"></div>
      <div class="middle">
        <div class="header">
          <div class="top"></div>
          <div class="middle">
            <div class="icon1"></div>
            <div class="title">{$lang->admin->fld_index_site_status}</div>
            <div class="icon_more" onclick="location.href='{$admin_file}?sid=view_status'"></div>
          </div>
          <div class="bottom"></div>
        </div>
        <table border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td width="24" height="24">&nbsp;</td>
          <td></td>
          <td width="3"><div style="width:3px;height:1px;"></div></td>
          <td align="right" class="fc_04">{$lang->admin->fld_index_total}</td>
          <td width="3"><div style="width:3px;height:1px;"></div></td>
          <td align="right" class="fc_04 b">{$lang->admin->fld_index_today}</td>
          <td width="3"><div style="width:3px;height:1px;"></div></td>
        </tr>
        <tr>
          <td height="24" colspan="7" class="hr_dt_01"></td>
        </tr>
        <tr>
          <td height="24"><img src="./admin/images/icons/folder_user.gif" width="16" height="16" hspace="4" vspace="4" /></td>
          <td class="fc_03 desc">{$lang->admin->fld_index_member_cnt}</td>
          <td></td>
          <td align="right" class="no fc_02 ff_th fs_10">{$total_member|number_format}</td>
          <td></td>
          <td align="right" class="no fc_12 ff_th fs_10">{$today_member|number_format}</td>
          <td></td>
        </tr>
        <tr>
          <td height="24" colspan="7" class="hr_dt_01"></td>
        </tr>
        <tr>
          <td height="24"><img src="./admin/images/icons/chart_curve.gif" width="16" height="16" hspace="4" vspace="4" /></td>
          <td class="fc_03 desc">{$lang->admin->fld_index_visitor}</td>
          <td></td>
          <td align="right" class="no fc_02 ff_th fs_10">{$total_visitor|number_format}</td>
          <td></td>
          <td align="right" class="no fc_12 ff_th fs_10">{$today_visitor|number_format}</td>
          <td></td>
        </tr>
        <tr>
          <td height="24" colspan="7" class="hr_dt_01"></td>
        </tr>
        <tr>
          <td height="24"><img src="./admin/images/icons/chart_curve.gif" width="16" height="16" hspace="4" vspace="4" /></td>
          <td class="fc_03 desc">{$lang->admin->fld_index_pageview}</td>
          <td></td>
          <td align="right" class="no fc_02 ff_th fs_10">{$total_pageview|number_format}</td>
          <td></td>
          <td align="right" class="no fc_12 ff_th fs_10">{$today_pageview|number_format}</td>
          <td></td>
        </tr>
        </table>
      </div>
      <div class="bottom"></div>
    </div>

    <div class="info_box">
      <div class="top"></div>
      <div class="middle">
        <div class="header">
          <div class="top"></div>
          <div class="middle">
            <div class="icon2"></div>
            <div class="title">{$lang->admin->fld_index_menu_status}</div>
            <div class="icon_more" onClick="location.href='{$admin_file}?sid=view_menu'"></div>
          </div>
          <div class="bottom"></div>
        </div>
        <table border="0" align="center" cellpadding="0" cellspacing="0">

        {if $menu_list}

        <tr>
          <td align="center" class="fc_04" width="24" height="24">{$lang->admin->fld_index_menu_order}</td>
          <td width="3"><div style="width:3px;height:1px;"></div></td>
          <td width="85" class="fc_04">{$lang->admin->fld_index_menu_title}</td>
          <td width="3"><div style="width:3px;height:1px;"></div></td>
          <td align="right" class="fc_04">{$lang->admin->fld_index_menu_view_cnt}</td>
          <td width="3"><div style="width:3px;height:1px;"></div></td>
        </tr>

        {foreach from=$menu_list item=obj key=key}

        <tr>
          <td height="24" colspan="6" class="hr_dt_01"></td>
        </tr>
        <tr>
          <td height="24" align="center" class="no {if $key eq 0}fc_13 b{else}fc_02{/if} ff_th fs_11">{$key+1}</td>
          <td></td>
          <td class="desc"><a href="./?sid={$obj->node_srl}" target='_blank' class="el {if $key eq 0}fc_11 b{else}fc_02{/if}" style="width:85px;">{$obj->node_name}</a></td>
          <td></td>
          <td align="right" class="no fc_12 ff_th fs_10">{$obj->view_cnt|number_format}</td>
          <td></td>
        </tr>

        {/foreach}
        {else}

        <tr align='center'>
          <td colspan='6' class="desc fc_02">{$lang->admin->notice_index_status_is_null}</td>
        </tr>

        {/if}

        </table>
      </div>

      <div class="bottom"></div>
    </div>
    <div class="info_box">
      <div class="top"></div>
      <div class="middle">
        <div class="header">
          <div class="top"></div>
          <div class="middle">
            <div class="icon3"></div>
            <div class="title">{$lang->admin->fld_index_referer_status}</div>
            <div class="icon_more" onClick="location.href='{$admin_file}?sid=view_query'"></div>
          </div>
          <div class="bottom"></div>
        </div>
        <table border="0" align="center" cellpadding="0" cellspacing="0">

        {if $query_list}

        <tr>
          <td align="center" class="fc_04" width="24" height="24">{$lang->admin->fld_index_referer_order}</td>
          <td width="3"><div style="width:3px;height:1px;"></div></td>
          <td width="100" class="fc_04">{$lang->admin->fld_index_referer_query}</td>
          <td width="3"><div style="width:3px;height:1px;"></div></td>
          <td align="right" class="fc_04">{$lang->admin->fld_index_referer_cnt}</td>
          <td width="3"><div style="width:3px;height:1px;"></div></td>
        </tr>

        {foreach from=$query_list item=obj key=key}
        <tr>
          <td height="24" colspan="6" class="hr_dt_01"></td>
        </tr>
        <tr>
          <td height="24" align="center" class="no ff_th fs_11 {if $key eq 0}fc_13 b{else}fc_02{/if}">{$key+1}</td>
          <td></td>
          <td class="desc"><div class="el {if $key eq 0}b fc_11{else}fc_02{/if}" style="width:100px;">{$obj->keyword}</div></td>
          <td></td>
          <td align="right" class="no fc_12 ff_th fs_10">{$obj->cnt|number_format}</td>
          <td></td>
        </tr>
        {/foreach}

        {else}
        <tr align='center'>
          <td colspan='6' class="desc fc_02">{$lang->admin->notice_index_status_is_null}</td>
        </tr>
        {/if}
        </table>
      </div>
      <div class="bottom"></div>
    </div>

    {if $module_list}
    <div class="info_box">
      <div class="top"></div>
      <div class="middle">
        <div class="header">
          <div class="top"></div>
          <div class="middle">
            <div class="icon3"></div>
            <div class="title">{$lang->admin->fld_index_module_info}</div>
            <div class="icon_more" onClick="location.href='{$admin_file}?sid=view_query'"></div>
          </div>
          <div class="bottom"></div>
        </div>

        <table border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td class="fc_04" width="100" height="24">{$lang->admin->fld_index_module_name}</td>
          <td width="3"><div style="width:3px;height:1px;"></div></td>
          <td class="fc_04">{$lang->admin->fld_index_install_status}</td>
        </tr>
        {foreach from=$module_list key=module item=obj}
        <tr>
          <td height="24" colspan="3" class="hr_dt_01"></td>
        </tr>
        <tr>
          <td height="24" class="fc_03" width="100"><div class="desc el" style="width:100px">{$obj->title}</div></td>
          <td></td>
          <td>
            <div class="desc fc_13">
            {if $obj->installed}
              {$lang->admin->fld_index_installed}
            {else}
              [<a href="#" onClick="admin_module_install('{$module}');return false;" class="fc_13">{$lang->admin->btn_index_install}</a>]
            {/if} 
            </div>
          </td>
          {/foreach}
        </table>
      </div>
    </div>
    {/if}
    
  </div>
</div>

{$admin_contents}
