{include 
    file='./admin/tpl/admin_content_header.tpl' 
    content_step="3" 
    icon="chart_bar.gif"
    title=$lang->admin->fld_index_summary  
    title2=" > "
    title3=$lang->admin->fld_index_site_status
    body_id="summary_statistics"
}

<form action='{$admin_file}' method='get'>
<input type='hidden' name='sid' value='{$sid}' />

<div class="tbar_30">
  <div class="guide">
    <div class="left"></div>
    <div class="right"></div>
  </div>
  <div class="center">
    <table border="0" cellspacing="0" cellpadding="1" style="float:left">
    <tr>
      <td>
        <select name='sel_type'>
          <option value='time' {if !$sel_type || $sel_type eq 'time'}selected{/if}>{$lang->admin->fld_index_type_time}</option>
          <option value='day' {if $sel_type eq 'day'}selected{/if}>{$lang->admin->fld_index_type_day}</option>
          <option value='month' {if $sel_type eq 'month'}selected{/if}>{$lang->admin->fld_index_type_month}</option>
        </select>
      </td>
      <td><input type='text' class='input' name='sel_year' value='{$sel_year}' size='4' maxlength='4' /></td>
      <td class="text">{$lang->admin->fld_index_year}</td>
      <td><input type='text' class='input' name='sel_month' value='{$sel_month}' size='2' maxlength='2' /></td>
      <td class="text">{$lang->admin->fld_index_month}</td>
      <td><input type='text' class='input' name='sel_day' value='{$sel_day}' size='2' maxlength='2' /></td>
      <td class="text">{$lang->admin->fld_index_day}</td>
      <td><button class="change" onClick='submit()'></button></td>
    </tr>
    </table>
    <table border="0" cellpadding="1" cellspacing="0" style="float:right;">
    <tr>
      <td>
        <button class="today"  onClick="location.href='{$admin_file}?sid={$sid}&amp;sel_type={$sel_type}'"></button>
      </td>
    </tr>
    </table>
  </div>
</div>

</form>

<table width="100%" border="0" cellspacing="1" cellpadding="0" class="tbl_01">
<tr>
  <th height="24"><div class="desc">{$lang->admin->fld_index_type}</div></th>
  <th><div class="desc">{$lang->admin->fld_index_visitor}</div></th>
  <th><div class="desc">{$lang->admin->fld_index_pageview}</div></th>
</tr>
<tr class="al_c">
  <td height="24" class="sh"><div class="desc">{$lang->admin->fld_index_total}</div></td>
  <td class="fc_00"><div class="no">{$total_status->unique|number_format}</div></td>
  <td class="fc_00"><div class="no">{$total_status->view|number_format}</div></td>
</tr>
<tr class="al_c">
  <td height="24" class="sh"><div class="desc">{$lang->admin->fld_index_selected}</div></td>
  <td class="fc_11 b"><div class="no">{$selected_status->unique|number_format}</div></td>
  <td class="fc_13 b"><div class="no">{$selected_status->view|number_format}</div></td>
</tr>
</table>

{if $selected_status}

<table width="100%" border="0" cellpadding="0" cellspacing="1" class="tbl_01">
{foreach from=$selected_status->list item=obj key=key name=list}
<tr class="row_0{$smarty.foreach.list.iteration%2+1}">
  <th width="90" height="28" class="no">
    {if $sel_type eq 'month'}
      <a href="{$admin_file}?sid=view_status&amp;sel_type=day&amp;sel_date={$key}" class="b fc_02">{$key|zdate}</a>
    {/if}
    {if $sel_type eq 'day'}
      <a href="{$admin_file}?sid=view_status&amp;sel_type=time&amp;sel_date={$key}" class="b fc_02">{$key|zdate}</a>
    {/if}
    {if $sel_type eq 'time'}
      <div class="b fc_02">{if $key<10}0{$key}{else}{$key}{/if}:00</div>
    {/if}
  </th>
  <td width="75" class="sh"><div class="fc_11 al_r gr">{$obj->unique|number_format}</div>
    <div class="hr_dt_03"></div>
    <div class="fc_13 al_r gr">{$obj->view|number_format}</div></td>
  <td><div class="grb">
      <div class="grbar_01" style="width:{if $obj->unique_per}{$obj->unique_per}%{else}1px{/if};"></div>
    </div>

    <div class="hr_dt_03"></div>
    <div class="grb">
      <div class="grbar_02" style="width:{if $obj->view_per}{$obj->view_per}%;{else}1px{/if}"></div>
    </div></td>
</tr>
{/foreach}
</table>

{/if}

{include file='./admin/tpl/admin_content_footer.tpl'}
