<script type='text/javascript'>
  var alert_msg = new Array();
  alert_msg['page_title'] = '{$lang->admin->fld_page_title}';
  alert_msg['title'] = '{$lang->admin->msg_page_title}';
  alert_msg['cache_interval'] = '{$lang->admin->msg_page_cache_interval}';
  alert_msg['page'] = '{$lang->admin->msg_page_select}';
  alert_msg['category_title'] = '{$lang->admin->msg_comment}';
  alert_msg['div_width'] = '{$lang->admin->msg_page_div_width}';
  alert_msg['div_height'] = '{$lang->admin->msg_page_div_height}';
  alert_msg['div_plugin_srl'] = '{$lang->admin->msg_page_div_plugin_srl}';
  alert_msg['no_selected'] = '{$lang->admin->fld_plugin_no_selected}';
  alert_msg['null_plugin'] = '{$lang->admin->msg_plugin_null_plugin}';
  alert_msg['msg_register'] = '{$lang->admin->msg_register}';
  alert_msg['msg_delete'] = '{$lang->admin->msg_delete}';
  admin_plugin_id = 'div_plugin_srl';
</script>

{include 
    file='./admin/tpl/admin_content_header.tpl' 
    content_step="2" 
    icon="page.gif"
    title=$lang->admin->page_manager
}

<div id='zone_list'>
  <div class="tbar_30">
    <div class="guide">
      <div class="left"></div>
      <div class="right"></div>
    </div>
    <div class="center">
      <div style='float:left;'>
        <table border="0" cellpadding="1" cellspacing="0">
        <tr>
          <td>
            <select id='category_srl' name='category_srl' onChange='return admin_page_change_category(this)'>
              <option value='' {if $category_srl|is_null}selected{/if}>{$lang->admin->fld_page_total_category}</option>
              <option value='0' {if $category_srl eq '0'}selected{/if}>{$lang->admin->fld_page_default_category}</option>
              {foreach from=$category_list key=key item=obj}
                <option value='{$key}' {if $category_srl eq $key}selected{/if}>{$obj->category_title}</option>
              {/foreach}
            </select>
          </td>
          <td><button class="s_setup" onClick='admin_page_show_category();'></button></td>
        </tr>
        </table>
      </div>

      <div style='float:right'>

        <form id='fo_search' action='{$admin_file}' style='display:inline' onSubmit="return false">
        <input type='hidden' name='mid' value='{$mid}' />
        <input type='hidden' name='category_srl' value='{$category_srl}' />

        <table border="0" cellpadding="1" cellspacing="0">
          <tr>
            <td><input type="text" name='search_keyword' value="{$search_keyword}" class="input" style="width:100px;" /></td>
            <td>
              <button class="search" onClick='submit()'></button>
              <button class="cancel" onClick="location.href='{$admin_file}?mid={$mid}'"></button>
            </td>
          </tr>
        </table>

        </form>

      </div>
    </div>
  </div>

  <div>
    <div style="float:left;">
      <button class="regist" onClick='admin_page_show_form();'></button>
    </div>

    <table border="0" cellpadding="0" cellspacing="2" style="height:22px;float:right;">
    <tr>
      <td><img src="./admin/images/common/img_btninfo_modify.gif" alt="{$lang->admin->btn_modify}" width="14" height="14" /></td>
      <td class="fh_01 desc">{$lang->admin->btn_modify} &nbsp;</td>
      <td><img src="./admin/images/common/img_btninfo_delete.gif" alt="{$lang->admin->btn_delete}" width="14" height="14" /></td>
      <td class="fh_01 desc">{$lang->admin->btn_delete} &nbsp;</td>
    </tr>
    </table>
    <div style="clear:both;overflow:hidden;height:5px;"></div>
  </div>

  <table width="100%" border="0" cellspacing="1" cellpadding="0" class="tbl_01">
  <tr>
    <th width="60" height="24"><div class="desc">{$lang->admin->fld_no}</div></th>
    <th width="120"><div class="desc">{$lang->admin->fld_page_category_title}</div></th>
    <th><div class="desc">{$lang->admin->fld_page_title}</div></th>
    <th width="60">&nbsp;</th>
  </tr>

  {if $list}
    {foreach from=$list key=key item=obj name=list}
    <tr class="row_0{$smarty.foreach.list.iteration%2+1}">
      <td height="24" class="al_c"><div class="no el" style="width:60px;">{$page_nav->v_no-$key}</div></td>
      <td class="al_l"><div class="desc el" style="width:100px;">{$obj->category_title}</div></td>
      <td class="al_l"><div class="desc el" style="width:96%;">{$obj->title}</div></td>
      <td class="al_c">
        <table border="0" cellspacing="1" cellpadding="0" style="margin:1px;">
        <tr>
          <td><button class="lb_modify" onClick='admin_page_get_info({$obj->page_srl});' title="{$lang->admin->btn_modify}"></button></td>
          <td><button class="lb_delete" onClick='admin_page_delete({$obj->page_srl});' title="{$lang->admin->btn_delete}"></button></td>
        </tr>
        </table>
      </td>
    </tr>
    {/foreach}
  {else}
    <tr class="row_01">
      <td height="60" class="al_c" colspan="4"><div class="desc el">{$lang->admin->notice_page_no_selected_list}</div></td>
    </tr>
  {/if}
  </table>

  {$page_nav_tpl}

</div>

<div id='zone_insert' style='display:none'>

  <form action='{$admin_file}' method='post' id='fo_insert' style='display:inline' onSubmit='return false'>
  <input type='hidden' name='page_srl' value='' />
  <input type='hidden' name='plugin_srls' value='' />
  <input type='hidden' name='plugin_attrs' value='' />

  <div class="tbar_y_30">
    <div class="guide">
      <div class="left"></div>
      <div class="right"></div>
    </div>

    <div class="center">
      <table border="0" cellpadding="1" cellspacing="0" style="float:left;">
      <tr>
        <td class="icon"><img src="./admin/images/icons/bullet_error.gif" alt="i" width="16" height="16" /></td>
        <td class="text">{$lang->admin->notice_site_config_save}</td>
      </tr>
      </table>
      <table border="0" cellpadding="1" cellspacing="0" style="float:right;">
      <tr>
        <td>
          <button class="save" onclick="admin_page_insert()"></button>
          <button class="cancel" onclick="admin_page_hide_form()"></button>
        </td>
      </tr>
      </table>
    </div>
  </div>

  <div>
    <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tbl_01">
    <tr class="row_01">
      <th width="120" height="24" class="al_l"><div class="desc">{$lang->admin->fld_page_category_title}</div></th>
      <td class="al_l">
        <div>
          <select name='page_category_srl'>
            <option value='0'>{$lang->admin->fld_page_category_select}</option>
            {foreach from=$category_list key=key item=obj}
            <option value='{$obj->page_category_srl}'>{$obj->category_title}</option>
            {/foreach}
          </select>
        </div>
      </td>
    </tr>
    <tr class="row_02">
      <th height="24" class="al_l"><div class="desc">{$lang->admin->fld_page_title}</div></th>
      <td class="al_l"><div><input type="text" name="title" class="input" style="width:96%;" value="" /></div></td>
    </tr>
    <tr class="row_01">
      <th height="24" class="al_l"><div class="desc">{$lang->admin->fld_page_cache_interval}</div></th>
      <td class="al_l">
        <div>
          <select name='cache_interval'>
            {section name=interval start=0 loop=60 step=1}
            {assign var=key value=$smarty.section.interval.index}
            <option value='{$key}'>{$key}</option>
            {/section}
          </select>
          ({$lang->admin->notice_page_cache_interval})
        </div>
      </td>
    </tr>
    </table>
  </div>

  </form>

  <div>
    <table border='0' cellspacing='1' cellpadding='0' width='100%'>
    <tr valign='top'>
      <td width='510'><div id='_zone_plugin_list' style='width:510px;padding:0px;'></div></td>
      <td>
        <div class="tbar_30">
          <div class="guide">
            <div class="left"></div>
            <div class="right"></div>
          </div>
          <div class="center">
            <table border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td class="icon"><img src="./admin/images/icons/s_application.gif" alt="i" width="16" height="16" /></td>
                <td class="text b fc_02">{$lang->admin->fld_page_insert_div}</td>
              </tr>
            </table>
          </div>
        </div>

        <form action='{$admin_file}' method='post' id='fo_add_div' style='display:inline' onSubmit='return false'>
        <input type='hidden' name='div_plugin_srl' id='div_plugin_srl' value='' />

        <table width="100%" border="0" cellspacing="1" cellpadding="0" class="tbl_01">
        <tr class="row_01">
          <th width="90" height="24" class="al_l"><div class="desc">{$lang->admin->fld_plugin_title}</div></th>
          <td class="al_l"><div class='desc' id='zone_plugin_name_div_plugin_srl'>{$lang->admin->fld_plugin_no_selected}</div></td>
        </tr>
        <tr class="row_02">
          <th height="24" class="al_l"><div class="desc">{$lang->admin->fld_page_div_width}</div></th>
          <td class="al_l">
            <div>
              <input type='text' class='input' size=4 name='div_width' value='100' style='width:40px' />
              <input type='radio' name='div_width_type' value='px' /> px
              <input type='radio' name='div_width_type' value='%' checked /> %
            </div>
          </td>
        </tr>
        <tr class="row_01">
          <th height="24" class="al_l"><div class="desc">{$lang->admin->fld_page_div_height}</div></th>
          <td class="al_l"><div><input type='text' class='input' name='div_height' size=4 value='' style='width:40px' />px</div></td>
        </tr>
        <tr class="row_02">
          <th height="24" class="al_l"><div class="desc">{$lang->admin->fld_page_div_float_type}</div></th>
          <td class="al_l">
            <div>
              <select name='div_float'>
                <option value='left'>{$lang->admin->fld_page_div_float_left}</option>
                <option value='right'>{$lang->admin->fld_page_div_float_right}</option>
              </select>
            </div>
          </td>
        </tr>
        <tr class="row_01">
          <th height="24" class="al_l"><div class="desc">{$lang->admin->fld_page_div_padding}</div></th>
          <td class="al_l">
            <div>
              <input type='text' class='input' style='width:20px' size=2 name='div_padding1' value='0' />px
              <input type='text' class='input' style='width:20px' size=2 name='div_padding2' value='0' />px
              <input type='text' class='input' style='width:20px' size=2 name='div_padding3' value='0' />px
              <input type='text' class='input' style='width:20px' size=2 name='div_padding4' value='0' />px
            </div>
          </td>
        </tr>
        </table>

        <div align="right">
          <button class='add' onClick='admin_page_div_insert()'></button>
          <button class='null_plugin' onClick='admin_page_null_input()'></button>
        </div>
        </form>
      </td>
    </tr>
    </table>
  </div>

  <div style='clear:both;height:10px;'></div>

  <div class="tbar_25">
    <div class="guide">
      <div class="left"></div>
      <div class="right"></div>
    </div>
    <div class="center">
      <div class="form_L_icon"><img src="./admin/images/icons/s_application.gif" alt="i" width="16" height="16" /></div>
      <div class="form_L_text">{$lang->admin->fld_edit_page}</div>
    </div>
  </div>

  <table border="0" width="100%" height="200" style='border:1px solid;border-color:#E3E3E2;'>
  <tr>
    <td id='zone_page_main' valign="top">
      <div class='zFloatLeft' id='zone_page_main_default' style='display:none;width:100%;height:1px;'></div>
    </td>
  </tr>
  </table>

</div>

{if $page_srl}
<script type='text/javascript'>
  var _page_srl = '{$page_srl}';
  xAddEventListener(window, 'load', admin_page_show_form_onload);
</script>
{/if}

{include file='./admin/tpl/admin_content_footer.tpl'}
