<?php

  class zMenu {

    function updateNode($module_srl) {
      if(!$module_srl) return;

      $oDB = &zDB::instance();

      $module_srl = $oDB->addquotes($module_srl);
      $tmp_obj = $oDB->selectOne('node_srl','module_manager',"module_srl='{$module_srl}'");
      $node_srl = $tmp_obj->node_srl;

      if(!$node_srl) return;

      $cnt = $oDB->getCount('articles',"module_srl='{$module_srl}'");

      $node_srl = $oDB->addquotes($node_srl);
      $node_obj->article_cnt = $cnt;
      $node_obj->lastupdate = date("YmdHis");
      $oDB->update('menu_tree',$node_obj,"node_srl='{$node_srl}'");
    }

    function getMenuList($menu_obj) {
      if(!$menu_obj) return;

      foreach($menu_obj as $key => $menu_srl) {
        if(!$menu_srl) continue;
        $menu_srl_list[] = $menu_srl;
      }

      if(count($menu_srl_list)) $menu_srls = implode(',',$menu_srl_list);

      $columns_list = array("menu_srl","tree_list","simple_tree_list","update_date","cache_interval");

      $oDB = &zDB::instance();
      $oDB->select($columns_list, 'menu_manager', "menu_srl in ($menu_srls)");

      while($tmp = $oDB->fetch()) {
        $_menu_list[] = $tmp;
      }

      for($i=0;$i<count($_menu_list);$i++) {
        $menu_srl = $_menu_list[$i]->menu_srl;
        $tree_list = $_menu_list[$i]->tree_list;
        $simple_tree_list = $_menu_list[$i]->simple_tree_list;
        $update_date = $_menu_list[$i]->update_date;
        $cache_interval = $_menu_list[$i]->cache_interval;

        if( $cache_interval>0 && ($update_date+$cache_interval*60 < time() || !$tree_list) ) {
          zMenu::updateNodeList($menu_srl, $tmp);
          $tree_list = $_menu_list[$i]->tree_list;
          $simple_tree_list = $_menu_list[$i]->simple_tree_list;
        }
        foreach($menu_obj as $_k => $_menu_srl) {
          if(!$_menu_srl) continue;
          if($_menu_srl == $menu_srl) {
            $obj->menu_srl = $menu_srl;
            $obj->tree_list = unserialize(base64_decode($tree_list));
            $obj->simple_tree_list = unserialize(base64_decode($simple_tree_list));
            $ret_obj->{$_k} = $obj;
          }
        }
        unset($tmp);
      }
      return $ret_obj;
    }

    function updateNodeList($menu_srl, &$tmp) {
      $oMenu = new zMenu();
      $oMenu->_updateNodeList($menu_srl, $tmp);
    }

    function _updateNodeList($menu_srl, &$tmp) {
      $this->_getTreeList($menu_srl);
      $this->_getTreeListSImply($this->tree_list, 0);

      $tree_list = base64_encode(serialize($this->tree_list));
      $simple_tree_list = base64_encode(serialize($this->simple_tree_list));

      $oDB = &zDB::instance();
      $menu_srl = $oDB->addquotes($menu_srl);

      $tmp->tree_list = $query_obj->tree_list = $tree_list;
      $tmp->simple_tree_list = $query_obj->simple_tree_list = $simple_tree_list;
      $query_obj->update_date = time();
      $oDB->update('menu_manager',$query_obj, "menu_srl = '{$menu_srl}'");
    }

    function _getTreeList($menu_srl) {
      $oDB = &zDB::instance();

      $oDB->select('*','module_manager');
      while($tmp=$oDB->fetch()) {
        $module_list[$tmp->module_srl] = $tmp->title;
      }

      $oDB->select('*','page_manager');
      while($tmp=$oDB->fetch()) {
        $page_list[$tmp->page_srl] = $tmp->title;
      }

      $menu_srl = $oDB->addquotes($menu_srl);
      $output = $oDB->select('*','menu_tree',"menu_srl = '{$menu_srl}'", array('p_node_srl','listorder'));
      if($output->error!=0) return $output;

      while($tmp = $oDB->fetch_array()) {
        $p_node_srl = $tmp['p_node_srl'];
        $node_srl = $tmp['node_srl'];
        $module_srl = $tmp['module_srl'];
        $page_srl = $tmp['page_srl'];

        $tmp['module_title'] = $module_list[$module_srl];
        $tmp['page_title'] = $page_list[$page_srl];

        if($p_node_srl==0) $p_node_srl = 'root';

        $list[$node_srl]['info'] = $tmp;
        $list[$p_node_srl]['list'][$node_srl] = &$list[$node_srl];
      }

      $this->tree_list = $list['root'];
    }

    function _getTreeListSImply($list, $depth) {
      if(!$list['list']) return;
      foreach($list['list'] as $key => $val) {
        $val['info']['depth'] = $depth+1;
        $this->simple_tree_list[$key] = $val['info'];
        if($val['list']) $this->_getTreeListSImply($val, $depth+1);
      }
    }

  }

?>
