<?php

  class zSearch {

    var $module_srl = null;
    var $module_srl_list = null;
    var $serail_srl = null;
    var $member_srl = null;

    var $tag = null;
    var $archive = null;

    var $search_keyword = null;
    var $st = 'N';
    var $sc = 'N';
    var $sw = 'N';
    var $sg = 'N';
    var $sa = 'and';
    var $sid = null;
    var $order_type = 'listorder';

    function zSearch() { 
    }

    function setMemberSrl($member_srl) {
      $this->member_srl = $member_srl;
    }

    function setModuleSrl($module_srl) {
      $this->module_srl = $module_srl;
    }

    function setModuleSrlList($module_srl_list) {
      $this->module_srl_list = $module_srl_list;
    }

    function setTag($tag) {
      $this->tag = $tag;
    }

    function setArchive($archive) {
      $this->archive = $archive;
    }

    function setSearchType($search_keyword, $st = 'N', $sc = 'N', $sw = 'N', $sg = 'N', $sa = 'and') {
      $this->search_keyword = trim($search_keyword);
      $this->st = trim($st);
      $this->sc = trim($sc);
      $this->sw = trim($sw);
      $this->sg = trim($sg);
      $this->sa = trim($sa);

      if($_SESSION['prev_search_keyword']!=$this->search_keyword) {
        $oDB = &zDB::instance();
        $search_keyword = explode(" ",$this->search_keyword);
        $query_obj->regdate = date("YmdHis");
        for($i=0;$i<count($search_keyword);$i++) {
          $keyword = trim($search_keyword[$i]);
          if(!$keyword) continue;
          $query_obj->keyword = $oDB->addquotes($keyword);
          $oDB->insert('search_keyword',$query_obj);
        }
        $_SESSION['prev_search_keyword'] = $this->search_keyword;
      }
    }

    function setSerialSrl($serial_srl) {
      $this->serial_srl = $serial_srl;
    }

    function setSid($sid) {
      $this->sid = $sid;
    }

    function setOrderType($order_type = 'listorder') {
      $this->order_type = $order_type == 'modify_order'?'modify_order':'listorder';
    }

    function searchArticle($list_cnt, $page_cnt, $cur_page = null, $sid = null) {
      $oDB = &zDB::instance();

      $table_list = 'articles';

      $member_srl = $oDB->addquotes($this->member_srl);
      $module_srl = $oDB->addquotes($this->module_srl);
      $serial_srl = $oDB->addquotes($this->serial_srl);
      if($this->module_srl_list) $module_srl_list = implode(",",$this->module_srl_list);

      if($module_srl) $cond_list[] = "module_srl = '{$module_srl}'";
      elseif(count($module_srl_list)) $cond_list[] = "module_srl in ({$module_srl_list})";

      if($serial_srl) $cond_list[] = "serial_srl='{$serial_srl}'";
      if($member_srl) $cond_list[] = "member_srl='{$member_srl}'";

      if($this->tag) {
        $tag = $oDB->addquotes($this->tag);
        $cond_list[] = "tag like '%{$tag}%'";
      } else if ($this->archive) {
        $archive = $oDB->addquotes($this->archive);
        $cond_list[] = "regdate like '%{$archive}%'";
      } else if($this->search_keyword) {
        $search_keyword = explode(" ",$this->search_keyword);
        for($i=0;$i<count($search_keyword);$i++) {
          if(!trim($search_keyword[$i])) continue;
          $keyword = $oDB->addquotes(trim($search_keyword[$i]));
          if($this->st == 'Y') $search_cond_list[] = "title like '%{$keyword}%'";
          if($this->sc == 'Y') $search_cond_list[] = "article like '%{$keyword}%'";
          if($this->sw == 'Y') $search_cond_list[] = "writer like '%{$keyword}%'";
          if($this->sg == 'Y') $search_cond_list[] = "tag like '%{$keyword}%'";
          $tmp_cond_list[] = "(".implode(' or ', $search_cond_list).")";
          unset($search_cond_list);
        }
        if($this->sa == 'and') $cond_list[] = "(".implode(' and ', $tmp_cond_list).")";
        else $cond_list[] = "(".implode(' or ', $tmp_cond_list).")";
      }

      $total_articles = $oDB->getCount($table_list,$cond_list);

      $t_obj['article_srl'] = null;
      $t_obj['mid'] = null;
      $t_obj['serial_srl'] = $this->serial_srl;
      if($sid) $t_obj['sid'] = $sid;
      elseif($this->sid) $t_obj['sid'] = $this->sid;

      $oPageNav = Zeroboard::getPageNav($total_articles, $list_cnt, $page_cnt, $cur_page, $t_obj);

      $cond_list[] = "{$this->order_type} < 0";

      if($oPageNav->start_cnt<0) $oPageNav->start_cnt = 0;
      $oDB->select('*',$table_list, $cond_list, $this->order_type, $oPageNav->start_cnt, $oPageNav->list_cnt);
      while($tmp = $oDB->fetch()) {
        $tmp->url = zUrl::getSourceUrl($tmp->article_srl);
        $output->article_list[] = $tmp;
      }

      $output->total_articles = $total_articles;
      $output->oPageNav = $oPageNav;
      return $output;
    }

    function searchSerial($list_cnt, $page_cnt, $cur_page = null) {
      $oDB = &zDB::instance();

      $table_list = 'serial';

      $member_srl = $oDB->addquotes($this->member_srl);
      if($member_srl) $cond_list[] = "member_srl='{$member_srl}'";

      $total_articles = $oDB->getCount($table_list,$cond_list);

      $oPageNav = Zeroboard::getPageNav($total_articles, $list_cnt, $page_cnt, $cur_page, $t_obj);

      $cond_list[] = "{$this->order_type} < 0";

      $_list = $oDB->selectList('*',$table_list, $cond_list, $this->order_type, $oPageNav->start_cnt, $oPageNav->list_cnt);

      $output->total_articles = $total_articles;
      $output->article_list = $_list->list;
      $output->oPageNav = $oPageNav;

      return $output;
    }

  }

?>
