function admin_layout_show_form() {
    xInnerHtml('zone_sub', '');
    xGetElementById('zone_sub').style.display = 'none';
    xGetElementById('zone_insert').style.display = 'block';
    xGetElementById('zone_list').style.display = 'none';
    xGetElementById('fo_insert').reset();
    xGetElementById('fo_insert').title.focus();
    admin_plugin_hide_plugin_list();
}

function admin_layout_hide_form() {
    xGetElementById('zone_insert').style.display = 'none';
    xGetElementById('zone_list').style.display = 'block';
}

function admin_layout_show_sub(fo_obj) {
    var response_tags = new Array('error','message','tpl','theme_list','image_key_list');
    var params = new Array();
    params['layout'] = fo_obj.options[fo_obj.selectedIndex].value;
    params['layout_srl'] = xGetElementById('fo_insert').layout_srl.value;
    if(!params['layout']) return;
    request_xml('admin_layout_manager','get_extends_info',params, admin_layout_show_sub_proc, response_tags);
}

function admin_layout_show_sub_proc(ret_obj, response_tags) {
    var tpl = ret_obj['tpl'];
    var image_key_list = ret_obj['image_key_list'];
    xInnerHtml('zone_sub', tpl);
    admin_layout_init_image_uploader(image_key_list);

    var theme_obj = xGetElementById('theme');
    for(var i=0;i<theme_obj.options.length;i++) theme_obj.remove(i);
    if(ret_obj['theme_list']) {
        var theme_list = ret_obj['theme_list'].split('|@|');
        for(var i=0;i<theme_list.length;i++) {
            theme_obj.options[i] = new Option(theme_list[i], theme_list[i], false, false) ;
        }
    }

    xGetElementById('zone_sub').style.display = 'block';
}

function admin_layout_insert() {
    var fo_obj = xGetElementById('fo_insert');
    var response_tags = new Array('error','message','layout_srl');
    var check_list = new Array('title','layout');
    var params = get_form_elements(fo_obj);
    if(!check_empty(params, fo_obj, check_list)) return false;
    if(!request_confirm('msg_register')) return false;
    var action = 'insert_layout';
    if(params['layout_srl']>0) action = 'update_layout';
    request_xml('admin_layout_manager',action,params, admin_layout_insert_proc, response_tags);
    return false;
}

function admin_layout_insert_proc(ret_obj, response_tags) {
    var fo_obj = xGetElementById('fo_insert');
    if(svc_upload_file_selected() && typeof(ret_obj['layout_srl'])!='undefined' && ret_obj['layout_srl']) {
        var obj_method = xGetElementById('_methodname');
        if(!obj_method) {
            var obj_method = xCreateElement('INPUT');
            obj_method.name = '_methodname';
            obj_method.id = '_methodname';
            obj_method.type='hidden';
            fo_obj.appendChild(obj_method);
        }
        obj_method.value = 'layout_manager';
        fo_obj.layout_srl.value = ret_obj['layout_srl'];
        fo_obj.submit();
        fo_obj.reset();
    } else {
        location.replace(location.href);
    }
}

function admin_layout_delete(layout_srl) {
    if(!request_confirm('msg_delete')) return;
    var params = new Array();
    params['layout_srl'] = layout_srl;
    request_xml('admin_layout_manager','delete_layout',params,admin_layout_delete_proc);
}

function admin_layout_delete_proc(ret_obj, response_tags) {
    location.replace(location.href);
}

function admin_layout_get_info(layout_srl) {
    var response_tags = new Array('error','message','layout_srl','title','layout','tpl','image_key_list','comment','theme','theme_list');
    var params = new Array();
    params['layout_srl'] = layout_srl;
    request_xml('admin_layout_manager','get_info_layout',params,admin_layout_get_info_proc,response_tags);
}

function admin_layout_get_info_proc(ret_obj, response_tags) {
    admin_plugin_hide_plugin_list();
    admin_layout_modify(ret_obj);
}

function admin_layout_modify(ret_obj) {
    var fo_obj = xGetElementById('fo_insert');

    var theme_list = ret_obj['theme_list'].split('|@|');
    var theme_obj = xGetElementById('theme');
    for(var i=0;i<theme_obj.options.length;i++) theme_obj.remove(i);
    for(var i=0;i<theme_list.length;i++) {
        theme_obj.options[i] = new Option(theme_list[i], theme_list[i], false, false) ;
    }

    var image_key_list = ret_obj['image_key_list'];
    set_form_elements(fo_obj, ret_obj);
    xInnerHtml('zone_sub', ret_obj['tpl']);
    admin_layout_init_image_uploader(image_key_list);
    xGetElementById('zone_list').style.display = 'none';
    xGetElementById('zone_sub').style.display = 'block';
    xGetElementById('zone_insert').style.display = 'block';
    fo_obj.title.focus();
}

function admin_layout_init_image_uploader(image_key_list) {
    if(typeof(image_key_list)=='undefined'||!image_key_list) return;
    var image_keys = new Array();
    if(image_key_list.indexOf(',')<0) {
        image_keys[0] = image_key_list;
    } else {
        image_keys = image_key_list.split(',');
    }

    for(var i=0;i<image_keys.length;i++) {
        var tmp = image_keys[i].split('|@|');
        var key = tmp[0];
        var val = tmp[1];
        svc_upload_print_btn(key,'zone_'+key,'zone_'+key+'_btn',val);
    }
}
