// level control
function admin_member_get_level_list() {
    var response_tags = new Array('error','message','tpl');
    var params = new Array();
    request_xml('admin_member_manager','get_level_list_tpl',params,admin_member_get_level_list_proc,response_tags);
}

function admin_member_get_level_list_proc(ret_obj, response_tags) {
    var obj = xGetElementById('zone_level');
    xInnerHtml(obj, ret_obj['tpl']);
    obj.style.visibility = 'visible';
    inactiveShade(true);
}

function admin_member_insert_level(fo_obj) {
    var check_list = new Array('level_title');
    var params = get_form_elements(fo_obj);
    if(!check_empty(params,fo_obj,check_list)) return false;
    var action = 'insert_level';
    if(params['level_srl']>0) action = 'update_level';
    request_xml('admin_member_manager',action,params,admin_member_get_level_list);
    return false;
}

function admin_member_delete_level(level_srl) {
    if(!request_confirm('msg_delete')) return;
    var params = new Array();
    params['level_srl'] = level_srl;
    request_xml('admin_member_manager','delete_level',params,admin_member_get_level_list);
}

function admin_member_modify_level(level_srl) {
    var response_tags = new Array('error','message','level','level_title','level_srl');
    var params = new Array();
    params['level_srl'] = level_srl;
    request_xml('admin_member_manager','get_level_info',params,admin_member_modify_level_proc,response_tags);
}

function admin_member_modify_level_proc(ret_obj, response_tags) {
    var fo_obj = xGetElementById('fo_level');
    set_form_elements(fo_obj,ret_obj);
}

function admin_member_hide_level_list() {
    var obj = xGetElementById('zone_level');
    inactiveShade(false);
    obj.style.visibility = 'hidden';
}

// signup form control
function admin_member_show_signup_list() {
    var response_tags = new Array('error','message', 'tpl');
    var params = new Array();
    request_xml('admin_member_manager','get_signup_form_list_tpl',params,admin_member_show_signup_list_proc,response_tags);
}

function admin_member_show_signup_list_proc(ret_obj, response_tags) {
    xGetElementById('zone_signup_select').style.display = 'none';
    xGetElementById('zone_signup_item').style.display = 'none';

    xInnerHtml('zone_signup_list', ret_obj['tpl']);
    xGetElementById('zone_signup_list').style.display = 'block';

    xGetElementById('zone_signup').style.visibility = 'visible';

    inactiveShade(true);
}

function admin_member_hide_signup_list() {
    xGetElementById('zone_signup').style.visibility = 'hidden';
    inactiveShade(false);
}

function admin_member_show_signup() {
    var fo_obj = xGetElementById('fo_signup');
    fo_obj.reset();
    xGetElementById('zone_signup_select').style.display = 'block';
    xGetElementById('zone_signup_item').style.display = 'none';
    xGetElementById('zone_signup_list').style.display = 'none';
    fo_obj.name.focus();
}

function admin_member_insert_signup_item() {
    var fo_obj = xGetElementById('fo_signup');
    var response_tags = new Array('error','message', 'form_srl');
    var check_list = new Array('name','title');
    var params = get_form_elements(fo_obj);
    if(!check_empty(params,fo_obj,check_list)) return false;
    if(!is_alpha(params['name'])) {
        alert(alert_msg['name_is_not_alpha']);
        fo_obj.name.focus();
        return false;
    }
    request_xml('admin_member_manager','add_signup_form_item',params,admin_member_insert_signup_item_proc,response_tags);
    return false;
}

function admin_member_insert_signup_item_proc(ret_obj, response_tags) {
    admin_member_show_signup_list();
}

function admin_member_modify_signup() {
    var fo_obj = xGetElementById("signup_form_item_form");
    var response_tags = new Array('error','message', 'form_srl');
    var check_list = new Array('title');
    var params = get_form_elements(fo_obj);
    if(params['check']!='Y') params['check'] = 'N';
    if(!check_empty(params,fo_obj,check_list)) return false;
    if(typeof(fo_obj.value_list)!='undefined') {
        params['value_list'] = '';
        for(var i=0;i<fo_obj.value_list.options.length;i++) {
            params['value_list'] += fo_obj.value_list.options[i].value+'|@|';
        }
    }
    request_xml('admin_member_manager','modify_signup_form_item',params,admin_member_insert_signup_item_proc,response_tags);
    return false;
}

function admin_member_show_signup_item(form_srl) {
    var response_tags = new Array('error','message','tpl','form_srl');
    var params = new Array();
    params['form_srl'] = form_srl;
    request_xml('admin_member_manager','get_signup_form_item',params,admin_member_show_signup_item_proc,response_tags);
}

var prev_signup_form_select_obj = null;
function admin_member_show_signup_item_proc(ret_obj, response_tags) {
    if(prev_signup_form_select_obj) {
        prev_signup_form_select_obj.style.fontWeight = 'normal';
    }

    if(ret_obj['form_srl']<1) {
        xGetElementById('zone_signup_item').style.display = 'none';
        return;
    }

    xInnerHtml('zone_signup_item', ret_obj['tpl']);
    xGetElementById('zone_signup_select').style.display = 'none';
    xGetElementById('zone_signup_list').style.display = 'none';
    xGetElementById('zone_signup_item').style.display = 'block';
}

function admin_member_hide_signup_item() {
    xGetElementById('zone_signup_item').style.display = 'none';
    xGetElementById('zone_signup_list').style.display = 'block';
}

function admin_member_hide_signup_select() {
    xGetElementById('zone_signup_select').style.display = 'none';
    xGetElementById('zone_signup_list').style.display = 'block';
}

function admin_member_signup_item_move_updown(form_srl, direct) {
    var response_tags = new Array('error','message','form_srl');
    var params = new Array();
    params['form_srl'] = form_srl;
    params['direct'] = direct;
    request_xml('admin_member_manager','move_updown_signup_form_item',params,admin_member_insert_signup_item_proc,response_tags);
}

function admin_member_delete_signup_item(form_srl) {
    if(!request_confirm('msg_delete')) return;
    var response_tags = new Array('error','message','form_srl');
    var params = new Array();
    params['form_srl'] = form_srl;
    request_xml('admin_member_manager','delete_signup_form_item',params,admin_member_insert_signup_item_proc,response_tags);
}

function admin_member_insert_value_list() {
    var fo_obj = xGetElementById('signup_form_item_form');
    var value = fo_obj.value_list_item.value;
    if(!value) {
        alert(alert_msg['value_list']);
        fo_obj.value_list_item.focus();
        return;
    }

    var opt = new Option(value, value, false, true);

    fo_obj.value_list.options[fo_obj.value_list.options.length] = opt;
    fo_obj.value_list_item.value = '';
    fo_obj.value_list_item.focus();
}

function admin_member_delete_value_list() {
    var fo_obj = xGetElementById('signup_form_item_form');
    var si = fo_obj.value_list.selectedIndex;
    fo_obj.value_list.remove(fo_obj.value_list.selectedIndex);
    if(si==0) fo_obj.value_list.selectedIndex = 0;
    else fo_obj.value_list.selectedIndex = si-1;
}

function admin_member_movedown_value_list() {
    var fo_obj = xGetElementById('signup_form_item_form');
    var si = fo_obj.value_list.selectedIndex;
    var ml = fo_obj.value_list.options.length;
    if(ml<2 || si==ml-1) return;

    var value1 = fo_obj.value_list.options[si].value;
    var value2 = fo_obj.value_list.options[si+1].value;
    fo_obj.value_list.options[si] = new Option(value2,value2,false,false);
    fo_obj.value_list.options[si+1] = new Option(value1,value1,false,true);
}

function admin_member_moveup_value_list() {
    var fo_obj = xGetElementById('signup_form_item_form');
    var fo_obj = xGetElementById('signup_form_item_form');
    var si = fo_obj.value_list.selectedIndex;
    var ml = fo_obj.value_list.options.length;
    if(ml<2 || si==0) return;
    var value1 = fo_obj.value_list.options[si].value;
    var value2 = fo_obj.value_list.options[si-1].value;
    fo_obj.value_list.options[si-1] = new Option(value1,value1,false,true);
    fo_obj.value_list.options[si] = new Option(value2,value2,false,false);
}

// register or modify member information
function admin_member_show_form_onload() {
    admin_member_show_form(_member_srl);
}

function admin_member_show_form(member_srl) {
    var response_tags = new Array('error','message','tpl','member_srl','image_nick','image_mark','profile_image');
    var params = new Array();
    params['member_srl'] = member_srl;
    request_xml('admin_member_manager','get_member_info_tpl',params,admin_member_show_form_proc,response_tags);
}

function admin_member_show_form_proc(ret_obj, response_tags) {
    xGetElementById('zone_list').style.display = 'none';
    xGetElementById('zone_insert').style.display = 'none';
    xGetElementById('zone_level').style.display = 'none';
    xGetElementById('zone_list').style.display = 'none';
    xInnerHtml('zone_insert', ret_obj['tpl']);
    xGetElementById('zone_insert').style.display = 'block';

    svc_upload_print_btn('image_nick','zone_image_nick','zone_image_nick_btn',ret_obj['image_nick']);
    svc_upload_print_btn('image_mark','zone_image_mark','zone_image_mark_btn',ret_obj['image_mark']);
    svc_upload_print_btn('profile_image','zone_profile_image','zone_profile_image_btn',ret_obj['profile_image']);

    var sign = xGetElementById('fo_insert_member').sign.value;
    zEditInit(sign,'','100px');

    fo_obj = xGetElementById('fo_insert_member');
    if(typeof(fo_obj.user_id)!='undefined') fo_obj.user_id.focus();
    else fo_obj.user_name.focus();
}

function admin_member_hide_form() {
    xGetElementById('zone_insert').style.display = 'none';
    xGetElementById('zone_list').style.display = 'block';
}

function admin_member_insert() {
    var fo_obj = xGetElementById('fo_insert_member');
    var check_list = null;
    var response_tags = new Array('error','message','member_srl');

    var richtext_content = zEditGetHTML();
    fo_obj.sign.value = richtext_content;

    var params = get_form_elements(fo_obj);

    if(params['member_srl']>0) check_list = new Array('nick_name','email','email_host');
    else check_list = new Array('user_id','passwd_1','passwd_2','user_name','nick_name','email','email_host');

    if(!check_empty(params, fo_obj, check_list)) return false;
    if(!params['member_srl']&&!is_num_alpha(params['user_id'])) {
        var msg = alert_msg['invalid_user_id'];
        alert(msg);
        fo_obj.user_id.focus();
        return false;
    }

    if(!params['member_srl']&&(!params['passwd_1']||params['passwd_1']!=params['passwd_2'])) {
        var msg = alert_msg['invalid_passwd'];
        alert(msg);
        fo_obj.passwd_1.value = fo_obj.passwd_2.value = '';
        fo_obj.passwd_1.focus();
        return false;
    }
    params['passwd'] = params['passwd_1'];
    if(params['mailing']!='Y') params['mailing']='N';
    if(params['denied']!='Y') params['denied']='N';

    if(!request_confirm('msg_register')) return false;
    var action = 'insert_member';
    if(params['member_srl']>0) action = 'update_member';
    request_xml('admin_member_manager',action,params,admin_member_insert_proc,response_tags);
    return false;
}

function admin_member_insert_proc(ret_obj, response_tags) {
    if(svc_upload_file_selected()) {
        var fo_obj = xGetElementById('fo_insert_member');
        var obj_method = xGetElementById('_methodname');
        if(!obj_method) {
            var obj_method = xCreateElement('INPUT');
            obj_method.name = '_methodname';
            obj_method.id = '_methodname';
            obj_method.type='hidden';
            fo_obj.appendChild(obj_method);
        }
        obj_method.value = 'member_manager';
        fo_obj.member_srl.value = ret_obj['member_srl'];
        fo_obj.submit();
    } else {
        var regx = /member_srl=[0-9]+/g;
        var url = location.href.replace(regx,'');
        location.replace(url);
    }
}

function admin_member_delete(member_srl) {
    if(!request_confirm('msg_delete')) return;
    var params = new Array();
    params['member_srl'] = member_srl;
    request_xml('admin_member_manager','delete_member',params,admin_member_insert_proc);
}

xAddEventListener(document, 'click', admin_get_selected_level_list);
function admin_get_selected_level_list(evt) {
    var e = new xEvent(evt);
    if(!e || !e.target || !e.target.id) return;

    var id = e.target.id.toString();
    if(id.indexOf('btn_level__')<0) return;

    var id = e.target.id.split('__')[1];
    if(!id) return;

    var list_obj = xGetElementById('_zone_level_list');

    xLeft(list_obj, e.pageX-350);
    xTop(list_obj, e.pageY);

    var response_tags = new Array('error','message','tpl');
    var field_obj = xGetElementById(id);
    var level_srls = field_obj.value;

    var params = new Array();
    params['level_srls'] = level_srls;
    params['id'] = id;
    request_xml('admin_member_manager','get_selected_level_list',params,admin_get_selected_level_list_proc,response_tags,id);
}

function admin_get_selected_level_list_proc(ret_obj, response_tags, id) {
    var tpl = ret_obj['tpl'];
    var obj = xGetElementById('_zone_level_list');
    xInnerHtml(obj, tpl);
    setPositionInWindow(obj);
    inactiveShade(true);
    obj.style.visibility = 'visible';
}

function admin_close_selected_level_list() {
    xGetElementById('_zone_level_list').style.visibility = 'hidden';
    xInnerHtml('_zone_level_list', '');
    inactiveShade(false);
}

function admin_hide_level_list() {
    if(xGetElementById('_zone_level_list')) xGetElementById('_zone_level_list').style.visibility = 'hidden';
    inactiveShade(false);
}

function admin_submit_selected_level_list() {
    var fo_obj = xGetElementById('fo_admin_common_selected_member_list');
    var id = fo_obj.id.value;
    var level_srls = '';
    for(var i=0;i<fo_obj.level_srl.length;i++) {
        var obj = fo_obj.level_srl[i];
        if(obj.checked==true) level_srls += obj.value+'|@|';
    }

    var response_tags = new Array('error','message','level_srls','level_title');
    var params = new Array();
    params['level_srls'] = level_srls;

    request_xml('admin_member_manager','get_selected_level_info',params,admin_submit_selected_level_list_proc,response_tags,id);

    return false;
}

function admin_submit_selected_level_list_proc(ret_obj, response_tags, id) {
    xGetElementById(id).value = ret_obj['level_srls'];
    xInnerHtml('zone_'+id, ret_obj['level_title']);
    admin_close_selected_level_list();
}

function admin_member_login(fo_obj) {
    var response_tags = new Array('error','message','logged');
    var check_list = new Array('user_id','passwd');
    var params = get_form_elements(fo_obj);
    if(!check_empty(params,fo_obj,check_list)) return false;
    request_xml('member','do_login',params,admin_member_login_proc,response_tags);
    return false;
}

function admin_member_login_proc(ret_obj,response_tags) {
    if(ret_obj['logged']=='false') {
        alert(alert_msg['login_fail']);
        return;
    } else location.replace(location.href);
}
