function admin_page_show_form() {
    xGetElementById('zone_list').style.display = 'none';
    xGetElementById('zone_insert').style.display = 'block';
    xGetElementById('fo_insert').reset();
    xGetElementById('fo_insert').title.focus();
    xInnerHtml('zone_page_main',"<div class='zFloatLeft' id='zone_page_main_default' style='display:none;width:100%;height:1px;'></div>");
    admin_page_div_show();
}

function admin_page_hide_form() {
    xGetElementById('zone_insert').style.display = 'none';
    xGetElementById('zone_list').style.display = 'block';
}

var admin_page_category_changed = false;
function admin_page_show_category() {
    if(xGetElementById('zone_category').style.visibility == 'visible') return;
    admin_page_display_category();
    inactiveShade(true);
    xGetElementById('category_srl').style.display = 'none';
}

function admin_page_delete(page_srl) {
    if(!request_confirm('msg_delete')) return;
    var params = new Array();
    params['page_srl'] = page_srl;
    request_xml('admin_page_manager','delete_page',params, admin_page_delete_proc);
}

function admin_page_delete_proc(ret_obj, response_tags) {
    location.replace(location.href);
}

function admin_page_show_form_onload() {
    admin_page_get_info(_page_srl);
}

function admin_page_get_info(page_srl) {
    var response_tags = new Array('error','message','page_srl','page_category_srl','title','cache_interval','plugin_srls','plugin_attrs');
    var params = new Array();
    params['page_srl'] = page_srl;
    request_xml('admin_page_manager','get_page_info',params,admin_page_get_info_proc,response_tags);
}

function admin_page_get_info_proc(ret_obj, response_tags) {
    xInnerHtml('zone_page_main',"<div class='zFloatLeft' id='zone_page_main_default' style='display:none;width:100%;height:1px;'></div>");
    admin_page_show_modify_form(ret_obj);
}

var admin_page_plugin_cnt = 0;
var admin_page_plugin_order_list = new Array();
function admin_page_show_modify_form(ret_obj, response_tags) {
    var main_obj = xGetElementById(_zLayerMainID);
    var fo_obj = xGetElementById('fo_insert');

    admin_page_plugin_cnt = 0;
    admin_page_plugin_order_list = new Array();

    set_form_elements(fo_obj, ret_obj);

    xGetElementById('zone_list').style.display = 'none';
    xGetElementById('zone_insert').style.display = 'block';

    fo_obj.title.focus();
    
    if(ret_obj['plugin_srls']) {
        var plugin_srls = ret_obj['plugin_srls'].split('|@|');
        var plugin_attrs = ret_obj['plugin_attrs'].split('|@|');

        for(var i=0;i<plugin_srls.length;i++) {
            var params = new Array();
            var plugin_srl = plugin_srls[i];

            params['plugin_srl'] = plugin_srl;

            var tmp = plugin_attrs[i].split(',');
            if(tmp[0].indexOf('%')==-1) params['div_width_type'] = 'px';
            else params['div_width_type'] = '%';
            params['div_width'] = parseInt(tmp[0])+params['div_width_type'];
            params['div_height'] = parseInt(tmp[3])+'px';
            params['div_padding'] = tmp[1];
            switch(tmp[2]) {
                case 'zFloatLeft' :
                        params['div_float'] = 'left';
                    break;
                case 'zFloatRight' :
                        params['div_float'] = 'right';
                    break;

            }

            params['step'] = i;

            var tmp_obj = new Object();
            tmp_obj.plugin_srl = plugin_srl;
            tmp_obj.params = params;

            admin_page_plugin_order_list[i] = tmp_obj;
            admin_page_plugin_cnt++;

            admin_page_div_get_tpl(params);
        }
    }
    admin_page_div_show();
}

function admin_page_div_get_tpl(params) {
    var response_tags = new Array('error','message','plugin_srl','tpl');
    request_xml('admin_plugin_manager','get_plugin_tpl',params,admin_page_div_get_tpl_proc,response_tags,params);
}

function admin_page_div_get_tpl_proc(ret_obj, response_tags, args) {
    var step = args['step'];
    args['tpl'] = ret_obj['tpl'];
    admin_page_plugin_order_list[step].params = args;
    admin_page_plugin_cnt--;

    if(admin_page_plugin_cnt<1) {
        for(var i=0;i<admin_page_plugin_order_list.length;i++) {
            zLayerAddObject(admin_page_plugin_order_list[i].plugin_srl,admin_page_plugin_order_list[i].params);
        }
    }
}

function admin_page_insert_category() {
    var fo_obj = xGetElementById('fo_insert_category');
    var check_list = new Array('category_title');
    var params = get_form_elements(fo_obj);
    var action = 'insert_page_category';
    if(params['page_category_srl']>0) {
        action = 'update_page_category';
        admin_page_category_changed = true;
    }
    if(!check_empty(params, fo_obj, check_list)) return false;
    request_xml('admin_page_manager',action,params,admin_page_display_category);
    fo_obj.category_title.value = '';
    fo_obj.page_category_srl.value = '';
    return false;
}
function admin_page_insert_proc(ret_obj, response_tags) {
    location.replace('./admin.php?mid=page_manager');
}


function admin_page_change_category(obj) {
    var category_srl = obj.options[obj.selectedIndex].value;
    var fo_obj = xGetElementById('fo_search');
    fo_obj.category_srl.value = category_srl;
    fo_obj.submit();
}

function admin_page_update_category(page_category_srl) {
    var response_tags = new Array('error','message', 'page_category_srl', 'category_title');
    var params = new Array();
    params['page_category_srl'] = page_category_srl;
    request_xml('admin_page_manager','get_page_category_info',params,admin_page_update_category_proc, response_tags);
}

function admin_page_update_category_proc(ret_obj, response_tags) {
    var fo_obj = xGetElementById('fo_insert_category');
    set_form_elements(fo_obj, ret_obj);
    fo_obj.category_title.focus();
}

function admin_page_delete_category(page_category_srl) {
    var params = new Array();
    params['page_category_srl'] = page_category_srl;
    if(!request_confirm('msg_delete')) return;
    request_xml('admin_page_manager','delete_page_category',params,admin_page_display_category);
    admin_page_category_changed = true;
}

function admin_page_display_category() {
    var response_tags = new Array('error','message','tpl');
    var params = new Array();
    request_xml('admin_page_manager','get_page_category_list_tpl',params,admin_page_display_category_proc,response_tags);
}

function admin_page_display_category_proc(ret_obj, response_tags) {
    var tpl = ret_obj['tpl'];
    xInnerHtml('zone_category', tpl);
    xGetElementById('zone_category').style.visibility = 'visible';
}

function admin_page_hide_category() {
    if(admin_page_category_changed) location.replace(location.href);
    else {
        xGetElementById('zone_category').style.visibility = 'hidden';
        inactiveShade(false);
        xGetElementById('category_srl').style.display = 'inline';
    }
}

function admin_page_insert() {
    var check_list = new Array('title','cache_interval');
    var fo_obj = xGetElementById('fo_insert');
    var col_regx = /^zLayer_/i;
    var null_regx = /^zNullLayer_/i;

    var layer_list = new Array();
    var plugin_srl_list = new Array();
    var plugin_attr_list = new Array();

    var firstChild = xGetElementById('zone_page_main').firstChild;
    while(firstChild.id != 'zone_page_main_default') {
        layer_list[layer_list.length] = firstChild;
        firstChild = firstChild.nextSibling;
    }
    for(var i=0;i<layer_list.length;i++) {
        var tmp_obj = layer_list[i];

        if(tmp_obj.style.display=='none'||!tmp_obj.lastChild) continue;

        if(null_regx.test(tmp_obj.id)) {
            plugin_srl_list[plugin_srl_list.length] = 0;
        } else {
            plugin_srl_list[plugin_srl_list.length] = tmp_obj.id.replace(col_regx,'');
        }

        var padding = tmp_obj.style.paddingTop+' '+tmp_obj.style.paddingRight+' '+tmp_obj.style.paddingBottom+' '+tmp_obj.style.paddingLeft;
        var height = parseInt(tmp_obj.style.height);
        var attribute = new Array(tmp_obj.style.width,padding,tmp_obj.className,height).join(',');

        plugin_attr_list[plugin_attr_list.length] = attribute;
    }

    fo_obj.plugin_srls.value = plugin_srl_list.join('|@|');
    fo_obj.plugin_attrs.value = plugin_attr_list.join('|@|');

    var params = get_form_elements(fo_obj);
    if(!check_empty(params, fo_obj, check_list)) return false;

    if(!confirm(alert_msg['msg_register'])) return false;

    var action = 'insert_page';
    if(params['page_srl']>0) action = 'update_page';
    request_xml('admin_page_manager',action,params,admin_page_insert_proc);
}

function admin_page_insert_proc(ret_obj, response_tags) {
    location.replace('./admin.php?mid=page_manager');
}


function admin_page_div_show(plugin_srl, title) {
    if(typeof(plugin_srl)=='undefined') plugin_srl = '';
    if(typeof(title)=='undefined') title = '';
    admin_plugin_id = 'div_plugin_srl';
    admin_plugin_show_plugin_list(4, 'page_manager');
    xGetElementById('fo_add_div').div_plugin_srl.value = plugin_srl;
    if(!title) title = alert_msg['no_selected'];
    xInnerHtml('zone_plugin_name_'+admin_plugin_id,title)
    xGetElementById('_zone_plugin_list').style.display = 'block';
}

function admin_page_div_close() {
    xGetElementById('fo_add_div').div_plugin_srl.value = '';
    xGetElementById('fo_add_div').div_height.value = '';
    xInnerHtml('zone_plugin_name_'+admin_plugin_id,alert_msg['no_selected']);
}

function admin_page_null_input() {
    var fo_obj = xGetElementById('fo_add_div');
    fo_obj.div_plugin_srl.value = 0;
    fo_obj.div_width.value = 100;
    fo_obj.div_width_type[1].checked;
    fo_obj.div_height.value = 10;
    xInnerHtml('zone_plugin_name_'+admin_plugin_id,alert_msg['null_plugin']);
}

function admin_page_div_insert() {
    var fo_obj = xGetElementById('fo_add_div');
    var check_list = new Array('div_width','div_plugin_srl');
    var params = get_form_elements(fo_obj);
    if(!check_empty(params, fo_obj, check_list)) return false;
    params['div_width'] = parseInt(params['div_width'])+params['div_width_type'];
    if(params['div_height']) params['div_height'] = parseInt(params['div_height'])+'px';
    params['div_padding'] = parseInt(params['div_padding1'])+'px'+' '+parseInt(params['div_padding2'])+'px'+' '+parseInt(params['div_padding3'])+'px'+' '+parseInt(params['div_padding4'])+'px';
    params['plugin_srl'] = fo_obj.div_plugin_srl.value;
    admin_page_div_insert_tpl(params);
    return false;
}

function admin_page_div_insert_tpl(params) {
    var response_tags = new Array('error','message','plugin_srl','tpl');
    request_xml('admin_plugin_manager','get_plugin_tpl',params,admin_page_div_insert_tpl_proc,response_tags,params);
}

function admin_page_div_insert_tpl_proc(ret_obj, response_tags,args) {
    var plugin_srl = ret_obj['plugin_srl'];
    args['tpl'] = ret_obj['tpl'];
    zLayerAddObject(plugin_srl,args);
    admin_page_div_close();
}

function admin_page_delete_div(child_obj) {
    var obj = child_obj.parentNode.parentNode;
    if(confirm(alert_msg['msg_delete'])) zLayerRemoveObject(obj);
}

function admin_page_modify_div(child_obj) {
    var obj = child_obj.parentNode.parentNode;
    srl = obj.id.replace("zLayer_","");
    var response_tags = new Array('error','message','plugin_srl','title');
    var params = new Array();
    params['plugin_srl'] = srl;
    request_xml('admin_plugin_manager','get_plugin_info',params,admin_page_modify_div_proc,response_tags);
}

function admin_page_modify_div_proc(ret_obj, response_tags) {
    var layer_id = zLayerGetID(ret_obj['plugin_srl']);
    var layer_obj = _zLayerMovObject[layer_id];

    var width = layer_obj.style.width.replace(/(%|px)/i,'');
    var width_type = layer_obj.style.width.replace(width,'');
    var height = layer_obj.style.height.replace(/(%|px)/i,'');
    var paddingTop = layer_obj.style.paddingTop.replace('px','');
    var paddingRight = layer_obj.style.paddingRight.replace('px','');
    var paddingBottom = layer_obj.style.paddingBottom.replace('px','');
    var paddingLeft = layer_obj.style.paddingLeft.replace('px','');
    var className = layer_obj.className;

    var fo_obj = xGetElementById('fo_add_div');
    fo_obj.div_width.value = width;
    if(width_type == 'px') fo_obj.div_width_type[0].checked = true;
    else fo_obj.div_width_type[1].checked = true;
    fo_obj.div_height.value = height;

    fo_obj.div_padding1.value = paddingTop?paddingTop:0;
    fo_obj.div_padding2.value = paddingRight?paddingRight:0;
    fo_obj.div_padding3.value = paddingBottom?paddingBottom:0;
    fo_obj.div_padding4.value = paddingLeft?paddingLeft:0;

    if(className == 'zFloatRight') fo_obj.div_float.selectedIndex = 1;
    else fo_obj.div_float.selectedIndex = 0;
    
    admin_page_div_show(ret_obj['plugin_srl'],ret_obj['title']);
}


xAddEventListener(document, 'click', admin_show_page_list);
var admin_page_page = 1;
var admin_page_zone_search = '';
var admin_page_category_srl = '';
var admin_page_idx = '';
function admin_show_page_list(evt) {
    var e = new xEvent(evt);
    if(!e || !e.target || !e.target.id) return;

    var id = e.target.id.toString();
    if(id.indexOf('btn_page_list__')<0) return;

    admin_page_idx = e.target.id.split('__')[1];
    if(!admin_page_idx) admin_page_idx = '__';
    else admin_page_idx = '__'+admin_page_idx;

    var obj = xGetElementById('_zone_module_list');
    xLeft(obj, e.pageX - 500);
    xTop(obj, e.pageY - 10);
    admin_page_show_page_list();
}

function admin_page_show_page_list(filter_used) {
    var response_tags = new Array('error','message','tpl');
    var params = new Array();
    params['page'] = admin_page_page;
    params['search_keyword'] = admin_page_zone_search;
    params['category_srl'] = admin_page_category_srl;
    params['list_cnt'] = 10;
    if(typeof(filter_used)=='undefined'||filter_used==true) params['filter_used'] = 2;
    else params['filter_used'] = 0;
    request_xml('admin_page_manager','get_page_list_tpl',params,admin_page_show_page_list_proc,response_tags);
}

function admin_page_show_page_list_proc(ret_obj, response_tags) {
    var tpl = ret_obj['tpl'];
    var obj = xGetElementById('_zone_module_list');
    inactiveShade(true);
    xInnerHtml(obj, tpl);
    obj.style.visibility = 'visible';
    if(!admin_page_idx) {
        xLeft(obj,400);
        xTop(obj,320);
    }
    setPositionInWindow(obj);
}

function admin_page_show_prev_page_list() {
    admin_page_page --;
    admin_page_show_page_list();
}

function admin_page_show_next_page_list() {
    admin_page_page ++;
    admin_page_show_page_list();
}

function admin_page_submit_page_list() {
    var fo_obj = xGetElementById('fo_page_list');
    admin_page_category_srl = fo_obj.category_srl.options[fo_obj.category_srl.selectedIndex].value;
    admin_page_zone_search = fo_obj.search_keyword.value;
    admin_page_show_page_list();
    return false;
}

function admin_page_submit_change_category_page_list() {
    admin_page_submit_page_list(xGetElementById('fo_page_list'));
}

function admin_page_hide_page_list() {
    xGetElementById('_zone_module_list').style.visibility = 'hidden';
    inactiveShade(false);
}

function admin_page_select_page(page_srl) {
    var response_tags = new Array('error','message','title','page_srl');
    var params = new Array();
    params['page_srl'] = page_srl;
    request_xml('admin_page_manager','get_page_info',params,admin_page_select_page_proc,response_tags);
}

function admin_page_select_page_proc(ret_obj, response_tags) {
    var title = ret_obj['title'];
    var page_srl = ret_obj['page_srl'];
    var fo_obj = null;

    if(xGetElementById('fo_insert')) fo_obj = xGetElementById('fo_insert');
    else if(xGetElementById('fo_add_node')) fo_obj = xGetElementById('fo_add_node');
    else fo_obj = xGetElementById('fo_insert');

    xGetElementById('page_list'+admin_page_idx).value = page_srl;
    var name_obj = xGetElementById('zone_page_name'+admin_page_idx);
    if(!name_obj) name_obj = xGetElementById('zone_module_name'+admin_page_idx);
    xInnerHtml(name_obj, title);

    admin_page_hide_page_list();
}

function admin_page_unselect_page() {
    var fo_obj = null;
    if(xGetElementById('fo_insert')) fo_obj = xGetElementById('fo_insert');
    else if(xGetElementById('fo_add_node')) fo_obj = xGetElementById('fo_add_node');
    else fo_obj = xGetElementById('fo_insert');
    fo_obj.page_srl.value = 0;

    var name_obj = xGetElementById('zone_page_name'+admin_page_idx);
    if(!name_obj) name_obj = xGetElementById('zone_module_name'+admin_page_idx);
    xInnerHtml(name_obj, alert_msg['no_selected']); 
    admin_page_hide_page_list();
}
