var lang_type = '';
if(xGetCookie('zlang')) lang_type = xGetCookie('zlang');
xAddEventListener(window,'load',install_init);

function install_init() {
    if(lang_type) {
        xDisplay('install_step_0','none');
        xDisplay('install_step_1','block');
    } else {
        xDisplay('install_step_0','block');
        xDisplay('install_step_1','none');
    }
}

function install_move_next_step() {

    if(!lang_type) {
        var fo_obj = xGetElementById('fo_select_language');
        lang_type = fo_obj.lang_type.options[fo_obj.lang_type.selectedIndex].value;
        xSetCookie('zlang', lang_type);
        xDisplay('install_step_0','none');
        xDisplay('install_step_1','block');
        return;
    }

    var response_tags = new Array('error','message','install_enable','mysql_version','mysql_enable','iconv_enable','gd_enable','permission_enable','session_auto_start_enable');
    var params = new Array();

    var fo_license_obj = xGetElementById('fo_install_license');
    var chk = fo_license_obj.agree_license.checked;
    if(!chk) {
        alert(alert_msg['check_license']);
        return;
    }

    if(xGetElementById('install_step_3').style.display != 'none') {
            install_submit();
        return;
    }

    request_xml('install','check_install',params,install_move_next_step_proc, response_tags);
}

function install_move_next_step_proc(ret_obj, response_tags) {
    if(xGetElementById('install_step_4').style.display != 'none') {
        location.replace("./admin.php");
        return;
    }

    xDisplay('install_step_0','none');
    xDisplay('install_step_1','none');
    xDisplay('install_step_2','none');
    xDisplay('install_step_3','none');
    xDisplay('install_step_4','none');
    xDisplay('iconv_enable','none');
    xDisplay('gd_enable','none');
    xDisplay('gd_disable','none');
    xDisplay('iconv_anable','none');
    xDisplay('iconv_disable','none');
    xDisplay('permission_enable','none');
    xDisplay('permission_disable','none');
    xDisplay('mysql_enable','none');
    xDisplay('mysql_disable','none');
    xDisplay('session_auto_start_enable','none');
    xDisplay('session_auto_start_disable','none');

    xInnerHtml("mysql_version_1",ret_obj['mysql_version']);
    xInnerHtml("mysql_version_2",ret_obj['mysql_version']);

    if(ret_obj['install_enable']=='fail') {
        xDisplay('install_step_2','block');

        if(ret_obj['mysql_enable']!='fail') xDisplay('mysql_enable','block');
        else xDisplay('mysql_disable','block');

        if(ret_obj['iconv_enable']!='fail') xDisplay('iconv_enable','block');
        else xDisplay('iconv_disable','block');

        if(ret_obj['gd_enable']!='fail') xDisplay('gd_enable','block');
        else xDisplay('gd_disable','block');

        if(ret_obj['permission_enable']!='fail') xDisplay('permission_enable','block');
        else xDisplay('permission_disable','block');

        if(ret_obj['session_auto_start_enable']!='fail') xDisplay('session_auto_start_enable','block');
        else xDisplay('session_auto_start_disable','block');
    }
    else xDisplay('install_step_3','block');
}

function install_submit(fo_obj) {
    var fo_obj = xGetElementById('fo_install');
    var response_tags = new Array('error','message');
    var check_list = new Array('db_hostname','db_userid','db_database','db_password','db_prefix','admin_userid','admin_name','admin_nick_name','admin_email','admin_password_1','admin_password_2');
    var params = get_form_elements(fo_obj);
    if(!check_empty(params, fo_obj, check_list)) return false;

    if(params['admin_password_1']!=params['admin_password_2']) {
        alert(alert_msg['admin_password']);
        fo_obj.admin_password_1.value = '';
        fo_obj.admin_password_2.value = '';
        fo_obj.admin_password_1.focus();
        return false;
    }

    if(!request_confirm('msg_register')) return false;

    request_xml('install','do_install',params,install_submit_proc,response_tags);

    return false;
}

function install_submit_proc(ret_obj, response_tags) {
    xDisplay('install_step_1','none');
    xDisplay('install_step_2','none');
    xDisplay('install_step_3','none');
    xDisplay('install_step_4','block');
}
