{assign var=obj value=$member_info}
<div id="layout_etc">

  <div id="showinfo" class='title_bar'>
    <div class="guide">
      <div class="left"></div>
      <div class="right"></div>
    </div>

    <div class="center">
      <div class="title">
        {$lang->common->fld_show_info_title}
      </div>
      <div class="menu">
        <div class="button_bar">
          <div class="button">
            <div class="left"></div>
            <div class="right"></div>
            <div class="center"><a href='{$back_url}'>{$lang->common->btn_back}</a></div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class='sub_title_bar'>
    <div class="menu_bar">
      <div class="menu">
        <div class="button_bar">
          <div class="button">
            <div class="left"></div>
            <div class="right"></div>
            <div class="center"><a href='{$modify_info_url}'>{$lang->common->btn_modify_myinfo}</a></div>
          </div>
        </div>
        <div class="button_bar">
          <div class="button">
            <div class="left"></div>
            <div class="right"></div>
            <div class="center"><a href='{$view_articles_url}'>{$lang->common->btn_view_all_article}</a></div>
          </div>
        </div>
        <div class="button_bar">
          <div class="button">
            <div class="left"></div>
            <div class="right"></div>
            <div class="center"><a href='{$view_serial_url}'>{$lang->common->btn_view_serial}</a></div>
          </div>
        </div>
        <div class="button_bar">
          <div class="button">
            <div class="left"></div>
            <div class="right"></div>
            <div class="center"><a href='{$leave_out_url}'>{$lang->common->btn_leaveout}</a></div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class='guide_bar'>
    <div class="guide">
      <div class="left"></div>
      <div class="right"></div>
    </div>

    <div class="center">
      <div class="title">
        {$lang->common->fld_signup_basic_title}
      </div>
    </div>
  </div>

  <div>
    <table width="100%" cellspacing="1" class="layout_tbl">
    <col width='120' />
    <col width='*' />
    <tr class="row_01">
      <th>{$lang->common->fld_member_user_id}</th>
      <td>{$obj->user_id}</td>
    </tr>
    <tr class="row_02">
      <th>{$lang->common->fld_member_user_name}</th>
      <td>{$obj->user_name}</td>
    </tr>
    <tr class="row_01">
      <th>{$lang->common->fld_member_nick_name}</th>
      <td>{$obj->nick_name}</td>
    </tr>
    <tr class="row_02">
      <th>{$lang->common->fld_member_email}</th>
      <td>{$obj->email_address}</td>
    </tr>
    <tr class="row_01">
      <th>{$lang->common->fld_member_mailing}</th>
      <td>
        {if $obj->mailing eq 'Y'}
          {$lang->common->fld_member_mailing_yes}
        {else}
          {$lang->common->fld_member_mailing_no}
        {/if}
      </td>
    </tr>
    <tr class="row_02">
      <th>{$lang->common->fld_member_image_mark}</th>
      <td>
        {if $obj->image_mark}
          <img src="{$obj->image_mark}" border='0' /> 
        {else}
          {$lang->common->fld_not_exist}
        {/if}
      </td>
    </tr>
    <tr class="row_01">
      <th>{$lang->common->fld_member_image_nick}</th>
      <td>
        {if $obj->image_nick}
          <img src="{$obj->image_nick}" border='0' /> 
        {else}
          {$lang->common->fld_not_exist}
        {/if}
      </td>
    </tr>
    <tr class="row_02">
      <th>{$lang->common->fld_member_profile_image}</th>
      <td>
        {if $obj->profile_image}
          <img src="{$obj->profile_image}" border='0' /> 
        {else}
          {$lang->common->fld_not_exist}
        {/if}
      </td>
    </tr>
    {if $site_info->use_exp eq 'Y'}
    <tr class="row_01">
      <th>{$lang->common->fld_member_exp_level}</th>
      <td>level {$obj->exp_level} ({$obj->exp_per}%)</td>
    </tr>
    {/if}
    </table>
  </div>

  {if $signup_form_list}
  <div class='guide_bar'>
    <div class="guide">
      <div class="left"></div>
      <div class="right"></div>
    </div>

    <div class="center">
      <div class="title">
        {$lang->common->fld_signup_extend_title}
      </div>
    </div>
  </div>

  <div>
    <table width="100%" cellspacing="1" class="layout_tbl">
    <col width='120' />
    <col width='*' />

    {foreach from=$signup_form_list item=s_obj key=s_key name=list}
    {assign var=s_name value=$s_obj->name}
    <tr class="row_0{$smarty.foreach.list.iteration%2+1}">
      <th>{$s_obj->title}</th>
      <td>
          {if $s_obj->type eq 'text'}
            {$obj->$s_name}
          {/if}
          {if $s_obj->type eq 'textarea'}
            {$obj->$s_name|nl2br}
          {/if}
          {if $s_obj->type eq 'select'}
            {foreach from=$s_obj->value_list key=sub_key item=sub_obj}
              {if $sub_obj}
                {if $sub_obj eq $obj->$s_name}{$sub_obj}{/if}
              {/if}
            {/foreach}
          {/if}
          {if $s_obj->type eq 'checkbox'}
            {foreach from=$obj->$s_name key=sub_key item=sub_obj name=checklist}
              {$sub_obj}
            {/foreach}
          {/if}
          {if $s_obj->type eq 'phone_number' and $obj->$s_name.0 && $obj->$s_name.1 && $obj->$s_name.2}
            {$obj->$s_name.0} - {$obj->$s_name.1} - {$obj->$s_name.2}
          {/if}
          {if $s_obj->type eq 'address'}
            {$obj->$s_name.0} {$obj->$s_name.1}
          {/if}
      </td>
    </tr>
    {/foreach}
    </table>
  </div>
  {/if}

</div>
