{if $article->article and $view_enable} 

<div class='article_box'>

  <a name='{$article->article_srl}'></a>
  <div class='article_title_box'>
    {$article->title}
  </div>

  {if $article->node_history}
    <div class='article_category_box'>
      {foreach from=$article->node_history item=obj key=module_srl name=node_history}
        <a href='./?mid={$module_srl}'>{$obj}</a>

        {if !$smarty.foreach.node_history.last} > {/if}
      {/foreach}
    </div>
  {/if}

  <div class='article_date_box'>
    {$article->regdate|zdate:true}
  </div>

  <div class='article_perment_link_box'>
    {$article->source_url}
  </div>

  {if $article->use_serial eq 'Y'}
    <div class='article_serial_box'>

      <div class='article_serial_title_box'>
        <a href='{$article->serial_url}' target='_blank'>{$article->serial_title}</a>
      </div>

      {if $article->next_serial_srl}
        <div class='article_serial_list_box'>
          {$lang->common->fld_next_serial} : <a href='{$article->next_serial_url}'>{$article->next_serial_title}</a>
        </div>
      {/if}
      {if $article->prev_serial_srl}
        <div class='article_serial_list_box'>
          {$lang->common->fld_prev_serial} : <a href='{$article->prev_serial_url}'>{$article->prev_serial_title}</a>
        </div>
      {/if}
    </div>
  {/if}

  <div class='article_content_box'>

    {if $article->file_cnt > 0 and $article->file_list and $article->use_gallery eq 'Y'}
    <div class='article_gallery_box'>
      {include file="$tpl_path/image_gallery.tpl" srl=$article->article_srl file_list=$article->file_list}
    </div>
    {/if}
    
    {if $article->summary}
      <div class='article_summary_box'>

        {$article->summary|nl2br}

        <br />
        <br />

        <a href='#' onClick="svc_show_article('{$article->article_srl}');return false">{$article->summary_div}</a> <br />
      </div>

      <div id='hidden_article_{$article->article_srl}' style='display:none' class='article_content'>
        {$article->article}
      </div>

    {else}

      <div class='article_content'>
        {$article->article}
      </div>

    {/if}

    {if $article->use_survey eq 'Y'}

      <div class='article_survey_box'>

        <div class='article_survey_title_box'>
          {$lang->common->fld_survey}
        </div>
    
        {if !$article->survey_enable }
          <div class='article_survey_item_box'>
            {foreach from=$article->survey item=obj key=key}

              <div class='article_survey_title'>{$obj->content}</div>

              <ul class='article_survey_item_list'>
              {foreach from=$obj->item key=s_key item=item}
                  <li>{$item->item} ({$item->cnt|number_format})</li>
              {/foreach}
              </ul>

            {/foreach}
          </div>

        {else}

          <div class='article_survey_item_box'>
            <form action='./' method='get' onSubmit='return svc_do_survey(this)'>
              {foreach from=$article->survey item=obj key=key}
                <input type='hidden' name='checkcnt_{$obj->survey_srl}' value='{$obj->checkcnt}' />

                <div class='article_survey_title'>{$obj->content}</div>
                {if $obj->checkcnt > 1}
                  ( {$lang->common->fld_survey_checkcnt} : {$obj->checkcnt} )
                {/if}

                <ul class='article_survey_item_list'>
                {foreach from=$obj->item key=s_key item=item}
                  <li><input type='{if $obj->checkcnt>1}checkbox{else}radio{/if}' name='survey_item_{$obj->survey_srl}' value='{$s_key}' /> {$item->item}</li>
                {/foreach}
                </ul>

              {/foreach}

              <input type='submit' value='{$lang->common->btn_survey_submit}' />
              
            </form>
          </div>

        {/if}

      </div>
    {/if}

    {if $article->file_cnt > 0 and $article->file_list}
      <div class='article_file_box'>

        <div class='article_file_title_box'>
          {$lang->common->fld_upload}
        </div>

        {foreach from=$article->file_list item=obj}

          <div class='article_file_item_box'>
            {if $obj->is_resized eq 'Y'}
              <a href='{$obj->source_url}'>{$obj->s_filename}</a> 
            {else}
              <a href='{$obj->download_url}'>{$obj->s_filename}</a> 
            {/if}
            {if $obj->download_cnt > 0}
              ({$lang->common->fld_download_cnt} : {$obj->download_cnt|number_format})
            {/if}
          </div>
        {/foreach}
      </div>
    {/if}

    {if $article->tag_list}
      <div class='article_tag_box'>
        {$lang->common->fld_tag} :
        {foreach from=$article->tag_list item=obj key=key name=tag_list}
          <a href='{$obj->url}'>{$obj->tag}</a>

          {if !$smarty.foreach.tag_list.last}
          ,
          {/if}
        {/foreach}
      </div>
    {/if}

  </div>

  <div class='article_btn_box'>

    <div class='article_btn_left_box'>
      {if $article->allow_comment eq 'Y'}
        <a href="#" onClick="svc_show_comment('{$article->module_srl}','{$article->article_srl}');return false;">{$lang->common->btn_open_comment}</a>({$article->comment_cnt|number_format}) &nbsp;
      {/if}

      {if $article->allow_trackback eq 'Y'}
        <a href="#" onClick="svc_show_trackback('{$article->module_srl}','{$article->article_srl}');return false;">{$lang->common->btn_open_trackback}</a>({$article->trackback_cnt|number_format})
      {/if}

    </div>

    <div class='article_btn_right_box'>
      &nbsp;
      {if $article->modify_enable}
        [<a href='{$article->modify_url}'>{$lang->common->btn_modify}</a>]
      {/if}
      {if $article->delete_enable}
        [<a href='{$article->delete_url}'>{$lang->common->btn_delete}</a>]
      {/if}
      {if $article->use_survey eq 'Y' and $article->delete_enable}
        [<a href='#' onClick="svc_remove_survey('{$article->article_srl}');return false;">{$lang->common->btn_survey_remove}</a>]
      {/if}
      {if $article->report_enable}
        [<a href='#' onClick="svc_report_display('{$mid}','{$article->article_srl}');return false;">{$lang->common->btn_report}</a>]
      {/if}
    </div>

  </div>

  <div class='article_report_box' id='zone_report_{$article->article_srl}' style='display:none'>
    {$lang->common->fld_report} : 
    <select id='report_target_{$article->article_srl}'>
      <option value='delete'>{$lang->common->fld_report_delete}</option>
    </select>
    <input type='button' value='{$lang->common->btn_report}' onClick="svc_report('{$article->article_srl}',0)" />
  </div>

  {if $article->allow_trackback eq 'Y'}
    <div class='article_trackback_url'>
      {$lang->common->fld_trackback_address} : {$article->trackback_url}
    </div>
  {/if}

  {if $article->allow_comment eq 'Y' and $article->allow_trackback eq 'Y'}

    {if $article->allow_trackback eq 'Y'}
    <div id='zone_trackback_{$article->article_srl}' style='display:none;width:{$config->width}{$config->width_type};text-align:center'></div>
    {/if}

    {if $article->allow_comment eq 'Y'}
    <div id='zone_comment_{$article->article_srl}' style='display:none;width:{$config->width}{$config->width_type};text-align:center'></div>
    {/if}

    <br />
  {/if}

</div>

<br class='article_div' />

{/if}
