{** comment list **}
{if $comment_list}
  {foreach from=$comment_list key=key item=obj name=list}
  <span id='zone_comment_{$obj->comment_srl}'>
    <table border='0' width='100%'>
    {if $obj->depth}
    <col width='{$obj->depth*20}' />
    <col width='*' />
    {/if}
    <tr valign='top'>
      {if $obj->depth}
      <td rowspan='2'></td>
      {/if}
      <td>
        <table border='1' width='100%'>
        <tr>
          <td align='left'>
            {if $obj->user_id}
              {if $site_info->use_exp eq 'Y'}
                <img src="{$obj->exp_icon}" border="0" title="{$obj->exp_per}%" />
              {/if}
              {if $obj->image_mark}<img src='{$obj->image_mark}' border='0' />{/if}
              <a href="{$obj->view_info_url}">{if $obj->image_nick}<img src='{$obj->image_nick}' border='0' />{else}{$obj->writer}{/if}</a>
              ({$obj->user_id})
            {else}
              {$obj->writer}
            {/if}
          </td>
          <td align='right'>
            {$obj->regdate|zdate:true} 
            {if $comment_enable}
              [<a href="#" onClick="svc_comment_reply('{$obj->comment_srl}','{$article_srl}');return false;">{$lang->common->btn_reply}</a>]
            {/if}
            {if $obj->delete_enable}
              [<a href='{$obj->delete_url}'>{$lang->common->btn_delete}</a>]
            {/if}
            {if $obj->report_enable}
              [<a href="#" onClick="svc_report('{$obj->article_srl}','{$obj->comment_srl}');return false;" />{$lang->common->btn_report}</a>]
            {/if}
          </td>
        </tr>
        <tr>
          <td colspan='2' align='left' height='40'>
            {$obj->article}

            {if $obj->member_srl eq 0}
              <br />
              ip : {$obj->ipaddress|zipfilter}
            {/if}
          </td>
        </tr>
        </table>
      </td>
    </tr>
    </table>
  </span>
  {/foreach} 
{else}
  <table border='1' width='100%'>
  <tr>  
    <td style='height:40px'>
      {$lang->common->notice_no_list}
    </td>
  </tr>
  </table>
{/if}

{if $comment_enable}

{** comment form **}
<span id='zone_comment_form_{$article_srl}'>
  <form id='fo_insert' action='./' method='post' onSubmit='return svc_comment_write(this)'>
  <input type='hidden' name='module_srl' value='{$module_srl}' />
  <input type='hidden' name='article_srl' value='{$article_srl}' />
  <input type='hidden' name='parent_srl' value='0' />
  <input type='hidden' name='article' value='' />
    <table border='1' width='100%'>
    <col width='120' />
    <col width='*' />
    {if !$member_srl}
    <tr>
      <td>{$lang->common->fld_name}</td>
      <td align='left'><input type='text' name='writer' value='' /></td>
    </tr>
    <tr>
      <td>{$lang->common->fld_passwd}</td>
      <td align='left'><input type='password' name='passwd' value='' /></td>
    </tr>
    <tr>
      <td>{$lang->common->fld_email}</td>
      <td align='left'><input type='text' name='email' value='' /></td>
    </tr>
    {/if}
    <tr>
      <td colspan='2' align='left'>
        {include file="$common_tpl_path/richtext_form.include.tpl" srl=$article_srl lang=$lang}
      </td>
    </tr>
    {if $show_image_number}
    <tr>
      <td colspan='2' align='center'>
        <img src='./file_download.php?type=number' />
        <input type='text' name='image_number' size='5' maxlength='5' />
      </td>
    </tr>
    {/if}
    <tr>  
      <td colspan='2' align='center'>
        <input type='submit' value='{$lang->common->btn_submit}' />
      </td>
    </tr>
    </table>
  </form>
</span>

{/if}
