{** comment columns alert messages **}
<script type='text/javascript'>
  var alert_msg = new Array();
  alert_msg['writer'] = '{$lang->common->alert_require_writer}';
  alert_msg['passwd'] = '{$lang->common->alert_require_passwd}';
  alert_msg['article'] = '{$lang->common->alert_require_article}';
  alert_msg['msg_confirm'] = '{$lang->common->alert_confirm}';
  alert_msg['remove_survey'] = '{$lang->common->alert_remove_survey}';
  alert_msg['image_number'] = '{$lang->common->notice_member_fo_image_number_is_null}';
  alert_msg['delete_trackback'] = '{$lang->common->alert_delete_trackback}';
  alert_msg['survey_over_cnt'] = '{$lang->common->notice_survey_over_cnt}';
  alert_msg['survey_check_item'] = '{$lang->common->notice_survey_check_item}';
</script>

<div id="module_board">

  {** top navigation **}
  <table width="100%" border="0" cellspacing="0" cellpadding="0" id="board_head" class="top">
  <tr>
    <td class="bg_L"></td>
    <td valign="top" class="bg_C"><div class="board_title fc_01 bold">{$module_name}</div>
      <div class="button_rss">
        <button class="icon_rss" onClick="window.open('{$xml_url}')"></button>
      </div>
      <div class="board_list_count fc_02">{$lang->common->fld_total_article}: <span>{$total_articles|number_format}</span></div></td>
    <td class="bg_R"></td>
    {if $is_admin}
    <td class="button_R"><button class="setup" onClick="window.open('./admin.php?mid=module_manager&amp;module_srl={$module_srl}')"></button></td>
    {/if}
  </tr>
  </table>

  {if $config->module_desc}<div class="board_desc">{$config->module_desc|nl2br}</div>{/if}

  {if $config->board_top_plugin}<div>{$config->board_top_plugin}</div>{/if}

  {** selected article area **}
  {if $article->article and $view_enable} 
    {include file="$tpl_path/view.tpl" article=$article lang=$lang site_info=$site_info config=$config}
  {/if}

  {** list area **}
  <table width="100%" border="0" cellpadding="0" cellspacing="1" id="board_list">
  <tr>
    <th width="50"><div class="fc_02">{$lang->common->fld_no}</div></th>
    <th><div class="fc_02">{$lang->common->fld_title}</div></th>
    <th width="120"><div class="fc_02">{$lang->common->fld_writer}</div></th>
    <th width="80"><div class="fc_02">{$lang->common->fld_date}</div></th>
    <th width="45"><div class="fc_02">{$lang->common->fld_voted}</div></th>
    <th width="45"><div class="fc_02">{$lang->common->fld_readed}</div></th>
  </tr>

  {if $article_list}
  {foreach from=$article_list key=key item=obj name=list}

    {if $article_srl eq $obj->article_srl}
      {assign var=sel_class value="sel_row"}
    {else}
      {assign var=sel_class value=""}
    {/if}

    {if $obj->is_notice eq 'Y'}
      {assign var=tr_class value="nt"}
    {elseif $obj->serial_srl}
      {assign var=tr_class value="sr"}
    {else}
      {assign var=tr_class value="nm"}
    {/if}
  <tr class="row_0{$smarty.foreach.list.iteration%2+1} {$tr_class} {$sel_class}">
    <td class="no"><div>{$oPageNav->v_no-$smarty.foreach.list.iteration+1}</div></td>
    <td class="subject">
      <div>
        {if $obj->serial_srl}
          <a href="{$obj->serial_url}" class="fc_03">{$obj->serial_title}</a> <span class="fc_03">|</span>
        {/if}
        <a href="{$obj->url}" class="fc_01">{$obj->title}</a> 
        {if $obj->comment_cnt}<label class="comment">{$obj->comment_cnt}</label>{/if}
        {if $obj->regdate|isnew:3}<label class="new">&nbsp;</label>{/if}
        {if $obj->voted_cnt ge 10}<label class="hot">&nbsp;</label></div>{/if}
      </div>
    </td>
    <td class="{if !$obj->user_id}guest_{/if}writer">
      {if !$obj->user_id}
        <div style="padding-left:8px;" class="fc_02">{$obj->writer}</div>
      {else}
        {if $site_info->use_exp eq 'Y'}<div class="lv{$obj->exp_level}">{else}<div style="padding-left:8px;">{/if}
          {if $obj->image_mark}<img src='{$obj->image_mark}' border='0' />&nbsp;{/if}
          <a href="{$obj->view_info_url}" class="fc_02">{if $obj->image_nick}<img src='{$obj->image_nick}' border='0' />{else}{$obj->writer}{/if}</a>
        </div>
      {/if}
    </td>
    <td class="date"><div title="{$obj->regdate|zdate:true}">{$obj->regdate|zdate}</div></td>
    <td class="vote"><div>{$obj->voted_cnt}</div></td>
    <td class="hits"><div>{$obj->readed_cnt|number_format}</div></td>
  </tr>
  {/foreach} 
  {else}
  <tr class="row_01 nr">
    <td class="msg" colspan="6"><div>{$lang->common->notice_no_list}</div></td>
  </tr>
  {/if}
  </table>

  <table width="100%" border="0" cellspacing="0" cellpadding="0" id="board_head" class="bottom">
  <tr>
    <td class="button_L"><button class="viewall" onClick="location.href='./?sid={$sid}'"></button></td>
    <td class="bg_L"></td>
    <td align="center" valign="top" class="bg_C fc_04">
      <div id="page_nav" class="fc_04">
        {if $oPageNav->first_page}
          <a href="{$oPageNav->first_page}" class="fc_03">[{$lang->common->btn_first_page}]</a>
        {/if}
        {if $oPageNav->prev_page}
          <a href="{$oPageNav->prev_page}" class="fc_03">[{$lang->common->btn_prev_page}]</a>
        {/if}
        {foreach from=$oPageNav->page_list key=page item=link name=page_list}
          {if $oPageNav->cur_page eq $page}
            <a href="{$link}" class="fc_02 bold">{$page}</a> 
          {else}
            <a href="{$link}" class="fc_02">{$page}</a>
          {/if}
          {if !$smarty.foreach.page_list.last}|{/if}
        {/foreach}
        {if $oPageNav->next_page}
          &nbsp;<a href="{$oPageNav->next_page}" class="fc_03">[{$lang->common->btn_next_page}]</a>
        {/if}
        {if $oPageNav->last_page}
          <a href="{$oPageNav->last_page}" class="fc_03">[{$lang->common->btn_last_page}]</a>
        {/if}
        &nbsp;
      </div>
    </td>
    <td class="bg_R"></td>
    {if $write_enable}
    <td class="button_R"><button class="post" onClick="location.href='{$write_url}'"></button></td>
    {/if}
  </tr>
  </table>

  {** search form **}
  {if $view_enable}
    <form action='./' method='get'>
    <input type='hidden' name='sid' value='{$sid}' />
    <input type='hidden' name='serial_srl' value='{$serial_srl}' />
    <table border="0" align="center" cellpadding="0" cellspacing="4" id="module_search">
    <tr>
      <td width="100">&nbsp;</td>
      <td>
        <table border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td valign="top"><input type="checkbox" {if $st eq 'Y'}checked{/if} name="st" id="st" value="Y" class="checkbox" /></td>
          <td valign="top"><label for="st">{$lang->common->fld_title}</label>
          &nbsp;</td>
          <td valign="top"><input type="checkbox" {if $sc eq 'Y'}checked{/if} name="sc" id="sc" value="Y" class="checkbox" /></td>
          <td valign="top"><label for="sc">{$lang->common->fld_content}</label>
          &nbsp;</td>
          <td valign="top"><input type="checkbox" {if $sw eq 'Y'}checked{/if} name="sw" id="sw" value="Y" class="checkbox" /></td>
          <td valign="top"><label for="sw">{$lang->common->fld_writer}</label>
          &nbsp;</td>
          <td valign="top"><input type="checkbox" {if $sg eq 'Y'}checked{/if} name="sg" id="sg" value="Y" class="checkbox" /></td>
          <td valign="top"><label for="sg">{$lang->common->fld_tag}</label></td>
        </tr>
        </table>
      </td>
      <td colspan="2">&nbsp;</td>
    </tr>
  <tr>
    <td>&nbsp;</td>
    <td><input name="search_keyword" type="text" class="input" style="width:145px;"  value="{$search_keyword|escape}" />
      <select name="sa">
        <option value='and' {if $sa eq 'and'}selected{/if}>AND</option>
        <option value='or' {if $sa eq 'or'}selected{/if}>OR</option>
      </select>
    </td>
    <td><input type="submit" class="search" value="" /></td>
    <td><button class="search_c" onclick="location.href='./?sid={$sid}';return false;"></button></td>
  </tr>
  </table>
  </form>
  {/if}

  {if $config->board_bottom_plugin}<div>{$config->board_bottom_plugin}</div>{/if}

</div>
