<?php
  header("Content-Type: text/xml; charset=UTF-8");
  header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
  header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
  header("Cache-Control: no-store, no-cache, must-revalidate");
  header("Cache-Control: post-check=0, pre-check=0", false);
  header("Pragma: no-cache");

  define('INCLUDED_IN_ZB5', true);

  require_once("./zb.inc.php");

  if($_REQUEST['file_srl']) {
    $output = zFile::deleteFromRemoteFile();
  } else {
    require_class("zXmlParser");
    $oXml = new zXmlParser();
    $obj = $oXml->parse();
    if(!$obj->methodname || !$obj->action) exit();
    switch($obj->methodname) {
      case 'admin_site_manager' :
      case 'admin_server_manager' :
      case 'admin_menu_manager' :
      case 'admin_member_manager' :
      case 'admin_layout_manager' :
      case 'admin_module_manager' :
      case 'admin_page_manager' :
      case 'admin_plugin_manager' :
          require_class("Admin");
          $methodname = str_replace('admin_','',$obj->methodname);
          $oServer = &Admin::instance($methodname);
        break;
      case 'install' :
          require_class('zInstall');
          $oServer = new zInstall();
        break;
      case 'member' :
          require_class('zMember');
          $oServer = new zMember();
        break;
      case 'module_manager' :
          require_class('zModuleManager');
          require_class('zSvc');
          if($obj->article_srl) $oServer = &zModuleManager::getInstanceByASrl($obj->article_srl, $obj->module_srl);
          elseif($obj->module_srl) $oServer = &zModuleManager::getInstanceByMid($obj->module_srl);
          if(!$oServer) exit();

          $oServer->setXmlArgs($obj);
        break;
      case 'etc' :
          require_class('zEtc');
          $oServer = new zEtc();
        break;
    }
    $output = $oServer->proc($obj->action, $obj);
  }
  print '<?xml version="1.0" encoding="utf-8" ?>'."\n";
?>
<response>
<?  
  foreach($output as $key => $val) {
    if($key!='error') $val = '<![CDATA['.$val.']]>';
?>
<<?=$key?>><?=$val?></<?=$key?>>
<?
  }
?>
</response>
