<?php
  if(!defined('INCLUDED_IN_ZB5')) die('have a nice day');
  //header('P3P : CP="ALL CURa ADMa DEVa TAIa OUR BUS IND PHY ONL UNI PUR FIN COM NAV INT DEM CNT STA POL HEA PRE LOC OTC"');
  error_reporting(E_ALL ^ E_NOTICE);

  define('ROOT_DIR', './');

  define('CLASS_DIR', ROOT_DIR."classes/");
  define('SMARTY_DIR', ROOT_DIR.'classes/smarty/');
  define('LAYOUT_DIR', ROOT_DIR.'layout/');
  define('MODULE_DIR', ROOT_DIR.'modules/');
  define('PLUGIN_DIR', ROOT_DIR.'plugins/');
  define('FILES_DIR', ROOT_DIR.'files/');

  define('DB_CONFIG_FILE', FILES_DIR.'db_config.inc.php');

  define('COMMON_DIR', ROOT_DIR.'common/');
  define('COMMON_LANG_DIR', COMMON_DIR.'lang/');
  define('COMMON_TPL_DIR', COMMON_DIR.'tpl/');
  define('COMMON_JS_DIR', COMMON_DIR.'js/');
  define('COMMON_CSS_DIR', COMMON_DIR.'css/');
  define('COMMON_IMAGE_DIR', COMMON_DIR.'images/');

  define('INSTALL_LANG_DIR', COMMON_LANG_DIR.'install/');
  define('FONTLIST_LANG_DIR', COMMON_LANG_DIR.'fontlist/');

  define('ADMIN_DIR', ROOT_DIR.'admin/');
  define('ADMIN_TPL_DIR', ADMIN_DIR.'tpl/');
  define('ADMIN_LANG_DIR', ADMIN_DIR.'lang/');
  define('ADMIN_CSS_DIR', ADMIN_DIR.'css/');
  define('ADMIN_IMAGE_DIR', ADMIN_DIR.'images/');

  define('SMARTY_CACHE_DIR', FILES_DIR.'smarty_cache/');
  define('SMARTY_COMPILE_DIR', FILES_DIR.'smarty_compile/');

  define('ZB_CACHE_DIR', FILES_DIR.'zb_cache/');

  define('GUEST', 0);
  define('MEMBER', 1);
  define('MANAGER', 2);
  define('ADMINISTRATOR', 3);

  require_once(SMARTY_DIR."Smarty.class.php");
  require_once(SMARTY_DIR."Smarty_Compiler.class.php");
  require_class("zSmarty");
  require_class("zDB");
  require_class("zDocument");
  require_class("zSession");
  require_class("zUrl");
  require_class("zMember");
  require_class("Zeroboard");
  require_class("zSvc");
  require_class("zModuleManager");
  require_class("zFile");
  require_class("zPoint");
  require_class("zMenu");

  function require_class($class_name) {
    if(class_exists($class_name)) return;
    require_once(CLASS_DIR.$class_name.".class.php");
  }

  $oSession = new zSession();
  session_set_save_handler(
    array(&$oSession,"open"),
    array(&$oSession,"close"),
    array(&$oSession,"read"),
    array(&$oSession,"write"),
    array(&$oSession,"destroy"),
    array(&$oSession,"gc"));
  session_cache_limiter('no-cache, must-revalidate');
  session_start();
?>
