<script type='text/javascript'>
  var alert_msg = new Array();
  alert_msg['title'] = '{$lang->admin->msg_layout_title}';
  alert_msg['layout'] = '{$lang->admin->msg_layout_select}';
  alert_msg['val'] = '{$lang->admin->msg_layout_require}';
  alert_msg['comment'] = '{$lang->admin->msg_comment}';
  alert_msg['no_selected'] = '{$lang->admin->fld_no_selected}';
  alert_msg['msg_register'] = '{$lang->admin->msg_register}';
  alert_msg['msg_delete'] = '{$lang->admin->msg_delete}';
  alert_msg['image_only'] = '{$lang->admin->notice_upload_image_only}';
</script>

{include 
    file='./admin/tpl/admin_content_header.tpl' 
    content_step="2" 
    icon="layout.gif"
    title=$lang->admin->layout_manager
}

<div id='zone_list' style='display:block'>

  <div>
    <div style="float:left;" id="zone_btn_register">
      <button class="regist" onClick='admin_layout_show_form();'></button>
    </div>
    <div id='zone_btn_list' style='display:none'>[<a href='{$admin_file}?mid={$mid}&amp;category_srl={$category_srl}'>{$lang->admin->btn_list}</a>]</div>

    <table border="0" cellpadding="0" cellspacing="2" style="height:22px;float:right;">
    <tr>
      <td><img src="./admin/images/common/img_btninfo_modify.gif" alt="{$lang->admin->btn_modify}" width="14" height="14" /></td>
      <td class="fh_01 desc">{$lang->admin->btn_modify} &nbsp;</td>
      <td><img src="./admin/images/common/img_btninfo_delete.gif" alt="{$lang->admin->btn_delete}" width="14" height="14" /></td>
      <td class="fh_01 desc">{$lang->admin->btn_delete} &nbsp;</td>
    </tr>
    </table>
    <div style="clear:both;overflow:hidden;height:5px;"></div>
  </div>

  <table width="100%" border="0" cellspacing="1" cellpadding="0" class="tbl_01">
  <tr>
    <th width="60" height="24"><div class="desc">{$lang->admin->fld_no}</div></th>
    <th width="140"><div class="desc">{$lang->admin->fld_layout_title}</div></th>
    <th><div class="desc">{$lang->admin->fld_layout}</div></th>
    <th width="60">&nbsp;</th>
  </tr>

  {if $list}
    {foreach from=$list key=key item=obj name=list}
    <tr class="row_0{$smarty.foreach.list.iteration%2+1}">
      <td height="24" class="al_c"><div class="no el" style="width:60px;">{$smarty.foreach.list.iteration}</div></td>
      <td class="al_l"><div class="desc el" style="width:100px;">{$obj->title}</div></td>
      <td class="al_l"><div class="desc el" style="width:96%;">{$obj->layout_title}</div></td>
      <td class="al_c">
        <table border="0" cellspacing="1" cellpadding="0" style="margin:1px;">
        <tr>
          <td><button class="lb_modify" onClick='admin_layout_get_info({$obj->layout_srl});' title="{$lang->admin->btn_modify}"></button></td>
          <td><button class="lb_delete" onClick='admin_layout_delete({$obj->layout_srl});' title="{$lang->admin->btn_delete}"></button></td>
        </tr>
        </table>
      </td>
    </tr>
    {/foreach}
  {else}
    <tr class="row_01">
      <td height="60" class="al_c" colspan="4"><div class="desc el">{$lang->admin->notice_no_layout_exists}</div></td>
    </tr>
  {/if}
  </table>

  {$page_nav_tpl}

</div>

<div id='zone_insert' style='display:none'>
  <form action='{$file_server}' method='post' id='fo_insert' onSubmit='return false' enctype='multipart/form-data' style='display:inline'>
  <input type='hidden' name='layout_srl' value='' />

  <div class="tbar_y_30">
    <div class="guide">
      <div class="left"></div>
      <div class="right"></div>
    </div>

    <div class="center">
      <table border="0" cellpadding="1" cellspacing="0" style="float:left;">
      <tr>
        <td class="icon"><img src="./admin/images/icons/bullet_error.gif" alt="i" width="16" height="16" /></td>
        <td class="text">{$lang->admin->notice_site_config_save}</td>
      </tr>
      </table>
      <table border="0" cellpadding="1" cellspacing="0" style="float:right;">
      <tr>
        <td>
          <button class="save" onclick="admin_layout_insert()"></button>
          <button class="cancel" onclick="admin_layout_hide_form()"></button>
        </td>
      </tr>
      </table>
    </div>
  </div>

  <div class="tbar_25">
    <div class="guide">
      <div class="left"></div>
      <div class="right"></div>
    </div>
    <div class="center">
      <div class="form_L_icon"><img src="./admin/images/icons/s_application.gif" alt="i" width="16" height="16" /></div>
      <div class="form_L_text">{$lang->admin->fld_module_default_info}</div>
    </div>
  </div>

  <div>
    <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tbl_01">
    <tr class="row_01">
      <th width='120' height="24" class="al_l"><div class="desc">{$lang->admin->fld_layout_title}</div></th>
      <td class="al_l"><div><input type="text" name="title" class="input" style="width:96%;" value="" /></div></td>
    </tr>
    <tr class="row_02">
      <th height="24" class="al_l"><div class="desc">{$lang->admin->fld_layout}</div></th>
      <td class="al_l">
        <div>
          <select name='layout' onChange='admin_layout_show_sub(this)'>
            <option value=''>{$lang->admin->fld_layout_select}</option>
            {foreach from=$layout_list key=key item=obj name=layout_list}
            <option value='{$key}'>{$obj->title}</option>
            {/foreach}
          </select>
        </div>
      </td>
    </tr>
    <tr class="row_03">
      <th height="24" class="al_l"><div class="desc">{$lang->admin->fld_theme}</div></th>
      <td class="al_l">
        <div>
          <select name='theme' id='theme'></select>
        </div>
      </td>
    </tr>
    </table>
  </div>

  <div id='zone_sub' style='display:none'></div>

  </form>

</div>

{include file='./admin/tpl/admin_content_footer.tpl'}
