<script type='text/javascript'>
  var alert_msg = new Array();
  alert_msg['server_name'] = '{$lang->admin->msg_server_name}';
  alert_msg['hostname'] = '{$lang->admin->msg_server_hostname}';
  alert_msg['port'] = '{$lang->admin->msg_server_port}';
  alert_msg['path'] = '{$lang->admin->msg_server_path}';
  alert_msg['comment'] = '{$lang->admin->msg_comment}';
  alert_msg['msg_register'] = '{$lang->admin->msg_register}';
  alert_msg['msg_delete'] = '{$lang->admin->msg_delete}';
</script>

{include 
    file='./admin/tpl/admin_content_header.tpl' 
    content_step="2" 
    icon="computer.gif"
    title=$lang->admin->server_manager
}


<div id='zone_list' style='display:block'>

  <div>
    <div style="float:left;">
      <button class="regist" onclick='admin_server_show_insert();'></button>
    </div>
    <div style="float:right;">
      <select name='category_srl' onChange="admin_server_change_category(this)">
        {foreach from=$menu_list item=obj key=key name=menu_list}
        <option value='{$obj}' {if $obj eq $sid or (!$sid and $obj eq 'total_server_list') }selected{/if}>{$lang->admin->$obj}</option>
        {/foreach}
      </select>
    </div>
    <div style="clear:both;overflow:hidden;height:5px;"></div>
  </div>

  <table width="100%" border="0" cellspacing="1" cellpadding="0" class="tbl_01">
  <tr>
    <th width="60" height="24"><div class="desc">{$lang->admin->fld_no}</div></th>
    <th><div class="desc">{$lang->admin->fld_server_type}</div></th>
    <th><div class="desc">{$lang->admin->fld_server_is_default}</div></th>
    <th><div class="desc">{$lang->admin->fld_hostname}</div></th>
    <th><div class="desc">{$lang->admin->fld_port}</div></th>
    <th><div class="desc">{$lang->admin->fld_path}</div></th>
    <th width="44">&nbsp;</th>
  </tr>

  {foreach from=$list key=key item=obj name=list}
  <tr class="row_0{$smarty.foreach.list.iteration%2+1}">
    <td height="24" class="al_c"><div class="desc el" style="width:60px;">{$smarty.foreach.list.iteration}</div></td>
    <td class="al_l">
      <div class="desc el">
        {if $obj->server_type=='web'}
          {$lang->admin->web_server_list}
        {else}
          {$lang->admin->file_server_list}
        {/if}
      </div>
    </td>
    <td class="al_l"><div class="desc el">{$obj->server_name}</div></td>
    <td class="al_l"><div class="desc el">{$obj->hostname}</div></td>
    <td class="al_c"><div class="desc el">{$obj->port}</div></td>
    <td class="al_l"><div class="desc el">{$obj->path}</div></td>
    <td class="al_c" width="44">
      <table border="0" cellspacing="1" cellpadding="0" style="margin:1px;">
      <tr>
        <td><button class="lb_modify" onClick='admin_server_get_info({$obj->server_srl});' title="{$lang->admin->btn_modify}"></button></td>
        <td><button class="lb_delete" onClick='admin_server_delete({$obj->server_srl});' title="{$lang->admin->btn_delete}"></button></td>
      </tr>
      </table>
    </td>
  </tr>
  {/foreach}
  </table>
</div>

<div id='zone_insert' style='display:none'>

  <form action='{$admin_file}' method='post' id='fo_insert' onSubmit='return false'>
  <input type='hidden' name='server_srl' value='' />

  <div class="tbar_y_30">
    <div class="guide">
      <div class="left"></div>
      <div class="right"></div>
    </div>

    <div class="center">
      <table border="0" cellpadding="1" cellspacing="0" style="float:left;">
      <tr>
        <td class="icon"><img src="./admin/images/icons/bullet_error.gif" alt="i" width="16" height="16" /></td>
        <td class="text">{$lang->admin->notice_site_config_save}</td>
      </tr>
      </table>
      <table border="0" cellpadding="1" cellspacing="0" style="float:right;">
      <tr>
        <td>
          <button class="save" onclick="admin_server_insert()"></button>
          <button class="cancel" onclick="admin_server_hide_insert()"></button>
        </td>
      </tr>
      </table>
    </div>
  </div>
  
  <div>
    <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tbl_01">
    <tr class="row_01">
      <th width="120" height="24" class="al_l"><div class="desc">{$lang->admin->fld_server_type}</div></th>
      <td class="al_l">
        <div>
          <span id='zone_server_select' style='display:inline'>
            <select name='server_type'>
              <option value='web'>{$lang->admin->web_server_list}</option>
              <option value='file'>{$lang->admin->file_server_list}</option>
            </select>
          </span>
          <span id='zone_server_type' style='display:none'>
          </span>
        </div>
      </td>
    </tr>
    <tr class="row_02">
      <th width="120" height="24" class="al_l"><div class="desc">{$lang->admin->fld_server_is_default}</div></th>
      <td class="al_l">
        <div>
          <input type='checkbox' name='is_default' value='Y' />
        </div>
      </td>
    </tr>
    <tr class="row_01">
      <th width="120" height="24" class="al_l"><div class="desc">{$lang->admin->fld_server_name}</div></th>
      <td class="al_l">
        <div>
          <input type='text' class='input' name='server_name' value='' style='width:98%' maxlength='256' size='20' />
        </div>
      </td>
    </tr>
    <tr class="row_02">
      <th width="120" height="24" class="al_l"><div class="desc">{$lang->admin->fld_hostname}</div></th>
      <td class="al_l">
        <div>
          http://<input type='text' class='input' name='hostname' value='' maxlength='256' size='40' />
        </div>
      </td>
    </tr>
    <tr class="row_01">
      <th width="120" height="24" class="al_l"><div class="desc">{$lang->admin->fld_port}</div></th>
      <td class="al_l">
        <div>
          <input type='text' class='input' name='port' value='80' style='width:100px' maxlength='6' size='6' />
        </div>
      </td>
    </tr>
    <tr class="row_02">
      <th width="120" height="24" class="al_l"><div class="desc">{$lang->admin->fld_path}</div></th>
      <td class="al_l">
        <div>
          <input type='text' class='input' name='path' value='/' maxlength='256' size='40' />
        </div>
      </td>
    </tr>
    </table>

  </form>

</div>

{include file='./admin/tpl/admin_content_footer.tpl'}
