<?php

  class zDocument {

    var $oModule;
    var $is_logged = false;
    var $member_srl = null;
    var $member_info = null;

    var $sid = null;
    var $serial_srl = null;
    var $cur_page = null;

    var $column_article = array (
          'article_srl',
          'module_srl',
          'is_notice',
          'writer',
          'user_id',
          'passwd',
          'title',
          'article',
          'tag',
          'regdate',
          'ipaddress',
          'member_srl',
          'comment_cnt',
          'trackback_cnt',
          'readed_cnt',
          'voted_cnt',
          'file_cnt',
          'allow_comment',
          'allow_trackback',
          'summary',
          'summary_div',
          'use_serial',
          'serial_srl',
          'prev_serial_srl',
          'next_serial_srl',
          'use_survey',
          'survey',
          'use_reply_message',
          'use_gallery',
          'listorder',
          'modify_order',
        );

    var $column_comment = array (
          'comment_srl',
          'module_srl',
          'article_srl',
          'parent_srl',
          'writer',
          'user_id',
          'passwd',
          'article',
          'member_srl',
          'regdate',
          'ipaddress',
          'listorder',
          'modify_order',
        );

    var $lang = null;

    function zDocument($oModule) {
      $this->oMember = &zMember::instance();
      if($this->oMember->isLogged()) {
        $this->is_logged = true;
        $this->member_srl = $this->oMember->member_srl;
        $this->member_info = $this->oMember->member_info;
      }
      $this->oModule = $oModule;
      $this->sid = $this->oModule->sid;
      $this->serial_srl = $this->oModule->serial_srl;
      $this->cur_page = $this->oModule->cur_page;
      $this->lang = &$this->oModule->lang;
    }

    function _checkModifyEnable($obj) {
      if($this->oModule->manager_enable) return true;
      if($this->is_logged && $obj->member_srl == $this->member_srl) return true;
      if(!$obj->member_srl && !$this->is_logged) return true;
      return false;
    }

    function _checkDeleteEnable($obj) {
      if($this->oModule->manager_enable) return true;
      if($this->is_logged && $obj->member_srl == $this->member_srl) return true;
      if(!$obj->member_srl && !$this->is_logged) return true;
      return false;
    }

    function _checkVoteEnable($obj) {
      if(!$this->is_logged) return false;
      if($obj->member_srl == $this->member_srl) return false;
      return true;
    }

    function _checkReportEnable($obj) {
      return $this->is_logged;
    }

    function _addUserInfo(&$obj) {
      global $__temp_obj_list;
      if(!$obj->member_srl&&!$obj->sender_srl&&!$obj->receiver_srl) return;
      $__temp_obj_list[] = &$obj;
    }

    function _addSerialInfo(&$obj) {
      global $__temp_serial_list;
      if(!$obj->serial_srl) return;
      $__temp_serial_list[] = &$obj;
    }

    function _addFileInfo(&$obj) {
      global $__temp_file_list;
      if(!$obj->file_cnt) return;
      $__temp_file_list[] = &$obj;
    }

    function _getUserInfo() {
      global $__temp_obj_list;
      $member_list = array();
      for($i=0;$i<count($__temp_obj_list);$i++) {
        $member_srl = $__temp_obj_list[$i]->member_srl;
        $sender_srl = $__temp_obj_list[$i]->sender_srl;
        $receiver_srl = $__temp_obj_list[$i]->receiver_srl;
        if($member_srl&&!in_array($member_srl,$member_list)) $member_list[] = $member_srl;
        if($sender_srl&&!in_array($sender_srl,$member_list)) $member_list[] = $sender_srl;
        if($receiver_srl&&!in_array($receiver_srl,$member_list)) $member_list[] = $receiver_srl;
      }

      if(count($member_list)) {
        $oDB = &zDB::instance();
        $member_srls = implode(",",$member_list);
        $oDB->select(array('member_srl','user_id','nick_name','image_nick','image_mark','profile_image','sign','point'),'member_list',"member_srl in ({$member_srls})");
        while($tmp = $oDB->fetch()) {
          $tmp_level = zPoint::getLevel($tmp->point);
          $tmp->exp_level = $tmp_level->exp_level;
          $tmp->exp_per = $tmp_level->exp_per;
          $tmp->exp_icon = $tmp_level->exp_icon;
          $user_info->{$tmp->member_srl} = $tmp;
        }

        for($i=0;$i<count($__temp_obj_list);$i++) {
          $member_srl = $__temp_obj_list[$i]->member_srl;
          $sender_srl = $__temp_obj_list[$i]->sender_srl;
          $receiver_srl = $__temp_obj_list[$i]->receiver_srl;

          if($member_srl && $user_info->{$member_srl}) {
            $__temp_obj_list[$i]->writer = $user_info->{$member_srl}->nick_name;
            $__temp_obj_list[$i]->image_nick = $user_info->{$member_srl}->image_nick;
            $__temp_obj_list[$i]->image_mark = $user_info->{$member_srl}->image_mark;
            $__temp_obj_list[$i]->profile_image = $user_info->{$member_srl}->profile_image;
            $__temp_obj_list[$i]->exp_level = $user_info->{$member_srl}->exp_level;
            $__temp_obj_list[$i]->exp_per = $user_info->{$member_srl}->exp_per;
            $__temp_obj_list[$i]->exp_icon = $user_info->{$member_srl}->exp_icon;
            $__temp_obj_list[$i]->sign = $user_info->{$member_srl}->sign;
          } else {
            $__temp_obj_list[$i]->member_srl = 0;
            $__temp_obj_list[$i]->user_id = 0;
            $__temp_obj_list[$i]->image_nick = '';
            $__temp_obj_list[$i]->image_mark = '';
            $__temp_obj_list[$i]->profile_image = '';
            $__temp_obj_list[$i]->exp_level = null;
            $__temp_obj_list[$i]->exp_per = null;
            $__temp_obj_list[$i]->exp_icon = null;
            $__temp_obj_list[$i]->sign = null;
          }

          if($sender_srl) $__temp_obj_list[$i]->sender_info = $user_info->{$sender_srl};
          if($receiver_srl) $__temp_obj_list[$i]->receiver_info = $user_info->{$receiver_srl};
        }
      } else return;
    }

    function _getSerialInfo() {
      global $__temp_serial_list;

      $serial_list = array();
      $article_list = array();

      for($i=0;$i<count($__temp_serial_list);$i++) {
        $obj = $__temp_serial_list[$i];
        if($obj->serial_srl && !in_array($obj->serial_srl, $serial_list)) $serial_list[] = $obj->serial_srl;
        if($obj->prev_serial_srl && !in_array($obj->prev_serial_srl, $article_list)) $article_list[] = $obj->prev_serial_srl;
        if($obj->next_serial_srl && !in_array($obj->next_serial_srl, $article_list)) $article_list[] = $obj->next_serial_srl;
      }

      $oDB = &zDB::instance();

      if(count($serial_list)) {
        $serial_srls = implode(',',$serial_list);
        $oDB->select(array('serial_srl','title'),'serial',"serial_srl in ({$serial_srls})");
        while($tmp = $oDB->fetch()) {
          $serial_info[$tmp->serial_srl] = $tmp->title;
        }
      }

      if(count($article_list)) {
        $article_srls = implode(',',$article_list);
        $oDB->select(array('article_srl','title'),'articles',"article_srl in ({$article_srls})");
        while($tmp = $oDB->fetch()) {
          $article_info[$tmp->article_srl] = $tmp->title;
        }
      }

      for($i=0;$i<count($__temp_serial_list);$i++) {
        $serial_srl = $__temp_serial_list[$i]->serial_srl;
        $prev_serial_srl = $__temp_serial_list[$i]->prev_serial_srl;
        $next_serial_srl = $__temp_serial_list[$i]->next_serial_srl;
        $article_srl = $__temp_serial_list[$i]->article_srl;

        $__temp_serial_list[$i]->serial_title = $serial_info[$serial_srl];

        if($prev_serial_srl && $next_serial_srl!=$article_srl) {
          $__temp_serial_list[$i]->prev_serial_title = $article_info[$prev_serial_srl];
          $__temp_serial_list[$i]->prev_serial_url = zUrl::getOtherSerialUrl($prev_serial_srl);
        }

        if($next_serial_srl && $next_serial_srl!=$article_srl) {
          $__temp_serial_list[$i]->next_serial_title = $article_info[$next_serial_srl];
          $__temp_serial_list[$i]->next_serial_url = zUrl::getOtherSerialUrl($next_serial_srl);
        }
      }
    }

    function _getFileInfo() {
      global $__temp_file_list;

      $oDB = &zDB::instance();

      for($i=0;$i<count($__temp_file_list);$i++) {
        $article_srl_list[] = $__temp_file_list[$i]->article_srl;
      }

      if(!count($article_srl_list)) return;
      $article_srls = implode(",",$article_srl_list);

      $oDB->select(array('article_srl','filename','s_filename','size','ext','download_cnt','is_resized'),'file',"article_srl in ({$article_srls})");
      while($tmp = $oDB->fetch()) {
          $tmp->download_url = str_replace('file_upload.php','file_download.php',$this->oModule->file_server)."?filename={$tmp->filename}";
          if($tmp->is_resized == 'Y') $tmp->source_url = $tmp->download_url."&amp;type=source";

          if(in_array($tmp->ext,array('gif','jpg','jpeg','png'))) {
            $tmp->thumbnail_url = $tmp->download_url."&amp;type=thumbnail";
            if(!$thumbnail_list[$tmp->article_srl]) $thumbnail_list[$tmp->article_srl] = $tmp->thumbnail_url;
          }
          $tmp->filesize = zFile::filesize($tmp->size);
          $file_list[$tmp->article_srl][] = $tmp;
      }

      for($i=0;$i<count($__temp_file_list);$i++) {
        $article_srl = $__temp_file_list[$i]->article_srl;

        if(count($file_list[$article_srl])) {
          $__temp_file_list[$i]->file_list = $file_list[$article_srl];
          if($thumbnail_list[$article_srl]) $__temp_file_list[$i]->thumbnail_url = $thumbnail_list[$article_srl];
        }
        else $__temp_file_list[$i]->file_cnt = 0;
      }
    }

    function sendToCenter($mode, $obj) {

      $oSvc = &zSvc::instance();
      $site_info = $oSvc->getSiteInfo();
      $obj->mode = $mode;
      $obj->site_title  = $site_info->title;
      $obj->hostname = $this->oModule->module_info->web_server_host;

      $content = sprintf("content=%s",urlencode(base64_encode(serialize($obj))));
      $content_length = strlen($content);

      $http['path'] = '/server/crawler.php';
      $http['host'] = 'center.zeroboard.com';
      $http['port'] = 80;

      $header = 
        sprintf(
          "POST %s HTTP/1.1\r\n".
          "Host: %s\r\n".
          "Content-Type: %s\r\n".
          "Content-Length: %s\r\n\r\n".
          "%s\r\n",
          $http['path'],
          $http['host'],
          "application/x-www-form-urlencoded",
          $content_length,
          $content
        );
      $fp = fsockopen($http['host'], $http['port'], $errno, $errstr, 5);
      if(!$fp) return;

      fputs($fp, $header);

      fclose($fp);
    }
  }

?>
