<?php

  class zEtc {

    function zEtc() {
    }

    function proc($action, $obj) {
      switch($action) {
        case 'highlight' :
            return $this->_highlight($obj);
          break;
        case 'search_address' :
            return $this->_searchAddress($obj);
          break;
      }
    }

    function _highlight($obj) {
      $html = trim(str_replace(array('&nbsp;','&lt;','&gt;','&amp;'),array(' ','<','>','&'),strip_tags(str_replace(array("<br>\n","<br />\n"),"\n",trim($obj->html)))));
      if(substr($html,0,2)!='<?') {
        $php_code_added = true;
        $html = "<?\n".$html."\n?>";
      }
      $html = highlight_string($html, true);

      $html = str_replace(
          array('<font ', '</font>','<code>','</code>',"\n"),
          array('<span ', '</span>','','','<br />'),
          $html
        );
      $html = preg_replace('#color="(.*?)"#', 'style="color:\\1"', $html);

      $output = Zeroboard::getOutput(0,'success');
      $output->html = $html;

      return $output;
    }

    function _searchAddress($obj) {
      $addr3 = trim($obj->addr3);
      if(!$addr3) return Zeroboard::getOutput(-1,'error');

      $hostname = 'kr.zip.zeroboard.com';
      $port = 80;
      $query_string = sprintf("/server.php?addr3=%s",urlencode($addr3));

      $fp = fsockopen($hostname, $port, $errno, $errstr);
      if(!$fp) return Zeroboard::getOutput(-1,$errstr);
      fputs($fp, "GET {$query_string} HTTP/1.0\r\n");
      fputs($fp, "Host: {$hostname}\r\n\r\n");

      $buff = '';
      while(!feof($fp)) {
        $str = fgets($fp, 1024);
        if(trim($str)=='') $start = true;
        if($start) $buff .= $str;
      }

      fclose($fp);

      $address_list = unserialize(base64_decode($buff));

      $output = Zeroboard::getOutput();
      $output->address_list = implode("\n",$address_list);
      return $output;
    }


  }

?>
