<?php
  
  class zMessage extends zDocument {

    function &instance($oModule) {
      if(!$GLOBLAS['_zMessage_']) $GLOBLAS['_zMessage_'] = new zMessage($oModule);
      return $GLOBLAS['_zMessage_'];
    }

    function zMessage($oModule) {
      parent::zDocument($oModule);
    }

    function getMessageBox($message_cnt, $message_list, $target_member, $selected_message, $sub_action, $source_title, $oPageNav, $mode) {
      $oMember = &zMember::instance();
      if(!$oMember->member_srl) return;

      $oDB = &zDB::instance();

      $mode = $_REQUEST['mode']?$_REQUEST['mode']:null;
      $is_keeped = $_REQUEST['is_keeped']?$_REQUEST['is_keeped']:null;
      $sub_action = $_REQUEST['sub_action']?$_REQUEST['sub_action']:null;
      $message_srl = $_REQUEST['message_srl']?$_REQUEST['message_srl']:null;
      $s_message_srl = $_REQUEST['s_message_srl']?$_REQUEST['s_message_srl']:null;

      if($sub_action != 'none') {
        $member_srl = $oDB->addquotes($this->oModule->member_srl);
        $table_list = 'message';
        $cond_list = array();

        switch($mode) {
          case 'sended' :
              $cond_list[] = "sender_srl='{$member_srl}'";
              $cond_list[] = "message_type='S'";
            break;
          default :
              $cond_list[] = "receiver_srl='{$member_srl}'";
              $cond_list[] = "message_type='R'";
            break;
        }
        if($is_kepped) $cond_list[] = "keeping='Y'";

        $message_cnt = $oDB->getCount($table_list,$cond_list);

        $oPageNav = Zeroboard::getPageNav($message_cnt, 20, 10);

        $cond_list[] = "listorder < 0";

        $oDB->select('*',$table_list, $cond_list, 'listorder', $oPageNav->start_cnt, $oPageNav->list_cnt);
        while($tmp = $oDB->fetch()) {
          $tmp->read_url = zUrl::getReadMessageUrl($tmp);
          $tmp->send_message_url = zUrl::getReplyMessageUrl($tmp);
          $message_list[$tmp->message_srl] = $tmp;

          $this->_addUserInfo(&$message_list[$tmp->message_srl]);
        }
      }

      $target_srl = $_REQUEST['target_srl']?$_REQUEST['target_srl']:null;
      if($target_srl) {
        $target_srl = $oDB->addquotes($target_srl);
        $tmp = $oDB->selectOne('*','member_list',"member_srl='{$target_srl}'");
        $tmp_level = zPoint::getLevel($tmp->point);
        $tmp->exp_level = $tmp_level->exp_level;
        $tmp->exp_per = $tmp_level->exp_per;
        $tmp->exp_icon = $tmp_level->exp_icon;
        if(!$tmp->user_id) {
          unset($this->target_srl);
        } else {
          $target_member = $tmp;
        }
      }

      if($message_srl && $message_list[$message_srl]) {
        $selected_message = $message_list[$message_srl];
        $this->_addUserInfo(&$selected_message);
        $selected_message->reply_url = zUrl::getReplyMessageUrl($selected_message);
        if($selected_message->is_readed == 'N') {
          $query_obj->is_readed = 'Y';
          $message_srl = $oDB->addquotes($message_srl);
          $oDB->update('message',$query_obj,"message_srl='{$message_srl}'");
          $oDB->updateMinus('member_list','new_message',"member_srl='{$this->oModule->member_srl}'");
          $oDB->updateMinus('session','new_message',"member_srl='{$this->oModule->member_srl}'");
          $selected_message->is_readed = 'Y';
        }
      } else unset($message_srl);

      if($s_message_srl) {
        $s_message_srl = $oDB->addquotes($s_message_srl);
        $tmp = $oDB->selectOne('title','message',"message_srl='{$s_message_srl}'");
        if(!eregi("^\[re\]",$tmp->title)) $tmp->title = '[re]'.$tmp->title;
        $source_title = $tmp->title;
      }
      $this->_getUserInfo();
    }


  }

?>
