<?php
 
  class zPoint {

    var $oDB = null;

    var $target_srl = null;

    var $mode = null;
    var $key = null;

    var $is_valid = false;

    function zPoint($module_srl, $target_srl, $mode, $key) {
      $this->oDB = &zDB::instance();

      $module_srl = $this->oDB->addquotes($module_srl);
      $tmp = $this->oDB->selectOne('point','module_manager',"module_srl='{$module_srl}'");
      $this->point = zPoint::unserializePoint($tmp->point);
      if(!$this->point->{$mode}) return;

      $this->is_valid = true;
      $this->mode = $mode;
      $this->key = $key;
      $this->target_srl = $target_srl;

    }

    function add_point() {
      if(!$this->is_valid) return;

      $history = $_SESSION['point_history'];
      $check_key = sprintf("%s_%s",$this->mode,$this->key);
      if(count($history) && in_array($check_key, $history)) return;
      $point = $this->point->{$this->mode};
      $target_srl = $this->oDB->addquotes($this->target_srl);

      $this->oDB->updatePlus('member_list','point',"member_srl='{$target_srl}'",$point);
      $this->oDB->updatePlus('session','point',"member_srl='{$target_srl}'",$point);

      $history[] = $check_key;
      $_SESSION['point_history'] = $history;
    }

    function remove_point() {
      if(!$this->is_valid) return;

      $point = $this->point->{$this->mode};
      $target_srl = $this->oDB->addquotes($this->target_srl);

      $this->oDB->updateMinus('member_list','point',"member_srl='{$target_srl}'",$point);
      $this->oDB->updateMinus('session','point',"member_srl='{$target_srl}'",$point);
    }

    function getLevel($member_point) {

      if($member_point<1) $member_point = 1;
      for($level=1;$level<=30;$level++) {
        $level_point = pow($level,2)*90;
        $member_point -= $level_point;

        if($member_point<0) {
          $member_point += $level_point;
          break;
        }

      }
      if($level >= 30) {
        $obj->exp_level = 30;
        $obj->exp_per = 0;
      } else {
        $exp_per = round( ($member_point / $level_point), 2)*100;
        $obj->exp_level = sprintf("%02d",$level);
        $obj->exp_per = $exp_per;
      }
      $obj->exp_icon = sprintf("%slevel/icon_lv_%02d.gif",COMMON_IMAGE_DIR,$obj->exp_level);
      return $obj;
    }

    function unserializePoint($obj) {
      if(!$obj) {
        $obj->write_article = 10;
        $obj->write_comment = 1;
        $obj->do_vote = 0;
        $obj->do_poll = 5;
        $obj->get_comment = 2;
        $obj->voted = 2;
        $obj->upload = 10;
        $obj->download = 0;
      } else {
        $obj = unserialize($obj);
      }
      return $obj;
    }

    function serializePoint($tobj) {
      $obj->write_article = (int)$tobj->write_article;
      $obj->write_comment = (int)$tobj->write_comment;
      $obj->do_vote = (int)$tobj->do_vote;
      $obj->do_poll = (int)$tobj->do_poll;
      $obj->get_comment = (int)$tobj->get_comment;
      $obj->voted = (int)$tobj->voted;
      $obj->upload = (int)$tobj->upload;
      $obj->download = (int)$tobj->download;
      return serialize($obj);
    }
  }

?>
