<?php

  class zSession {

    var $oDB = null;
    var $lifetime = 0;
    var $ipaddress = '';

    function zSession() {
      $this->oDB = zDB::instance();
      //$this->lifetime = ini_get("session.gc_maxlifetime");
      $this->lifetime = 60*60;
      $this->ipaddress = $_SERVER['REMOTE_ADDR'];
    }

    function open() {
      return true;
    }

    function close() {
      return true;
    }

    function read($session_key) {
      $session_key = $this->oDB->addquotes($session_key);
      $cond_list = array("session_key='{$session_key}'","ipaddress='{$this->ipaddress}'");
      $output = $this->oDB->selectOne('*','session',$cond_list);

      $point = (int)$output->point;
      $new_message = (int)$output->new_message;

      $output->val = base64_decode($output->val);
      $output->val = "new_message|i:{$new_message};".$output->val;
      $output->val = "point|i:{$point};".$output->val;
      return $output->val;
    }

    function write($session_key, $val) {
      if(!$val) return true;

      $val = preg_replace("/^point\|i:[0-9]+;/","",$val);
      $val = preg_replace("/^new_message\|i:[0-9]+;/","",$val);

      $cond_list = array("session_key='{$session_key}'","ipaddress='{$this->ipaddress}'");
      $obj = $this->oDB->selectOne('session_key','session',$cond_list);

      $query_obj->expired = time()+$this->lifetime;
      $query_obj->val = base64_encode($val);
      $query_obj->ipaddress = $this->ipaddress;

      if($obj->session_key) {
        $cond_list = array("session_key='{$session_key}'","expired>'".time()."'");
        $this->oDB->update('session',$query_obj,$cond_list);
      } else {
        $query_obj->member_srl = $_SESSION['member_srl'];
        $query_obj->session_key = $session_key;
        $this->oDB->insert('session',$query_obj);
      }
      return true;
    }

    function destroy($session_key) {
      $this->oDB->delete('session',"session_key ='{$session_key}'");
      return true;
    }

    function gc($maxlifetime) {
      $this->oDB->delete('session',"expired<".time());
      $this->oDB->delete('session_autologin',"expired<".time());
      return true;
    }
  }

?>
