// display 
function admin_menu_show_insert() {
    xGetElementById('zone_list').style.display = 'none';

    xGetElementById('zone_insert').style.display = 'block';
    xGetElementById('fo_insert').reset();
    xGetElementById('fo_insert').menu_srl.value = '';
    xGetElementById('fo_insert').menu_name.focus();
}

function admin_menu_hide_insert() {
    xGetElementById('zone_insert').style.display = 'none';
    xGetElementById('zone_list').style.display = 'block';
}

function admin_menu_show_default_info(ret_obj, tags) {
    var tpl = ret_obj['tpl'];
    xInnerHtml('zone_node', tpl);
    xGetElementById('zone_node').style.display = 'block';
}

// list
function admin_menu_insert() {
    var fo_obj = xGetElementById('fo_insert');
    var check_list = new Array('menu_name','layout_srl');
    var params = get_form_elements(fo_obj);
    if(!check_empty(params, fo_obj, check_list)) return false;
    if(!request_confirm('msg_register')) return false;
    var action = 'insert_menu';
    if(params['menu_srl']>0) action = 'update_menu';
    request_xml('admin_menu_manager',action, params, admin_menu_insert_proc);
    return false;
}

function admin_menu_insert_proc() {
    location.replace('./admin.php?mid=menu_manager');
}

function admin_menu_get_info(menu_srl) {
    var response_tags = new Array('error','message','menu_srl','menu_name','layout_srl','depth','comment','cache_interval');
    var params = new Array();
    params['menu_srl'] = menu_srl;
    request_xml('admin_menu_manager','get_menu_info',params, admin_menu_get_info_proc, response_tags);
}

function admin_menu_get_info_proc(ret_obj) {
    var fo_obj = xGetElementById('fo_insert');
    set_form_elements(fo_obj, ret_obj);
    xGetElementById('zone_insert').style.display = 'block';
    xGetElementById('zone_list').style.display = 'none';
    fo_obj.menu_name.focus();
}

function admin_menu_delete(menu_srl) {
    if(!request_confirm('msg_delete')) return;
    var params = new Array();
    params['menu_srl'] = menu_srl;
    request_xml('admin_menu_manager','delete_menu',params, admin_menu_delete_proc);
}

function admin_menu_delete_proc() {
    location.replace(location.href);
}

var prev_admin_updown_btn_obj = null;
function admin_menu_show_updown_btn(obj, attr) {
    if(prev_admin_updown_btn_obj) prev_admin_updown_btn_obj.style.display = 'none';
    prev_admin_updown_btn_obj = xGetElementById(obj.id + '_btn');
    try {
        prev_admin_updown_btn_obj.style.display = attr;
    } catch(e) {
    }
}

function admin_menu_show_default() {
    if(node_srl>0) {
        admin_menu_show_tree(node_srl);
    } else {
        admin_menu_show_tree(0);
        admin_menu_show_root();
    }
}

function admin_menu_show_tree(node_srl) {
    var response_tags = new Array('error','message','tpl','node_srl');
    var params = new Array();
    params['menu_srl'] = menu_srl;
    if(typeof(node_srl)!='undefined') params['node_srl'] = node_srl;
    request_xml('admin_menu_manager','get_menu_tree_tpl',params, admin_menu_show_default_tree_proc,response_tags);
}

function admin_menu_show_default_tree_proc(ret_obj) {
    var tpl = ret_obj['tpl'];
    xInnerHtml('zone_tree', tpl);
    xGetElementById('zone_tree').style.display = 'block';
    if(ret_obj['node_srl']>0) admin_menu_show_node(ret_obj['node_srl']);
    else admin_menu_show_root();
}


function admin_menu_show_root() {
    var response_tags = new Array('error','message','tpl');
    var params = new Array();
    params['menu_srl'] = menu_srl;
    request_xml('admin_menu_manager','get_menu_info_tpl',params,admin_menu_show_node_proc,response_tags);
}

function admin_menu_show_node(node_srl) {
    var response_tags = new Array('error','message','tpl','node_srl');
    var params = new Array();
    params['menu_srl'] = menu_srl;
    params['node_srl'] = node_srl;
    request_xml('admin_menu_manager','get_node_info_tpl',params,admin_menu_show_node_proc,response_tags);
}

var admin_menu_prev_selected_node_id = null;
function admin_menu_show_node_proc(ret_obj) {
    var tpl = ret_obj['tpl'];
    var node_srl = ret_obj['node_srl'];

    if(admin_menu_prev_selected_node_id) {
        admin_menu_prev_selected_node_id.style.backgroundColor = '#FFFFFF';
        admin_menu_prev_selected_node_id.style.borderWidth = '0px';
        admin_menu_prev_selected_node_id.style.color = '#000000';
    }
    if(node_srl) {
        admin_menu_prev_selected_node_id = xGetElementById('tree_node_name_'+node_srl);
    } else {
        admin_menu_prev_selected_node_id = null;
    }
    if(admin_menu_prev_selected_node_id) {
        admin_menu_prev_selected_node_id.style.backgroundColor = '#0A246A';
        admin_menu_prev_selected_node_id.style.borderWidth = '1px';
        admin_menu_prev_selected_node_id.style.borderStyle = 'dotted';
        admin_menu_prev_selected_node_id.style.borderColor = '#000000';
        admin_menu_prev_selected_node_id.style.color = '#FFFFFF';
    }


    xInnerHtml('zone_node', tpl);
    xGetElementById('zone_node').style.display = 'block';
    xGetElementById('zone_node_form').style.display = 'none';
}

function admin_menu_show_prev_node_info() {
    xGetElementById('fo_add_node').reset();
    xGetElementById('zone_node_form').style.display = 'none';
    xGetElementById('zone_node').style.display = 'block';
}

function admin_menu_show_node_insert(p_node_srl) {
    if(typeof(p_node_srl)=='undefined') return;
    var response_tags = new Array('error','message','menu_srl','p_node_srl','p_node_name','layout_srl','access_level','show_level','access_level_title','show_level_title','hidden');
    var params = new Array();
    params['menu_srl'] = menu_srl;
    params['p_node_srl'] = p_node_srl;
    request_xml('admin_menu_manager','get_parent_node_info',params,admin_menu_show_node_insert_proc,response_tags);
}

function admin_menu_show_node_insert_proc(ret_obj, response_tags) {
    xGetElementById('zone_node').style.display = 'none';
    xGetElementById('zone_node_form').style.display = 'none';

    var fo_obj = xGetElementById('fo_add_node');
    fo_obj.reset();
    set_form_elements(fo_obj,ret_obj);

    xInnerHtml('zone_access_level', ret_obj['access_level_title']);
    xInnerHtml('zone_show_level', ret_obj['show_level_title']);
    if(ret_obj['module_title'] && ret_obj['module_srl']>0) {
        xInnerHtml('zone_module_name', ret_obj['module_title']);
        xGetElementById('select_module_page').selectedIndex = 0;
    } else if(ret_obj['page_title'] && ret_obj['page_srl']>0) {
        xGetElementById('select_module_page').selectedIndex = 1;
        xInnerHtml('zone_module_name', ret_obj['page_title']);
    } else {
        xGetElementById('select_module_page').selectedIndex = 0;
        xInnerHtml('zone_module_name', alert_msg['no_selected']);
    }

    admin_menu_change_link_type(xGetElementById('menu_type'));
    admin_menu_change_use_image(xGetElementById('use_image'));

    svc_upload_print_btn('img_normal','zone_img_normal','zone_img_normal_btn',ret_obj['img_normal']);
    svc_upload_print_btn('img_hover','zone_img_hover','zone_img_hover_btn',ret_obj['img_hover']);
    svc_upload_print_btn('img_select','zone_img_select','zone_img_select_btn',ret_obj['img_select']);

    xInnerHtml('zone_p_node_name', ret_obj['p_node_name'])
    xGetElementById('zone_node_form').style.display = 'block';
    fo_obj.node_name.focus();
}

function admin_menu_show_node_modify(node_srl) {
    if(typeof(node_srl)=='undefined') return;
    var response_tags = new Array('error','message','menu_srl','p_node_srl','p_node_name','node_srl','node_name','layout_srl','module_srl','page_srl','module_title','page_title','access_level','show_level','access_level_title','show_level_title','hidden','menu_type','link_url','page_path','use_succession','use_image','img_normal','img_hover','img_select','comment');
    var params = new Array();
    params['menu_srl'] = menu_srl;
    params['node_srl'] = node_srl;
    request_xml('admin_menu_manager','get_node_info',params,admin_menu_show_node_insert_proc,response_tags);
}

function admin_menu_node_insert() {
    var fo_obj = xGetElementById('fo_add_node');
    var check_list = new Array('node_name');
    var response_tags = new Array('error','message','p_node_srl','node_srl','menu_srl');
    var params = get_form_elements(fo_obj);
    params['menu_srl'] = menu_srl;
    if(!check_empty(params, fo_obj, check_list)) return false;
    if(!request_confirm('msg_save')) return false;
    var action = 'insert_node';
    if(params['node_srl']>0) action = 'update_node';
    request_xml('admin_menu_manager',action,params,admin_menu_node_insert_proc,response_tags);
    return false;
}

function admin_menu_node_insert_proc(ret_obj, response_tags) {
    var fo_obj = xGetElementById('fo_add_node');
    if(svc_upload_file_selected()) {
        var obj_method = xGetElementById('_methodname');
        if(!obj_method) {
            var obj_method = xCreateElement('INPUT');
            obj_method.name = '_methodname';
            obj_method.id = '_methodname';
            obj_method.type='hidden';
            fo_obj.appendChild(obj_method);
        }
        obj_method.value = 'menu_manager';
        fo_obj.node_srl.value = ret_obj['node_srl'];
        fo_obj.submit();
        fo_obj.reset();
    } else {
        admin_menu_show_tree(ret_obj['node_srl']);
        fo_obj.reset();
    }
}

function admin_menu_node_delete(node_srl) {
    if(!request_confirm('msg_delete')) return;
    var response_tags = new Array('error', 'message', 'menu_srl', 'p_node_srl');
    var params = new Array();
    params['menu_srl'] = menu_srl;
    params['node_srl'] = node_srl;
    request_xml('admin_menu_manager','delete_node',params,admin_menu_node_delete_proc,response_tags);
}

function admin_menu_node_delete_proc(ret_obj, response_tags) {
    admin_menu_show_tree(ret_obj['p_node_srl']);
    //if(ret_obj['p_node_srl']==0) admin_menu_show_root();
    //else admin_menu_show_node(ret_obj['p_node_srl']);
}

function admin_menu_node_move_updown(node_srl, direct) {
    var response_tags = new Array('error','message','node_srl');
    var params = new Array();
    params['menu_srl'] = menu_srl;
    params['node_srl'] = node_srl;
    params['direct'] = direct;
    request_xml('admin_menu_manager','move_updown_node',params,admin_menu_node_move_updown_proc,response_tags);
}

function admin_menu_node_move_updown_proc(ret_obj, response_tags) {
    admin_menu_show_tree(ret_obj['node_srl']);
    //admin_menu_show_node(ret_obj['node_srl']);
}

function admin_menu_change_use_image(obj) {
    if(obj.checked) xGetElementById('zone_use_image').style.display = 'block';
    else xGetElementById('zone_use_image').style.display = 'none';
}

function admin_menu_change_module_page(obj) {
    var fo_obj = xGetElementById('fo_add_node');
    fo_obj.page_srl.value = 0;
    fo_obj.module_srl.value = 0;

    xInnerHtml('zone_module_name', alert_msg['no_selected']);
}

function admin_menu_change_link_type(obj) {
    var idx = obj.selectedIndex;
    switch(idx) {
        case 2 :
                xGetElementById('zone_select_module').style.display = 'none';
                xGetElementById('zone_select_link').style.display = 'none';
                xGetElementById('zone_select_page').style.display = 'block';
            break;
        case 1 :
                xGetElementById('zone_select_module').style.display = 'none';
                xGetElementById('zone_select_link').style.display = 'block';
                xGetElementById('zone_select_page').style.display = 'none';
            break;
        default : 
                xGetElementById('zone_select_module').style.display = 'block';
                xGetElementById('zone_select_link').style.display = 'none';
                xGetElementById('zone_select_page').style.display = 'none';
            break;
    }
}

function admin_menu_select_module_page() {
    var sel_obj = xGetElementById('select_module_page');
    if(sel_obj.selectedIndex==0) {
        var obj = xGetElementById('_zone_module_list');
        xLeft(obj,400);
        xTop(obj,320);
        inactiveShade(true);
        admin_module_show_module_list();
    }
    else admin_page_show_page_list();
}
