function admin_module_show_form() {
    xInnerHtml('zone_sub_area', '');
    xInnerHtml('zone_skin_sub_area', '');
    xGetElementById('zone_sub_area').style.display = 'none';
    xGetElementById('zone_skin_sub_area').style.display = 'none';
    xGetElementById('zone_list').style.display = 'none';

    xGetElementById('fo_insert').reset();
    xGetElementById('zone_insert').style.display = 'block';
    xGetElementById('fo_insert').title.focus();
}

function admin_module_hide_form() {
    xGetElementById('zone_insert').style.display = 'none';
    xGetElementById('zone_skin_area').style.display = 'none';
    xGetElementById('zone_theme_area').style.display = 'none';
    admin_hide_level_list();

    xGetElementById('zone_list').style.display = 'block';
}

function admin_module_change_category(obj) {
    var category_srl = obj.options[obj.selectedIndex].value;
    var fo_obj = xGetElementById('fo_search');
    fo_obj.category_srl.value = category_srl;
    fo_obj.submit();
}

function admin_module_delete(module_srl) {
    if(!request_confirm('msg_delete')) return;
    var params = new Array();
    params['module_srl'] = module_srl;
    request_xml('admin_module_manager','delete_module',params, admin_module_delete_proc);
}

function admin_module_delete_proc(ret_obj, response_tags) {
    location.replace(location.href);
}

function admin_module_show_form_onload() {
    admin_module_get_info(_module_srl);
}

function admin_module_get_info(module_srl) {
    var response_tags = new Array('error','message','module_srl','module_category_srl','title','module','skin','theme','web_server_srl','file_server_srl','access_level','write_level','view_level','comment_level','access_level_title','write_level_title','view_level_title','comment_level_title','survey_level','survey_level_title','manager_level','manager_level_title','upload_level','upload_level_title','download_level','download_level_title','upload_max_size','image_width','tpl','skin_list','theme_list','skin_tpl','comment','write_article','write_comment','do_vote','do_poll','get_comment','voted','upload','download');
    var params = new Array();
    params['module_srl'] = module_srl;
    request_xml('admin_module_manager','get_module_info',params,admin_module_get_info_proc,response_tags);
}

function admin_module_get_info_proc(ret_obj, response_tags) {
    var fo_obj = xGetElementById('fo_insert');
    var skin_list = ret_obj['skin_list'].split('|@|');
    var cnt = fo_obj.skin.length;
    for(var i=0; i < cnt; i++) fo_obj.skin.remove(0); 
    var opt = new Option('','',false, false);
    fo_obj.skin.options[fo_obj.skin.options.length] = opt;

    for(var i=0; i< skin_list.length; i++) {
        var opt = new Option(skin_list[i], skin_list[i], false, false);
        fo_obj.skin.options[fo_obj.skin.options.length] = opt;
    }

    var theme_list = ret_obj['theme_list'].split('|@|');
    cnt = fo_obj.theme.length;
    for(var i=0; i < cnt; i++) fo_obj.theme.remove(0);
    var opt = new Option('','',false, false);
    fo_obj.theme.options[fo_obj.theme.options.length] = opt;

    for(var i=0; i< theme_list.length; i++) {
        var opt = new Option(theme_list[i], theme_list[i], false, false);
        fo_obj.theme.options[fo_obj.theme.options.length] = opt;
    }

    set_form_elements(fo_obj, ret_obj);
    xInnerHtml('zone_sub_area', ret_obj['tpl']);
    xInnerHtml('zone_skin_sub_area', ret_obj['skin_tpl']);
    xInnerHtml('zone_access_level',ret_obj['access_level_title']);
    xInnerHtml('zone_write_level',ret_obj['write_level_title']);
    xInnerHtml('zone_view_level',ret_obj['view_level_title']);
    xInnerHtml('zone_comment_level',ret_obj['comment_level_title']);
    xInnerHtml('zone_survey_level',ret_obj['survey_level_title']);
    xInnerHtml('zone_upload_level',ret_obj['upload_level_title']);
    xInnerHtml('zone_download_level',ret_obj['download_level_title']);
    xInnerHtml('zone_manager_level',ret_obj['manager_level_title']);

    xGetElementById('zone_list').style.display = 'none';

    xGetElementById('zone_insert').style.display = 'block';
    xGetElementById('zone_sub_area').style.display = 'block';
    xGetElementById('zone_skin_sub_area').style.display = 'block';
    xGetElementById('zone_skin_area').style.display = 'block';
    xGetElementById('zone_theme_area').style.display = 'block';
    
    fo_obj.title.focus();
}

function admin_module_install(module) {
    var response_tags = new Array('error','message');
    var params = new Array();
    params['module'] = module;
    request_xml('admin_module_manager','install_module',params,admin_module_install_proc);
}

function admin_module_install_proc(ret_obj) {
    location.replace(location.href);
}

function admin_module_delete_file(filename) {
    if(!confirm(alert_msg['msg_delete'])) return;
    var response_tags = new Array('error','message');
    var params = new Array();
    params['filename'] = filename;
    request_xml('member','delete_file',params,admin_module_delete_file_proc);
}

function admin_module_delete_file_proc(ret_obj) {
    location.replace(location.href);
}

var admin_module_category_changed = false;
function admin_module_show_category() {
    if(xGetElementById('zone_category').style.visibility == 'visible') return;

    admin_module_display_category();
    inactiveShade(true);
    xGetElementById('category_srl').style.display = 'none';
}

function admin_module_update_category(module_category_srl) {
    var response_tags = new Array('error','message', 'module_category_srl', 'category_title');
    var params = new Array();
    params['module_category_srl'] = module_category_srl;
    request_xml('admin_module_manager','get_module_category_info',params,admin_module_update_category_proc, response_tags);
}

function admin_module_update_category_proc(ret_obj, response_tags) {
    var fo_obj = xGetElementById('fo_insert_category');
    set_form_elements(fo_obj, ret_obj);
    fo_obj.category_title.focus();
}

function admin_module_insert_category() {
    var fo_obj = xGetElementById('fo_insert_category');
    var check_list = new Array('category_title');
    var params = get_form_elements(fo_obj);
    var action = 'insert_module_category';
    if(params['module_category_srl']>0) {
        action = 'update_module_category';
        admin_module_category_changed = true;
    }
    if(!check_empty(params, fo_obj, check_list)) return false;
    request_xml('admin_module_manager',action,params,admin_module_display_category);
    fo_obj.category_title.value = '';
    fo_obj.module_category_srl.value = '';
    return false;
}

function admin_module_delete_category(module_category_srl) {
    var params = new Array();
    params['module_category_srl'] = module_category_srl;
    if(!request_confirm('msg_delete')) return;
    request_xml('admin_module_manager','delete_module_category',params,admin_module_display_category);
    admin_module_category_changed = true;
}

function admin_module_display_category() {
    var response_tags = new Array('error','message','tpl');
    var params = new Array();
    request_xml('admin_module_manager','get_module_category_list_tpl',params,admin_module_display_category_proc,response_tags);
}

function admin_module_display_category_proc(ret_obj, response_tags) {
    var tpl = ret_obj['tpl'];
    xInnerHtml('zone_category', tpl);
    xGetElementById('zone_category').style.visibility = 'visible';
}

function admin_module_hide_category() {
    if(admin_module_category_changed) location.replace(location.href);
    else {
        xGetElementById('zone_category').style.visibility = 'hidden';
        inactiveShade(false);
        xGetElementById('category_srl').style.display = 'inline';
    }
}

function admin_module_change_module(obj) {
    var response_tags = new Array('error','message','tpl','skin_list');
    var fo_obj = xGetElementById('fo_insert');
    var module = obj.options[obj.selectedIndex].value;
    var module_srl = xGetElementById('fo_insert').module_srl.value;
    if(!module) {
        xInnerHtml('zone_sub_area', '');
        xInnerHtml('zone_skin_sub_area', '');
        while(fo_obj.skin.options.length) fo_obj.skin.remove(0);
        while(fo_obj.theme.options.length) fo_obj.theme.remove(0);
        xGetElementById('zone_theme_area').style.display = 'none';
        xGetElementById('zone_skin_area').style.display = 'none';
        return;
    }

    var params = new Array();
    params['module'] = module;
    params['module_srl'] = module_srl;
    request_xml('admin_module_manager', 'get_extends_info', params, admin_module_change_module_proc, response_tags);
}

function admin_module_change_module_proc(ret_obj, response_tags) {
    var fo_obj = xGetElementById('fo_insert');
    var tpl = ret_obj['tpl'];
    var skin_list = ret_obj['skin_list'].split('|@|');
    if(!ret_obj['skin_list']) {
        while(fo_obj.skin.options.length) fo_obj.skin.remove(0);
        while(fo_obj.theme.options.length) fo_obj.theme.remove(0);
        xGetElementById('zone_theme_area').style.display = 'none';
        xGetElementById('zone_skin_area').style.display = 'none';
        return;
    }
    xInnerHtml('zone_sub_area', tpl);
    xGetElementById('zone_sub_area').style.display = 'block';

    var cnt = fo_obj.skin.length;
    for(var i=0; i < cnt; i++) fo_obj.skin.remove(0);

    var opt = new Option('','',false, false);
    fo_obj.skin.options[fo_obj.skin.options.length] = opt;

    for(var i=0; i< skin_list.length; i++) {
        var opt = new Option(skin_list[i], skin_list[i], false, false);
        fo_obj.skin.options[fo_obj.skin.options.length] = opt;
    }
    xGetElementById('zone_skin_area').style.display = 'block';
    xGetElementById('zone_theme_area').style.display = 'none';
}

function admin_module_change_skin() {
    var fo_obj = xGetElementById('fo_insert');
    var skin = fo_obj.skin.options[fo_obj.skin.selectedIndex].value;
    var module = fo_obj.module.options[fo_obj.module.selectedIndex].value;
    if(!module||!skin) {
        while(fo_obj.theme.options.length) fo_obj.theme.remove(i);
        xGetElementById('zone_theme_area').style.display = 'none';
        return;
    }

    var response_tags = new Array('error','message','theme_list','skin_tpl');
    var params = new Array();
    params['module'] = module;
    params['skin'] = skin;

    request_xml('admin_module_manager', 'get_theme', params, admin_module_change_skin_proc, response_tags);
}

function admin_module_change_skin_proc(ret_obj, response_tags) {
    var fo_obj = xGetElementById('fo_insert');
    if(!ret_obj['theme_list']) {
        while(fo_obj.theme.options.length) fo_obj.theme.remove(i);
        xGetElementById('zone_theme_area').style.display = 'none';
        return;
    }
    var theme_list = ret_obj['theme_list'].split('|@|');
    var skin_tpl = ret_obj['skin_tpl'];

    var cnt = fo_obj.theme.length;
    for(var i=0; i < cnt; i++) fo_obj.theme.remove(0);

    var opt = new Option('','',false, false);
    fo_obj.theme.options[fo_obj.theme.options.length] = opt;

    for(var i=0; i< theme_list.length; i++) {
        var opt = new Option(theme_list[i], theme_list[i], false, false);
        fo_obj.theme.options[fo_obj.theme.options.length] = opt;
    } 
    xInnerHtml('zone_skin_sub_area',skin_tpl);

    xGetElementById('zone_skin_sub_area').style.display = 'block';
    xGetElementById('zone_theme_area').style.display = 'block';
}

function admin_module_insert() {
    var fo_obj = xGetElementById('fo_insert');
    var check_list = new Array('title','module','skin','theme');
    var params = get_form_elements(fo_obj);
    if(!check_empty(params, fo_obj, check_list)) return false;
    if(!request_confirm('msg_register')) return false;
    var action = 'insert_module';
    if(params['module_srl']>0) action = 'update_module';
    request_xml('admin_module_manager',action,params, admin_module_insert_proc);
    return false;
}

function admin_module_insert_proc(ret_obj, response_tags) {
    location.replace( location.href.replace(/module_srl=([0-9]+)/i,'') );
}

xAddEventListener(document, 'click', admin_module_show_copy);
function admin_module_show_copy(evt) {
    var e = new xEvent(evt);
    if(!e || !e.target || !e.target.id) return;

    var id = e.target.id.toString();
    if(id.indexOf('btn_module_copy__')<0) return;

    var module_srl = e.target.id.split('__')[1];
    if(!module_srl) return;

    var obj = xGetElementById('zone_copy');
    xLeft(obj, e.pageX - 350);
    xTop(obj, e.pageY + 10);

    admin_module_copy(module_srl);
}

function admin_module_copy(module_srl) {
    var response_tags = new Array('error','message','module_srl','title','module');
    var params = new Array();
    params['module_srl'] = module_srl;
    request_xml('admin_module_manager','get_module_info',params,admin_module_copy_proc,response_tags);
}

function admin_module_copy_proc(ret_obj, response_tags) {
    var fo_obj = xGetElementById('fo_copy');
    var obj = xGetElementById('zone_copy');
    xGetElementById('fo_copy').module_srl.value = ret_obj['module_srl'];
    xInnerHtml('zone_copy_source_title', ret_obj['title']);
    xInnerHtml('zone_copy_source_module', ret_obj['module']);
    xInnerHtml('zone_module_list','');
    admin_module_copy_add();
    xGetElementById('zone_module_list').style.display = 'block';
    obj.style.visibility = 'visible';
    setPositionInWindow(obj);
    inactiveShade(true);
}

function admin_module_copy_hide() {
    inactiveShade(false);
    xGetElementById('fo_copy').module_srl.value = '';
    xInnerHtml('zone_copy_source_title', '');
    xInnerHtml('zone_copy_source_module', '');
    xGetElementById('zone_copy').style.visibility = 'hidden';
    xGetElementById('zone_module_list').style.display = 'none';
}

function admin_module_copy_add() {
    var input_html = "<input type='text' class='input' name='module_title' value='' />";
    var html = '';

    var fo_obj = xGetElementById('fo_copy');
    var cnt = parseInt(xGetElementById('copy_cnt').value);
    if(!cnt) cnt = 1;

    var value_list = new Array();

    if(typeof(fo_obj.module_title)!='undefined') {
        if(typeof(fo_obj.module_title.length)!='undefined') {
            for(var i=0;i<fo_obj.module_title.length;i++) value_list[value_list.length] = fo_obj.module_title[i].value;
        } else {
            value_list[0] = fo_obj.module_title.value;
        }
    }
    for(var i=0;i<cnt+value_list.length;i++) html += "<div style='margin-bottom:3px;'>"+alert_msg['module_title']+' '+(i+1)+' : '+input_html+"</div>";
    xInnerHtml('zone_module_list',html);

    if(typeof(fo_obj.module_title.length)!='undefined') {
        for(var i=0;i<value_list.length;i++) fo_obj.module_title[i].value = value_list[i];
        fo_obj.module_title[fo_obj.module_title.length-1].focus();
    }
}

function admin_module_do_copy() {
    var fo_obj = xGetElementById("fo_copy");
    var module_srl = fo_obj.module_srl.value;
    var module_title = '';

    if(typeof(fo_obj.module_title.length)!='undefined')  {
        for(var i=0;i<fo_obj.module_title.length;i++) module_title += fo_obj.module_title[i].value+'|@|';
    } else {
        module_title = fo_obj.module_title.value;
    }

    var params = new Array();
    params['module_srl'] = module_srl;
    params['module_title'] = module_title;

    request_xml('admin_module_manager','insert_modules',params,admin_module_do_copy_proc);

    return false;
}

function admin_module_do_copy_proc(ret_obj, response_tags) {
    location.replace(location.href);
}

xAddEventListener(document, 'click', admin_show_module_list);
var admin_module_page = 1;
var admin_module_zone_search = '';
var admin_module_category_srl = '';
var admin_module_check_filter_used = false;
var admin_module_filter_used = 0;
var admin_module_idx = '';
function admin_show_module_list(evt) {
    var e = new xEvent(evt);
    if(!e || !e.target || !e.target.id) return;

    var id = e.target.id.toString();
    if(id.indexOf('btn_module_list__')<0) return;

    var filter_used = e.target.id.split('__')[1];
    if(filter_used == '0') filter_used = 0;

    admin_module_idx = e.target.id.split('__')[2];
    if(!admin_module_idx) admin_module_idx = '__';
    else admin_module_idx = '__'+admin_module_idx;

    var obj = xGetElementById('_zone_module_list');
    xLeft(obj, e.pageX - 500);
    xTop(obj, e.pageY - 10);

    admin_module_show_module_list(filter_used);
    inactiveShade(true);
}

function admin_module_show_module_list(filter_used) {
    var response_tags = new Array('error','message','tpl');
    var params = new Array();
    params['page'] = admin_module_page;
    params['search_keyword'] = admin_module_zone_search;
    params['category_srl'] = admin_module_category_srl;
    params['list_cnt'] = 10;

    if(!admin_module_check_filter_used) {
        if(typeof(filter_used)=='undefined'||filter_used==true) admin_module_filter_used = 2;
        admin_module_check_filter_used = true;
    }
    params['filter_used'] = admin_module_filter_used;
    request_xml('admin_module_manager','get_module_list_tpl',params,admin_module_show_module_list_proc,response_tags);
}

function admin_module_show_module_list_proc(ret_obj, response_tags) {
    var tpl = ret_obj['tpl'];
    var obj = xGetElementById('_zone_module_list');
    xInnerHtml(obj, tpl);
    setPositionInWindow(obj);
    obj.style.visibility = 'visible';
}

function admin_module_show_prev_module_list() {
    admin_module_page --;
    admin_module_show_module_list();
}

function admin_module_show_next_module_list() {
    admin_module_page ++;
    admin_module_show_module_list();
}

function admin_module_submit_module_list() {
    var fo_obj = xGetElementById('fo_module_list');
    admin_module_category_srl = fo_obj.category_srl.options[fo_obj.category_srl.selectedIndex].value;
    admin_module_zone_search = fo_obj.search_keyword.value;
    admin_module_show_module_list();
    return false;
}

function admin_module_submit_change_category_module_list() {
    admin_module_submit_module_list(xGetElementById('fo_module_list'));
}

function admin_module_hide_module_list() {
    if(xGetElementById('_zone_module_list')) xGetElementById('_zone_module_list').style.visibility = 'hidden';
    inactiveShade(false);
}

function admin_module_select_module(module_srl) {
    var response_tags = new Array('error','message','title','module_srl');
    var params = new Array();
    params['module_srl'] = module_srl;
    request_xml('admin_module_manager','get_module_info',params,admin_module_select_module_proc,response_tags);
}

function admin_module_select_module_proc(ret_obj, response_tags) {
    var title = ret_obj['title'];
    var module_srl = ret_obj['module_srl'];
    var fo_obj = null;

    if(xGetElementById('fo_insert')) fo_obj = xGetElementById('fo_insert');
    else if(xGetElementById('fo_add_node')) fo_obj = xGetElementById('fo_add_node');
    else fo_obj = xGetElementById('fo_insert');
    xGetElementById('module_list'+admin_module_idx).value = module_srl;
    xInnerHtml('zone_module_name'+admin_module_idx, title);

    admin_module_hide_module_list();
}

function admin_module_unselect_module() {
    var fo_obj = null;
    if(xGetElementById('fo_insert')) fo_obj = xGetElementById('fo_insert');
    else if(xGetElementById('fo_add_node')) fo_obj = xGetElementById('fo_add_node');
    else fo_obj = xGetElementById('fo_insert');
    xGetElementById('module_list'+admin_module_idx).value = 0;
    xInnerHtml('zone_module_name'+admin_module_idx, alert_msg['no_selected']); 
    admin_module_hide_module_list();
}
