function admin_plugin_show_form() {
    xInnerHtml('zone_sub_area', '');
    xGetElementById('zone_sub_area').style.display = 'none';
    xGetElementById('zone_list').style.display = 'none';
    xGetElementById('zone_category').style.display = 'none';

    xGetElementById('zone_insert').style.display = 'block';
    xGetElementById('fo_insert').reset();
    xGetElementById('fo_insert').title.focus();
}

function admin_plugin_hide_form() {
    xGetElementById('zone_category').style.display = 'none';
    xGetElementById('zone_insert').style.display = 'none';
    xGetElementById('zone_list').style.display = 'block';
}

function admin_plugin_insert() {
    var fo_obj = xGetElementById('fo_insert');
    var response_tags = new Array('error','message','plugin_srl');
    var check_list = new Array('title','plugin');
    if(xGetElementById('extends_richtext')) {
        var richtext_content = zEditGetHTML();
        xGetElementById('extends_richtext').value = richtext_content;
    }
    var params = get_form_elements(fo_obj);
    if(!check_empty(params, fo_obj, check_list)) return false;
    if(!request_confirm('msg_register')) return false;
    var action = 'insert_plugin';
    if(params['plugin_srl']>0) action = 'update_plugin';
    request_xml('admin_plugin_manager',action,params, admin_plugin_insert_proc,response_tags);
    return false;
}

function admin_plugin_insert_proc(ret_obj, response_tags) {
    var fo_obj = xGetElementById('fo_insert');
    if(svc_upload_file_selected() && typeof(ret_obj['plugin_srl'])!='undefined' && ret_obj['plugin_srl']) {
        var obj_method = xGetElementById('_methodname');
        if(!obj_method) {
            var obj_method = xCreateElement('INPUT');
            obj_method.name = '_methodname';
            obj_method.id = '_methodname';
            obj_method.type='hidden';
            fo_obj.appendChild(obj_method);
        }
        obj_method.value = 'plugin_manager';
        fo_obj.plugin_srl.value = ret_obj['plugin_srl'];
        fo_obj.submit();
        fo_obj.reset();
    } else {
        location.replace(location.href);
    }
}


var admin_plugin_category_changed = false;
function admin_plugin_show_category() {
    if(xGetElementById('zone_category').style.visibility == 'visible') return;
    admin_plugin_display_category();
    inactiveShade(true);
    xGetElementById('category_srl').style.display = 'none';
}

function admin_plugin_update_category(plugin_category_srl) {
    var response_tags = new Array('error','message', 'plugin_category_srl', 'category_title');
    var params = new Array();
    params['plugin_category_srl'] = plugin_category_srl;
    request_xml('admin_plugin_manager','get_plugin_category_info',params,admin_plugin_update_category_proc, response_tags);
}

function admin_plugin_update_category_proc(ret_obj, response_tags) {
    var fo_obj = xGetElementById('fo_insert_category');
    set_form_elements(fo_obj, ret_obj);
    fo_obj.category_title.focus();
}

function admin_plugin_insert_category(fo_obj) {
    var fo_obj = xGetElementById('fo_insert_category');
    var check_list = new Array('category_title');
    var params = get_form_elements(fo_obj);
    var action = 'insert_plugin_category';
    if(params['plugin_category_srl']>0) {
        action = 'update_plugin_category';
        admin_plugin_category_changed = true;
    }
    if(!check_empty(params, fo_obj, check_list)) return false;
    request_xml('admin_plugin_manager',action,params,admin_plugin_display_category);
    fo_obj.category_title.value = '';
    fo_obj.plugin_category_srl.value = '';
    return false;
}

function admin_plugin_delete_category(plugin_category_srl) {
    var params = new Array();
    params['plugin_category_srl'] = plugin_category_srl;
    if(!request_confirm('msg_delete')) return;
    request_xml('admin_plugin_manager','delete_plugin_category',params,admin_plugin_display_category);
    admin_plugin_category_changed = true;
}

function admin_plugin_display_category() {
    var response_tags = new Array('error','message','tpl');
    var params = new Array();
    request_xml('admin_plugin_manager','get_plugin_category_list_tpl',params,admin_plugin_display_category_proc,response_tags);
}

function admin_plugin_display_category_proc(ret_obj, response_tags) {
    var tpl = ret_obj['tpl'];
    xInnerHtml('zone_category', tpl);
    xGetElementById('zone_category').style.visibility = 'visible';
}

function admin_plugin_hide_category() {
    if(admin_plugin_category_changed) location.replace(location.href);
    else {
        xGetElementById('zone_category').style.visibility = 'hidden';
        inactiveShade(false);
        xGetElementById('category_srl').style.display = 'inline';
    }
}

function admin_plugin_change_plugin(obj) {
    var response_tags = new Array('error','message','theme_list','tpl','richtext_key','image_key_list');

    var plugin = obj.options[obj.selectedIndex].value;
    var plugin_srl = xGetElementById('fo_insert').plugin_srl.value;
    if(!plugin) {
        xInnerHtml('zone_sub_area', '');    
        return;
    }

    var params = new Array();
    params['plugin'] = plugin;
    params['plugin_srl'] = plugin_srl;
    request_xml('admin_plugin_manager', 'get_extends_info', params, admin_plugin_change_plugin_proc, response_tags);
}

function admin_plugin_change_plugin_proc(ret_obj, response_tags) {
    var tpl = ret_obj['tpl'];
    var richtext_key = ret_obj['richtext_key'];
    var richtext_val = ret_obj['richtext_val'];
    xInnerHtml('zone_sub_area', tpl);
    xGetElementById('zone_sub_area').style.display = 'block';
    if(typeof(richtext_key)!='undefined'&&richtext_key) {
        xGetElementById('zone_richtext').style.display = 'block';
        zEditInit(richtext_val);
    }

    var theme_obj = xGetElementById('theme');
    for(var i=0;i<theme_obj.options.length;i++) theme_obj.remove(i);
    if(ret_obj['theme_list']) {
        var theme_list = ret_obj['theme_list'].split('|@|');
        for(var i=0;i<theme_list.length;i++) {
            theme_obj.options[i] = new Option(theme_list[i], theme_list[i], false, false) ;
        }
    }

    var image_key_list = ret_obj['image_key_list'];

    admin_layout_init_image_uploader(image_key_list);
    admin_module_hide_module_list();
}

xAddEventListener(document, 'click', admin_plugin_show_copy);
function admin_plugin_show_copy(evt) {
    var e = new xEvent(evt);
    if(!e || !e.target || !e.target.id) return;

    var id = e.target.id.toString();
    if(id.indexOf('btn_plugin_copy__')<0) return;

    var plugin_srl = e.target.id.split('__')[1];
    if(!plugin_srl) return;

    var obj = xGetElementById('zone_copy');
    xLeft(obj, e.pageX-350);
    xTop(obj, e.pageY+10);

    admin_plugin_copy(plugin_srl);
}

function admin_plugin_copy(plugin_srl) {
    var response_tags = new Array('error','message','plugin_srl','title','plugin');
    var params = new Array();
    params['plugin_srl'] = plugin_srl;
    request_xml('admin_plugin_manager','get_plugin_info',params,admin_plugin_copy_proc,response_tags);
}

function admin_plugin_copy_proc(ret_obj, response_tags) {
    var fo_obj = xGetElementById('fo_copy');
    var obj = xGetElementById('zone_copy');
    xGetElementById('fo_copy').plugin_srl.value = ret_obj['plugin_srl'];
    xInnerHtml('zone_copy_source_title', ret_obj['title']);
    xInnerHtml('zone_copy_source_plugin', ret_obj['plugin']);
    xInnerHtml('zone_plugin_list','');
    admin_plugin_copy_add();
    xGetElementById('zone_plugin_list').style.display = 'block';
    xGetElementById(obj).style.visibility = 'visible';
    setPositionInWindow(obj);
    inactiveShade(true);
}

function admin_plugin_copy_hide() {
    inactiveShade(false);
    xGetElementById('fo_copy').plugin_srl.value = '';
    xInnerHtml('zone_copy_source_title', '');
    xInnerHtml('zone_copy_source_plugin', '');
    xGetElementById('zone_copy').style.visibility = 'hidden';
    xGetElementById('zone_plugin_list').style.display = 'none';
}

function admin_plugin_copy_add() {
    var input_html = "<input type='text' class='input' name='plugin_title' value='' />";
    var html = '';

    var fo_obj = xGetElementById('fo_copy');
    var cnt = parseInt(xGetElementById('copy_cnt').value);
    if(!cnt) cnt = 1;

    var value_list = new Array();

    if(typeof(fo_obj.plugin_title)!='undefined') {
        if(typeof(fo_obj.plugin_title.length)!='undefined') {
            for(var i=0;i<fo_obj.plugin_title.length;i++) value_list[value_list.length] = fo_obj.plugin_title[i].value;
        } else {
            value_list[0] = fo_obj.plugin_title.value;
        }
    }
    for(var i=0;i<cnt+value_list.length;i++) html += "<div style='margin-bottom:3px'>"+alert_msg['plugin_title']+' '+(i+1)+' : '+input_html+"</div>";

    xInnerHtml('zone_plugin_list',html);

    if(typeof(fo_obj.plugin_title.length)!='undefined') {
        for(var i=0;i<value_list.length;i++) fo_obj.plugin_title[i].value = value_list[i];
        fo_obj.plugin_title[fo_obj.plugin_title.length-1].focus();
    }
}

function admin_plugin_do_copy() {
    var fo_obj = xGetElementById('fo_copy');
    var plugin_srl = fo_obj.plugin_srl.value;
    var plugin_title = '';

    if(typeof(fo_obj.plugin_title.length)!='undefined')  {
        for(var i=0;i<fo_obj.plugin_title.length;i++) plugin_title += fo_obj.plugin_title[i].value+'|@|';
    } else {
        plugin_title = fo_obj.plugin_title.value;
    }

    var params = new Array();
    params['plugin_srl'] = plugin_srl;
    params['plugin_title'] = plugin_title;

    request_xml('admin_plugin_manager','insert_plugins',params,admin_plugin_do_copy_proc);

    return false;
}

function admin_plugin_do_copy_proc(ret_obj, response_tags) {
    location.replace(location.href);
}

function admin_plugin_delete(plugin_srl) {
    if(!request_confirm('msg_delete')) return;
    var params = new Array();
    params['plugin_srl'] = plugin_srl;
    request_xml('admin_plugin_manager','delete_plugin',params, admin_plugin_delete_proc);
}

function admin_plugin_delete_proc(ret_obj, response_tags) {
    location.replace(location.href);
}

function admin_plugin_get_info(plugin_srl) {
    var response_tags = new Array('error','message','plugin_srl','plugin_category_srl','title','plugin','theme','theme_list','tpl','richtext_key','richtext_val','comment','image_key_list','cache_interval');
    var params = new Array();
    params['plugin_srl'] = plugin_srl;
    request_xml('admin_plugin_manager','get_plugin_info',params,admin_plugin_get_info_proc,response_tags);
}

function admin_plugin_get_info_proc(ret_obj, response_tags) {
    admin_plugin_show_modify_form(ret_obj);
}

function admin_plugin_show_modify_form(ret_obj) {
    var fo_obj = xGetElementById('fo_insert');
    var theme_obj = xGetElementById('theme');
    for(var i=0;i<theme_obj.options.length;i++) theme_obj.remove(i);
    if(ret_obj['theme_list']) {
        var theme_list = ret_obj['theme_list'].split('|@|');
        for(var i=0;i<theme_list.length;i++) {
            theme_obj.options[i] = new Option(theme_list[i], theme_list[i], false, false) ;
        }
    }

    set_form_elements(fo_obj, ret_obj);
    xInnerHtml('zone_sub_area', ret_obj['tpl']);

    xGetElementById('zone_list').style.display = 'none';

    xGetElementById('zone_insert').style.display = 'block';
    xGetElementById('zone_sub_area').style.display = 'block';

    var richtext_key = ret_obj['richtext_key'];
    var richtext_val = ret_obj['richtext_val'];
    if(typeof(richtext_key)!='undefined'&&richtext_key) {
        xGetElementById('zone_richtext').style.display = 'block';
        zEditInit(richtext_val);
    }

    var image_key_list = ret_obj['image_key_list'];
    admin_layout_init_image_uploader(image_key_list);

    fo_obj.title.focus();
}

function admin_plugin_change_category(obj) {
    var category_srl = obj.options[obj.selectedIndex].value;
    var fo_obj = xGetElementById('fo_search');
    fo_obj.category_srl.value = category_srl;
    fo_obj.submit();
}

xAddEventListener(document, 'click', admin_show_plugin_list);
var admin_plugin_page = 1;
var admin_plugin_zone_search = '';
var admin_plugin_category_srl = '';
var admin_plugin_id = '';
var admin_plugin_list_cnt = 10;
function admin_show_plugin_list(evt) {
    var e = new xEvent(evt);
    if(!e || !e.target || !e.target.id) return;

    var id = e.target.id.toString();
    if(id.indexOf('btn_plugin_list__')<0) return;

    admin_plugin_id = e.target.id.split('__')[1];
    if(!admin_plugin_id) return;

    var obj = xGetElementById('_zone_plugin_list');
    xLeft(obj, e.pageX-500);
    xTop(obj, e.pageY-10);

    admin_plugin_show_plugin_list();
    inactiveShade(true);
}

function admin_plugin_show_plugin_list(list_cnt, call_manager) {
    if(typeof(list_cnt)!='undefined') admin_plugin_list_cnt = list_cnt;

    var response_tags = new Array('error','messgae','tpl');
    var params = new Array();
    params['page'] = admin_plugin_page;
    params['search_keyword'] = admin_plugin_zone_search;
    params['category_srl'] = admin_plugin_category_srl;
    params['list_cnt'] = admin_plugin_list_cnt;
    if(typeof(call_manager)!='undefined') params['call_manager'] = call_manager;

    request_xml('admin_plugin_manager','get_plugin_list_tpl',params,admin_plugin_display_plugin_list_proc,response_tags);
}

function admin_plugin_display_plugin_list_proc(ret_obj, response_tags) {
    var tpl = ret_obj['tpl'];
    var obj = xGetElementById('_zone_plugin_list');
    xInnerHtml(obj, tpl);
    if(location.href.indexOf('mid=page_manager')>0) xInnerHtml('_plugin_list_hide_btn','');
    setPositionInWindow(obj);
    obj.style.visibility = 'visible';
}

function admin_plugin_show_prev_plugin_list() {
    admin_plugin_page --;
    admin_plugin_show_plugin_list();
}

function admin_plugin_show_next_plugin_list() {
    admin_plugin_page ++;
    admin_plugin_show_plugin_list();
}

function admin_plugin_hide_plugin_list() {
    if(xGetElementById('_zone_plugin_list')) xGetElementById('_zone_plugin_list').style.visibility = 'hidden';
    admin_plugin_id = '';
    inactiveShade(false);
}

function admin_plugin_select_plugin(plugin_srl) {
    var response_tags = new Array('error','message','title','plugin_srl');
    var params = new Array();
    params['plugin_srl'] = plugin_srl;
    request_xml('admin_plugin_manager','get_plugin_info',params,admin_plugin_select_plugin_proc,response_tags);
}

function admin_plugin_select_plugin_proc(ret_obj, response_tags) {
    var title = ret_obj['title'];
    var plugin_srl = ret_obj['plugin_srl'];

    xGetElementById(admin_plugin_id).value = plugin_srl;
    xInnerHtml('zone_plugin_name_'+admin_plugin_id, title);
    if(location.href.indexOf('mid=page_manager')<0) admin_plugin_hide_plugin_list();
}

function admin_plugin_unselect_plugin() {
    xGetElementById(admin_plugin_id).value = 0;
    xInnerHtml('zone_plugin_name_'+admin_plugin_id, alert_msg['no_selected']); 
    admin_plugin_hide_plugin_list();
}


function admin_plugin_submit_plugin_list() {
    var fo_obj = xGetElementById('fo_plugin_list');
    admin_plugin_category_srl = fo_obj.category_srl.options[fo_obj.category_srl.selectedIndex].value;
    admin_plugin_zone_search = fo_obj.search_keyword.value;
    admin_plugin_show_plugin_list();
    return false;
}

function admin_plugin_submit_change_category_plugin_list() {
    admin_plugin_submit_plugin_list(xGetElementById('fo_plugin_list'));
}

function admin_plugin_link_move_up(key) {
    var sel_obj = xGetElementById(key);
    var idx = sel_obj.selectedIndex;

    if(idx<1) return;

    var opt1 = sel_obj.options[idx-1];
    var opt2 = sel_obj.options[idx];

    var up_text = opt1.text;
    var up_value = opt1.value;
    var down_text = opt2.text;
    var down_value = opt2.value;

    sel_obj.options[idx-1] = new Option(down_value, down_text, true, true);
    sel_obj.options[idx] = new Option(up_value, up_text, false, false);
}

function admin_plugin_link_move_down(key) {
    var sel_obj = xGetElementById(key);
    var idx = sel_obj.selectedIndex;

    if(idx>sel_obj.options.length-2) return;

    var opt1 = sel_obj.options[idx];
    var opt2 = sel_obj.options[idx+1];

    var up_text = opt1.text;
    var up_value = opt1.value;
    var down_text = opt2.text;
    var down_value = opt2.value;


    sel_obj.options[idx] = new Option(down_value, down_text, false, false);
    sel_obj.options[idx+1] = new Option(up_value, up_text, true, true);
}

function admin_plugin_link_delete(key) {
    var sel_obj = xGetElementById(key);
    var idx = sel_obj.selectedIndex;

    if(idx<0) return;

    sel_obj.remove(idx);
}

function admin_plugin_link_insert(key) {
    var sel_obj = xGetElementById(key);

    var url_obj = xGetElementById('_temp_'+key+'_url');
    var text_obj = xGetElementById('_temp_'+key+'_text');
    if(!url_obj.value || !text_obj.value) return;

    var opt = new Option(text_obj.value,url_obj.value,true,true);
    sel_obj.options.add(opt);

    url_obj.value = '';
    text_obj.value = '';
}
