function admin_server_show_insert() {
    xGetElementById('zone_server_type').style.display = 'none';
    xGetElementById('zone_list').style.display = 'none';

    xGetElementById('zone_server_select').style.display = 'inline';
    xGetElementById('zone_insert').style.display = 'block';
    xGetElementById('fo_insert').reset();
    xGetElementById('fo_insert').server_name.focus();
}

function admin_server_hide_insert() {
    xGetElementById('zone_insert').style.display = 'none';
    xGetElementById('zone_list').style.display = 'block';
}

function admin_server_show_modify(obj) {
    var fo_obj = xGetElementById('fo_insert');
    set_form_elements(fo_obj, obj);
    var server_type = fo_obj.server_type.options[fo_obj.server_type.selectedIndex].text; 
    xInnerHtml('zone_server_type', server_type);
    xGetElementById('zone_list').style.display = 'none';
    xGetElementById('zone_server_select').style.display = 'none';
    xGetElementById('zone_server_type').style.display = 'inline';
    xGetElementById('zone_insert').style.display = 'block';

    fo_obj.server_name.focus();
}

function admin_server_change_category(obj) {
   var selectedIndex = obj.selectedIndex;
   var sid = obj.options[selectedIndex].value;
   location.href="./admin.php?mid=server_manager&sid="+sid;
}

function admin_server_set_default() {
    var params = new Array();
    params['test'] = 1;
    request_xml('admin_server_manager','set_default_server',params,admin_server_set_default_proc);
}

function admin_server_set_default_proc(ret_obj, response_tags) {
    location.replace('./admin.php?mid=server_manager');
}

function admin_server_insert() {
    var fo_obj = xGetElementById('fo_insert');
    var check_list = new Array('server_name','hostname','port','path','comment');
    var params = get_form_elements(fo_obj);
    if(!check_empty(params,fo_obj,check_list)) return false;
    if(!request_confirm('msg_register')) return false;
    var action = 'insert';
    if(params['server_srl']>0) action = 'update';
    request_xml('admin_server_manager',action,params,admin_server_insert_proc);
    return false;
}

function admin_server_insert_proc(ret_obj, response_tags) {
    location.replace('./admin.php?mid=server_manager');
}

function admin_server_delete(server_srl) {
    if(!request_confirm('msg_delete')) return;
    var params = new Array();
    params['server_srl'] = server_srl;
    request_xml('admin_server_manager','delete',params,admin_server_delete_proc);
}

function admin_server_delete_proc(ret_obj, response_tags) {
    location.replace(location.href);
}

function admin_server_get_info(server_srl) {
    var response_tags = new Array('error','message','server_srl','server_type','server_name','hostname','port','path','comment','is_default');
    var params = new Array();
    params['server_srl'] = server_srl;
    request_xml('admin_server_manager','get_info',params,admin_server_get_info_proc,response_tags);
}

function admin_server_get_info_proc(ret_obj, response_tags) {
    admin_server_show_modify(ret_obj);
}
