<div>

  {if $announce}
    <table width="100%" border="0" cellpadding="5" cellspacing="1" class="tbl_01">
    <tr class="row_01">
      <th height="24" class="al_l"><div class="desc" style="line-height:150%">{$announce}</div></th>
    </tr>
    </table>
  {/if}

  <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tbl_01">
  <col width="120" />
  <col width="*" />
  {foreach from=$extends_var key=extends_key item=extends_value name=list}
  {if $extends_key eq 'require_depth'}
  <tr class="row_0{$smarty.foreach.list.iteration%2+1}">
    <th width='120' height="24" class="al_l"><div class="desc">{$lang->admin->fld_require_depth}</div></th>
    <td class="al_l"><div>{$extends_value} {$lang->admin->fld_depth}</div></td>
  </tr>
  {/if}

  {if $extends_value.type eq 'select'}
  <tr class="row_0{$smarty.foreach.list.iteration%2+1}">
    <th width='120' height="24" class="al_l"><div class="desc">{$extends_value.text}</div></th>
    <td class="al_l">
      <div>
        <select name='{$extends_key}'>
          {foreach from=$extends_value.options key=key item=val}
            <option value='{$val}' {if $extends_value.value eq $val}selected{/if}>{$val}</option>
          {/foreach}
        </select>
      </div>
    </td>
  </tr>
  {/if}

  {if $extends_value.type eq 'image'}
  <tr class="row_0{$smarty.foreach.list.iteration%2+1}">
    <th width='120' height="24" class="al_l">
      <div class="desc">
        <input type='hidden' name='_image_{$extends_key}' id='_image_{$extends_key}' value='{$extends_value.value}' />
        {$extends_value.text}
      </div>
    </th>
    <td class="al_l">
      <table border="0" cellspacing="0" cellpadding="0" width="100%">
      <tr>
        <td><div id='zone_{$extends_key}' style='float:left'></div></td>
        <td width="70"><div id='zone_{$extends_key}_btn'></div></td>
      </tr>
      </table>
    </td>
  </tr>
  {/if}

  {if $extends_value.type eq 'text'}
  <tr class="row_0{$smarty.foreach.list.iteration%2+1}">
    <th width='120' height="24" class="al_l"><div class="desc">{$extends_value.text}</div></th>
    <td class="al_l"><div><input type="text" name="{$extends_key}" class="input" style="width:500px;" value="{$extends_value.value|escape}" /></div></td>
  </tr>
  {/if}

  {if $extends_value.type eq 'textarea'}
  <tr class="row_0{$smarty.foreach.list.iteration%2+1}">
    <th width='120' height="24" class="al_l"><div class="desc">{$extends_value.text}</div></th>
    <td class="al_l"><div><textarea name='{$extends_key}' class="textarea" style="width:500px;height:60px;">{$extends_value.value|escape}</textarea></td>
  </tr>
  {/if}

  {if $extends_value.type eq 'plugin'}
  <tr class="row_0{$smarty.foreach.list.iteration%2+1}">
    <th width='120' height="24" class="al_l">
      <div class="desc">
        <input type='hidden' id='{$extends_key}' name='{$extends_key}' value='{$extends_value.value}' />
        {$extends_value.text}
      </div>
    </th>
    <td class="al_l">
      <table border="0" cellspacing="0" cellpadding="0" width="100%" style='table-layout:fixed'>
      <col width='*' />
      <col width='96' />
      <tr>
        <td><div id='zone_plugin_name_{$extends_key}'>{if $extends_value.plugin_title}{$extends_value.plugin_title}{else}{$lang->admin->fld_plugin_no_selected}{/if}</div></td>
        <td width="96"><button class="select_plugin" id='btn_plugin_list__{$extends_key}'></button></td>
      </tr>
      </table>
    </td>
  </tr>
  {/if}

  {if $extends_value.type eq 'module'}
  <tr class="row_0{$smarty.foreach.list.iteration%2+1}">
    <th width='120' height="24" class="al_l">
      <div class="desc">
        <input type='hidden' name='{$extends_key}' id="module_list__{$smarty.foreach.list.iteration}" value='{$extends_value.value}' />
        {$extends_value.text}
    </th>
    <td class="al_l">
      <table border="0" cellspacing="0" cellpadding="0" width="100%" style='table-layout:fixed'>
      <col width='*' />
      <col width='70' />
      <tr>
        <td><div class='desc' id='zone_module_name__{$smarty.foreach.list.iteration}'>{$extends_value.module_title}</div></td>
        <td width="70"><button class="select_module" id='btn_module_list__0__{$smarty.foreach.list.iteration}'></button></td>
      </tr>
      </table>
    </td>
  </tr>
  {/if}

  {if $extends_value.type eq 'page'}
  <tr class="row_0{$smarty.foreach.list.iteration%2+1}">
    <th width='120' height="24" class="al_l">
      <div class="desc">
        <input type='hidden' name='{$extends_key}' id="page_list__{$smarty.foreach.list.iteration}" value='{$extends_value.value}' />
        {$extends_value.text}
    </th>
    <td class="al_l">
      <table border="0" cellspacing="0" cellpadding="0" width="100%" style='table-layout:fixed'>
      <col width='*' />
      <col width='70' />
      <tr>
        <td><div class='desc' id='zone_page_name__{$smarty.foreach.list.iteration}'>{$extends_value.page_title}</div></td>
        <td width="70"><button class="select_page" id='btn_page_list__{$smarty.foreach.list.iteration}'></button></td>
      </tr>
      </table>
    </td>
  </tr>
  {/if}


  {if $extends_value.type eq 'menu_list'}
  <tr class="row_0{$smarty.foreach.list.iteration%2+1}">
    <th width='120' height="24" class="al_l"><div class="desc">{$extends_value.text}</div></th>
    <td class="al_l">
      <div>
        <select name='{$extends_key}'>
            <option value=''></option>
          {foreach from=$extends_value.menu_list key=menu_srl item=menu_name}
            <option value='{$menu_srl}' {if $extends_value.value eq $menu_srl}selected{/if}>{$menu_name}</option>
          {/foreach}
        </select>
      </div>
    </td>
  </tr>
  {/if}

  {if $extends_value.type eq 'multi_select'}
  <tr class="row_0{$smarty.foreach.list.iteration%2+1}">
    <th width='120' height="24" class="al_l"><div class="desc">{$extends_value.text}</div></th>
    <td class="al_l">
      <div style="width:98%;padding-top:5px;">
        <select name='{$extends_key}' id='{$extends_key}' size='10' rows='6' style='width:100%'>
          {foreach from=$extends_value.value key=key item=v_obj}
            <option value='{$v_obj->url}'>{$v_obj->text}</option>
          {/foreach}
        </select>
      </div>

      <table border="0" width="98%" cellspacing="1" cellpadding="0">
      <tr>
        <td>
          <table border="0" cellspacing="0" cellpadding="0" class="tbl_01">
          <tr height="24">
            <th width="50" class="al_c"><div class="desc">{$lang->admin->fld_plugin_link_url} :</div></th>
            <td class="al_l"><div><input type='text' class="input" id='_temp_{$extends_key}_url' value=''> </div></td>
            <th width="50" class="al_c"><div class="desc">{$lang->admin->fld_plugin_link_text} :</div></th>
            <td class="al_l"><div><input type='text' class="input" id='_temp_{$extends_key}_text' value=''> </div></td>
            <td width="70" align="center"><button class="add" onClick="admin_plugin_link_insert('{$extends_key}')"></button></td>
          </tr>
          </table>
        </td>
        <td align="right">
          <table border="0" cellspacing="0" cellpadding="0" class="tbl_01">
          <tr height="24">
            <td>
              <button class="move_up" onClick="admin_plugin_link_move_up('{$extends_key}')"></button>
              <button class="move_down" onClick="admin_plugin_link_move_down('{$extends_key}')"></button>
              <button class="delete" onClick="admin_plugin_link_delete('{$extends_key}')"></button>
            </td>
          </tr>
          </table>
        </td>
      </tr>
      </table>
    </td>
  </tr>
  {/if}

  {if $extends_value.type eq 'richtext'}
  <tr class="row_0{$smarty.foreach.list.iteration%2+1}">
    <th class="al_l" height="24" colspan="2">
      <div class="desc">
        {$extends_value.text}
      </div>
    </th>
  </tr>
  <tr class="row_0{$smarty.foreach.list.iteration%2+1}">
    <td colspan="2">
      <div id='zone_richtext' style='display:none;'>
        <input type='hidden' name='{$extends_key}' id='extends_richtext' value='{$extends_value.value}' />
        <div>{include file=$richtext_form_tpl lang=$lang}</div>
      </div>
    </td>
  </tr>
  {/if}

  {/foreach}

  </table>
</div>
