<div id='blog_title_box'>
  <a href="./?sid={$root_sid}">{$selected_layout->blog_title}</a>
  <br />
  {$selected_layout->blog_announce}
</div>

<div id='top_search_box'>
  <form action='./' method='get' style='display:inline'>
    <input type='hidden' name='sid' value='{$root_sid}' />
    <input type='hidden' name='action' value='search' />
    <input type='hidden' name='site_sa' value='and' />
    <input type='text' name='site_keyword' size='10' value='{$site_keyword|escape}' />
    <input type='submit' value='{$lang->common->btn_search}' />
  </form>
</div>

<div id='top_sub_menu_box'>
  {foreach from=$menu_list.top_menu key=node_srl item=obj name=top_menu}
    <a href='./?sid={$obj.info.node_srl}' {if $obj.info.selected}style='font-weight:bold'{/if}>{$obj.info.node_name}</a>
    {if !$smarty.foreach.top_menu.last}|{/if}
  {/foreach}
</div>

<div id='left_area'>

  {if $selected_layout->profile_image}
  <div id='profile_image_box'>
      <a href='{$home_url}'><img src="{$selected_layout->profile_image}" border="0"/></a>
  </div>
  {/if}

  {if $plugin_list.calendar}{$plugin_list.calendar}{/if}

  <div id='category_box'>

    {foreach from=$category key=node_srl item=obj name=category}
      <div class='category_name_box' style='padding-left:{$obj.depth*10}px'>
        {if $obj.use_manual_link}
          <a href='{$obj.link_url}' target='_blank'>{$obj.node_name}</a>
        {else}
          <a href='./?sid={$obj.node_srl}'  {if $obj.selected}style='font-weight:bold'{/if}>{$obj.node_name}</a>
        {/if}

        {if $obj.article_cnt>0}
          ({$obj.article_cnt})
        {/if}

        {if $obj.lastupdate|isnew:3}
          new
        {/if}
      </div>
    {/foreach}
  </div>

  {if $plugin_list.archive}{$plugin_list.archive}{/if}

  {if $plugin_list.tags_list}{$plugin_list.tags_list}{/if}

  {if $plugin_list.link_list}{$plugin_list.link_list}{/if}

</div>

<div id='right_area'>
  <div id='member_info_box'>
    {if !$member_srl}
      <form id='fo_login' action='./' method='post' onSubmit='return false'>
        {$lang->common->fld_member_user_id} : <input type='text' name='user_id' value='' size='8' />

        {$lang->common->fld_member_passwd} : <input type='password' name='passwd' value='' size='8' />

        <input type='checkbox' name='auto_login' value='Y' /> {$lang->common->fld_autologin}

        <input type='button' value='{$lang->common->btn_login}' onClick="svc_login()" />
        <a href='{$signup_url}'>{$lang->common->btn_sign_up}</a> 
        <a href='{$find_password_url}'>{$lang->common->btn_find_passwd}</a>
      </form>
    {else}
      {if $site_info->use_exp eq 'Y'}
        <img src="{$member_info->exp_icon}" border="0" title="{$member_info->exp_per}%" />
      {/if}
      {if $member_info->image_mark}<img src='{$member_info->image_mark}' border='0' />{/if}
      {if $member_info->image_nick}
        <a href='{$show_info_url}'><img src='{$member_info->image_nick}' border='0' /></a>
      {else}
        <a href='{$show_info_url}'>{$member_info->nick_name}</a>
      {/if}
      <br />

      (
        <b>{$member_info->user_id}</b>,
        {$lang->common->fld_member_acclv.$member_max_level}
      )
      <br />

      <a href='{$show_info_url}'>{$lang->common->btn_show_myinfo}</a> |
      <a href='#' onClick='svc_logout();return false'>{$lang->common->btn_logout}</a>
      <br />
      <a href='{$message_box_url}'>{$lang->common->btn_message_box}</a> ({$new_message|number_format})

      {if $member_max_level eq 3}
        | <a href='./admin.php' target='_blank'>{$lang->common->btn_admin}</a>
      {/if}
    {/if}
  </div>

  {if $write_enable}
    <div id='manage_box'>
      <a href='{$write_url}'>{$lang->common->btn_write}</a>
    </div>
  {/if}

  {if $manager_enable}
    <div id='manage_box'>
      <a href='./admin.php?mid=module_manager&amp;module_srl={$module_srl}' target='_blank'>{$lang->common->btn_module_config}</a>
    </div>
  {/if}

  {if $plugin_list.newest_articles}{$plugin_list.newest_articles}{/if}

  {if $plugin_list.newest_comment}{$plugin_list.newest_comment}{/if}

  {if $plugin_list.newest_trackback}{$plugin_list.newest_trackback}{/if}

  {if $plugin_list.site_status}{$plugin_list.site_status}{/if}

</div>

<div id='content_box'>

  <div>

  {$content}

  </div>

</div>

{if $plugin_list.google_analytics}{$plugin_list.google_analytics}{/if}
