<script type='text/javascript'>
  var alert_msg = new Array();
  alert_msg['title'] = '{$lang->common->alert_require_title}';
  alert_msg['article'] = '{$lang->common->alert_require_article}';
  alert_msg['msg_confirm'] = '{$lang->common->alert_send}';
  alert_msg['msg_delete'] = '{$lang->common->alert_confirm_delete_message}';
</script>

<div id="layout_etc">

  <div id="message_box" class='title_bar'>
    <div class="guide">
      <div class="left"></div>
      <div class="right"></div>
    </div>

    <div class="center">
      <div class="title">
        {$lang->common->btn_message_box}
      </div>
      <div class="menu">
        <div class="button_bar">
          <div class="button">
            <div class="left"></div>
            <div class="right"></div>
            <div class="center"><a href='{$back_url}'>{$lang->common->btn_back}</a></div>
          </div>
        </div>
        <div class="button_bar">
          <div class="button">
            <div class="left"></div>
            <div class="right"></div>
            <div class="center"><a href='{$message_box_sended_url}'>{$lang->common->btn_message_sended}</a></div>
          </div>
        </div>
        <div class="button_bar">
          <div class="button">
            <div class="left"></div>
            <div class="right"></div>
            <div class="center"><a href='{$message_box_url}'>{$lang->common->btn_message_received}</a></div>
          </div>
        </div>
      </div>
    </div>
  </div>

  {if $target_member}
  <form id='fo_insert' action='./' method='get' onSubmit="return svc_send_message(this)">
  <input type='hidden' name='target_srl' value='{$target_member->member_srl}' />
  <input type='hidden' name='article' value='' />
  <input type='hidden' name='sended_url' value='{$message_box_sended_url}' />

  <div class='guide_bar'>
    <div class="guide">
      <div class="left"></div>
      <div class="right"></div>
    </div>

    <div class="center">
      <div class="title">
        {$lang->common->btn_message_write}
      </div>
    </div>
  </div>

  <table cellspacing='1' width='100%' class="layout_tbl">
  <col width="120" />
  <col width="*" />
  <tr class="row_01">
    <th>{$lang->common->fld_receiver}</th>
    <td>
      <b>
        {if $site_info->use_exp eq 'Y'}
          <img src="{$target_member->exp_icon}" border="0" title="{$target_member->exp_per}%" />
        {/if}
        {if $target_member->image_mark}<img src='{$target_member->image_mark}' border='0' />{/if}
        {if $target_member->image_nick}
          <img src='{$target_member->image_nick}' border='0' />
        {else}
          {$target_member->nick_name}
        {/if}
        ({$target_member->user_id})
      </td>
  </tr>
  <tr class="row_02">
    <th>{$lang->common->fld_title}</th>
    <td><input type='text' name='title' value='{$source_title}' /></td>
  </tr>
  <tr class="row_01">
    <td colspan='2'>
      {include file="$common_tpl_path/richtext_form.include.tpl" lang=$lang}
    </td>
  </tr>
  <tr class="row_02">
    <td colspan='2' align='center'>
      <input type='submit' class="input2" value='{$lang->common->btn_send}' />
      <input type='button' class="input2" value='{$lang->common->btn_back}' onClick="location.href='{$back_url}'"/>
    </td>
  </tr>
  </table>

  </form>

  <script type='text/javascript'>
    xAddEventListener(window, 'load', zEditInitModule);
  </script>
  {/if}

{if $sub_action ne 'none'}

  <div class='guide_bar'>
    <div class="guide">
      <div class="left"></div>
      <div class="right"></div>
    </div>

    <div class="center">
      <div class="title">
        {if $mode eq 'sended'}
          {$lang->common->btn_message_sended} ({$message_cnt|number_format})
        {else}
          {$lang->common->btn_message_received} ({$message_cnt|number_format})
        {/if}
      </div>
    </div>
  </div>

  {if $selected_message}
  <div>
    <table cellspacing='1' width='100%' class="layout_tbl">
    <col width='90' />
    <col width='*' />
    <col width='150' />
    <tr class="row_01">
      <th>{$lang->common->fld_sender}</th>
      <td>
        {if $site_info->use_exp eq 'Y'}
          <img src="{$selected_message->sender_info->exp_icon}" border="0" title="{$selected_message->sender_info->exp_per}%" />
        {/if}
        {if $selected_message->sender_info->image_mark}<img src='{$selected_message->sender_info->image_mark}' border='0' />{/if}
        <a href="{$selected_message->send_message_url}">{if $selected_message->sender_info->image_nick}<img src='{$selected_message->sender_info->image_nick}' border='0' />{else}{$selected_message->sender_info->writer}{/if}</a>
        ({$selected_message->sender_info->user_id})
      </td>
      <td align='right'>{$selected_message->regdate|zdate:true}</td>
    </tr>
    <tr class="row_02">
      <th>{$lang->common->fld_receiver}</th>
      <td colspan='2'>
        {if $site_info->use_exp eq 'Y'}
          <img src="{$selected_message->receiver_info->exp_icon}" border="0" title="{$selected_message->receiver_info->exp_per}%" />
        {/if}
        {if $selected_message->receiver_info->image_mark}<img src='{$selected_message->receiver_info->image_mark}' border='0' />{/if}
        <a href="{$selected_message->send_message_url}">{if $selected_message->receiver_info->image_nick}<img src='{$selected_message->receiver_info->image_nick}' border='0' />{else}{$selected_message->receiver_info->writer}{/if}</a>
        ({$selected_message->receiver_info->user_id})
      </td>
    </tr>
    <tr class="row_01">
      <th>{$lang->common->fld_title}</th>
      <td colspan='2'>{$selected_message->title}</td>
    </tr>
    <tr class="row_02">
      <td colspan='4'>
        <div class="message_desc">{$selected_message->message}</div>
      </td>
    </tr>
    <tr class="row_01">
      <td colspan='4' align='center'>
        {if $selected_message->article_srl}
        [<a href='./?article_srl={$selected_message->article_srl}' target='_blank'>{$lang->common->btn_view_article}</a>]
        {/if}
        [<a href='{$selected_message->reply_url}'>{$lang->common->btn_reply}</a>]
        [<a href='#' onClick="svc_delete_message({$selected_message->message_srl});return false">{$lang->common->btn_delete}</a>]
      </td>
    </tr>
    </table>
  </div>
  {/if}

  <div>
    <table width='100%' cellspacing="1" class="layout_tbl">
    <col width='50' />
    <col width='140' />
    <col width='*' />
    <col width='140' />
    <tr class="row_01 subject">
      <td>{$lang->common->fld_no}</td>
      <td>
        {if $mode eq 'sended'}
          {$lang->common->fld_receiver} 
        {else}
          {$lang->common->fld_sender} 
        {/if}
      </td>
      <td>{$lang->common->fld_title}</td>
      <td>{$lang->common->fld_date}</td>
    </tr>
    {if !$message_list}
    <tr align='center' class="row_01">
      <td colspan='4' height='40'>
        <b>{$lang->common->fld_message_box_is_null}</b>
      </td>
    </tr>
    {else}

    {foreach from=$message_list item=obj key=key name=list}
    <tr class="row_0{$smarty.foreach.list.iteration%2+1}">
      <td>
        {$oPageNav->v_no-$smarty.foreach.list.iteration+1}
      </td>
      <td>
        {if $mode eq 'sended'}
          {if $site_info->use_exp eq 'Y'}
            <img src="{$obj->receiver_info->exp_icon}" border="0" title="{$obj->receiver_info->exp_per}%" />
          {/if}
          {if $obj->receiver_info->image_mark}<img src='{$obj->receiver_info->image_mark}' border='0' />{/if}
          <a href="{$obj->send_message_url}">{if $obj->receiver_info->image_nick}<img src='{$obj->receiver_info->image_nick}' border='0' />{else}{$obj->receiver_info->writer}{/if}</a>
          ({$obj->receiver_info->user_id})
        {else}
          {if $site_info->use_exp eq 'Y'}
            <img src="{$obj->sender_info->exp_icon}" border="0" title="{$obj->sender_info->exp_per}%" />
          {/if}
          {if $obj->sender_info->image_mark}<img src='{$obj->sender_info->image_mark}' border='0' />{/if}
          <a href="{$obj->send_message_url}">{if $obj->sender_info->image_nick}<img src='{$obj->sender_info->image_nick}' border='0' />{else}{$obj->sender_info->writer}{/if}</a>
          ({$obj->sender_info->user_id})
        {/if}
      </td>
      <td>
        {if $obj->is_readed eq 'N'}<span style="font-weight:bold;">{/if}
        <a href='{$obj->read_url}'>{$obj->title}</a>
        {if $obj->is_readed eq 'N'}</span>{/if}
      </td>
      <td>{$obj->regdate|zdate:true}</td>
    </tr>
    {/foreach}

    {/if}
    </table>
  </div>

  <div class="page_nav">
    {if $oPageNav->first_page}
      [<a href='{$oPageNav->first_page}'>{$lang->common->btn_first_page}</a>]
    {/if}

    {if $oPageNav->prev_page}
      [<a href='{$oPageNav->prev_page}'>{$lang->common->btn_prev_page}</a>]
    {/if}

    {foreach from=$oPageNav->page_list key=page item=link name=page_list}
      {if $oPageNav->cur_page eq $page}
        {$page}
      {else}
        <a href='{$link}'>{$page}</a>
      {/if}

    {/foreach}

    {if $oPageNav->next_page}
      [<a href='{$oPageNav->next_page}'>{$lang->common->btn_next_page}</a>]
    {/if}

    {if $oPageNav->last_page}
      [<a href='{$oPageNav->last_page}'>{$lang->common->btn_last_page}</a>]
    {/if}
  </div>
  {/if}

</div>
