<div id='header_contain_box'>

  <div id='logo' align='center' style='font-size:20pt;font-weight:bold;'>

    {if $selected_layout->logo_image}
      <a href='{$home_url}'><img src="{$selected_layout->logo_image}" border="0"/></a>
    {else}
      <a href='{$home_url}'>{$selected_layout->site_title}</a>
    {/if}

  </div>

  <div id='main_first_menu'>

    {foreach from=$menu_list.main_menu key=node_srl item=obj name=main_menu}
      {if $obj.info.selected}{assign var=menu_2nd value=$obj.list}{/if}
      {if $obj.info.use_image eq 'Y'}
        {if $obj.info.use_manual_link}
          <a href='{$obj.info.link_url}' target='_blank'><img src="{$obj.info.img_normal}" border='0' /></a>
        {else}
          {if $obj.info.selected}
            {assign var=btn_image value=$obj.info.img_select}
          {else}
            {assign var=btn_image value=$obj.info.img_normal}
          {/if}
          <a href='./?sid={$obj.info.node_srl}'><img src="{$btn_image}" border='0' onMouseOver="this.src='{$obj.info.img_hover}'" onMouseOut="this.src='{$btn_image}'" /></a>
        {/if}
      {else}
        {if $obj.info.use_manual_link}
          <a href='{$obj.info.link_url}' target='_blank'>{$obj.info.node_name}</a>
        {else}
          <a href='./?sid={$obj.info.node_srl}'  {if $obj.info.selected}style='font-weight:bold'{/if}>{$obj.info.node_name}</a>
        {/if}
        {if !$smarty.foreach.main_menu.last}|{/if}
      {/if}
    {/foreach}

  </div>

  <div id='main_second_menu_box'>

    <div id='main_search_form'>
      <form action='./' method='get' style='display:inline'>
        <input type='hidden' name='sid' value='{$root_sid}' />
        <input type='hidden' name='action' value='search' />
        {$lang->common->fld_site_search}
        <input type='text' name='site_keyword' size='10' value='{$site_keyword|escape}' />
        <select name='site_sa'>
          <option value='and' {if $site_sa eq 'and'}selected{/if}>and</option>
          <option value='or' {if $site_sa eq 'or'}selected{/if}>or</option>
        </select>
        <input type='submit' value='{$lang->common->btn_search}' />
      </form>
    </div>

    <div id='main_second_menu'>
      {foreach from=$menu_2nd key=node_srl item=obj name=menu_2nd}
        {if $obj.info.selected}{assign var=menu_3nd value=$obj.list}{/if}

        {if $obj.info.use_manual_link}
          <a href='{$obj.info.link_url}' target='_blank'>{$obj.info.node_name}</a>
        {else}
          <a href='./?sid={$obj.info.node_srl}' {if $obj.info.selected}style='font-weight:bold'{/if}>{$obj.info.node_name}</a> 
        {/if}
        {if !$smarty.foreach.menu_2nd.last}|{/if}
      {/foreach}
    </div>

  </div>

</div>

<table id='middle_contain_box'>
<tr>
  <td id='main_third_menu'>

    {if !$member_srl}
    <form id='fo_login' action='./' method='post' onSubmit='return false'>
      {$lang->common->fld_member_user_id} : <input type='text' name='user_id' value='' size='8' />
      <br />
      {$lang->common->fld_member_passwd} : <input type='password' name='passwd' value='' size='8' />
      <br />
      <input type='checkbox' name='auto_login' value='Y' /> {$lang->common->fld_autologin}
      <br />
      <input type='button' value='{$lang->common->btn_login}' onClick="svc_login()" />
      <br />
      <a href='{$signup_url}'>{$lang->common->btn_sign_up}</a> |
      <a href='{$find_password_url}'>{$lang->common->btn_find_passwd}</a>
    </form>
    {else}
      <table border='1' width='100%'>
      <tr>
        <td>
          {$lang->common->fld_member_nick_name} : 
            {if $site_info->use_exp eq 'Y'}
              <img src="{$member_info->exp_icon}" border="0" title="{$member_info->exp_per}%" />
            {/if}
            {if $member_info->image_mark}<img src='{$member_info->image_mark}' border='0' />{/if}
            {if $member_info->image_nick}
              <img src='{$member_info->image_nick}' border='0' />
            {else}
              {$member_info->nick_name}
            {/if}
            <br />
          {$lang->common->fld_member_user_name} : {$member_info->user_name} <br />
          {$lang->common->fld_member_user_id} : <b>{$member_info->user_id}</b> <br />
          {$lang->common->fld_member_max_level} : {$lang->common->fld_member_acclv.$member_max_level} <br />

        </td>
      </tr>
      <tr>
        <td>
          <a href='{$show_info_url}'>{$lang->common->btn_show_myinfo}</a> |
          <a href='#' onClick='svc_logout();return false'>{$lang->common->btn_logout}</a>
          <br />
          <a href='{$message_box_url}'>{$lang->common->btn_message_box}</a> ({$new_message|number_format})
          {if $member_max_level eq 3}
          <br />
          <a href='./admin.php' target='_blank'>{$lang->common->btn_admin}</a>
          {/if}
      </table>
    {/if}

    <br />

    {foreach from=$menu_3nd key=node_srl item=obj name=menu_3nd}
      {if $obj.info.use_manual_link}
        <a href='{$obj.info.link_url}' target='_blank'>{$obj.info.node_name}</a>
      {else}
        <a href='./?sid={$obj.info.node_srl}' {if $obj.info.selected}style='font-weight:bold'{/if}>{$obj.info.node_name}</a> 
      {/if}
      {if !$smarty.foreach.menu_3nd.last}<br/>{/if}
    {/foreach}

    {$plugin_list.left_plugin_1}

    {$plugin_list.left_plugin_2}

    {$plugin_list.left_plugin_3}

    {$plugin_list.left_plugin_4}

    {$plugin_list.left_plugin_5}

    {$plugin_list.left_plugin_6}

  </td>
  <td id='content'>

    <div>
    {foreach from=$location_history key=key item=obj name=location_history}
      <a href='./?sid={$obj.node_srl}'>{$obj.node_name}</a>
      {if !$smarty.foreach.location_history.last}
        >
      {/if}
    {/foreach}
    </div>

    {$plugin_list.top_plugin}

    {$content}

  </td>
</tr>
</table>

<div id='footer_contain_box'>
  <div id='footer_inner_contain_box'>
    {foreach from=$menu_list.bottom_menu key=node_srl item=obj name=bottom_menu}
      <a href='./?sid={$obj.info.node_srl}' {if $obj.info.selected}style='font-weight:bold'{/if}>{$obj.info.node_name}</a>
      {if !$smarty.foreach.bottom_menu.last}|{/if}
    {/foreach}
  </div>
</div>

{$plugin_list.google_analytics}
