<div id="layout" class="full">

  <div id="top">
    <div class="bar"></div>
    <div class="rss" onClick="window.open('./xml.php?sid={$root_sid}')"></div>

    <div class="bar_title">
      {if $selected_layout->blog_logo_image}
      <div style="width:35px;height:30px;background:url({$selected_layout->blog_logo_image}) no-repeat top left; float:left;"></div>
      {else}
      <div class="icon"></div>
      {/if}
      <div class="title" onClick="location.href='./?sid={$root_sid}'">{$selected_layout->blog_title}</div>
      <div class="desc">{$selected_layout->blog_announce}</div>
    </div>
  </div>

  <div id="nav">

    <form action='./' method='get'>
    <input type='hidden' name='sid' value='{$root_sid}' />
    <input type='hidden' name='action' value='search' />
    <input type='hidden' name='site_sa' value='and' />

    <div id="search">
      <table border="0" align="center" cellpadding="0" cellspacing="2">
      <tr>
        <td height="40"><input type="text" name='site_keyword' value='{$site_keyword|escape}' class="input" /></td>
        <td height="40"><input type="submit" class="submit" value=""/></td>
      </tr>
      </table>
    </div>
    <div id="tags"> </div>
    <div id="menu">
      {foreach from=$menu_list.top_menu key=node_srl item=obj name=top_menu}
        {if $obj.info.selected}
          <div class="sub_menu_sel_left"></div>
          <div class="sub_menu_sel_bg">{$obj.info.node_name}</a></div>
          <div class="sub_menu_sel_right"></div>
        {else}
          <div class="sub_menu"><a href='./?sid={$obj.info.node_srl}'>{$obj.info.node_name}</a></div>
        {/if}
      {/foreach}
    </div>
    <div style="clear:both"></div>

    </form>
  </div>

  <div class="col_left">
    <div class="box">
      <div class="border">

        {if $selected_layout->profile_image}
        <a href='{$home_url}'><img src="{$selected_layout->profile_image}" border="0"/></a>
        {/if}

        {if $plugin_list.calendar}{$plugin_list.calendar}{/if}

        <div id="li_category" class="gl_li">
          <div class="gl_tt title"></div>
          <ul>

          {foreach from=$menu_list.category item=depth_0 name=depth_0}

            {assign var=obj value=$depth_0.info}
            {assign var=list value=$depth_0.list}
            {if $obj.hidden ne 'Y'}

            <li>

              {if $smarty.foreach.depth_0.iteration eq '1'}
              <div class="cg_tree_1"></div>
              {/if}

              <label {if $obj.node_srl eq $sid}class="sel"{/if}>
                {if $obj.use_manual_link}
                  <a href='{$obj.link_url}' target='_blank'>{$obj.node_name}</a>
                {else}
                  <a href='./?sid={$obj.node_srl}'>{$obj.node_name}</a>
                {/if}

                {if $obj.article_cnt>0}
                  <span class="menu_article_cnt">({$obj.article_cnt})</span>
                {/if}

                {if $obj.lastupdate|isnew:3}
                  <span class="menu_article_new">*</span>
                {/if}
              </label>

            </li>

            {foreach from=$list item=depth_1 name=depth_1}

              {assign var=obj value=$depth_1.info}
              {assign var=depth_1_list value=$depth_1.list}

              {if $obj.hidden ne 'Y'}

              <li>

                {if $smarty.foreach.depth_1.last}
                  <div class="cg_tree_3"></div>
                {else}
                  {if $depth_1_list}
                    <div class="cg_tree_4"></div>
                  {else}
                    <div class="cg_tree_2"></div>
                  {/if}
                {/if}

                <label {if $obj.node_srl eq $sid}class="sel"{/if}>
                  {if $obj.use_manual_link}
                    <a href='{$obj.link_url}' target='_blank'>{$obj.node_name}</a>
                  {else}
                    <a href='./?sid={$obj.node_srl}'>{$obj.node_name}</a>
                  {/if}

                  {if $obj.article_cnt>0}
                    <span class="menu_article_cnt">({$obj.article_cnt})</span>
                  {/if}

                  {if $obj.lastupdate|isnew:3}
                    <span class="menu_article_new">*</span>
                  {/if}
                </label>

              </li>

              {foreach from=$depth_1_list item=depth_2 name=depth_2}

                {assign var=obj value=$depth_2.info}

                {if $obj.hidden ne 'Y'}
                <li>

                  {if $smarty.foreach.depth_0.last && $smarty.foreach.depth_1.last}
                    <div class="cg_tree_11"></div>
                  {else}
                    <div class="cg_tree_10"></div>
                  {/if}

                  {if $smarty.foreach.depth_2.last}
                    <div class="cg_tree_3"></div>
                  {else}
                    <div class="cg_tree_2"></div>
                  {/if}

                  <label {if $obj.node_srl eq $sid}class="sel"{/if}>
                    {if $obj.use_manual_link}
                      <a href='{$obj.link_url}' target='_blank'>{$obj.node_name}</a>
                    {else}
                      <a href='./?sid={$obj.node_srl}'>{$obj.node_name}</a>
                    {/if}

                    {if $obj.article_cnt>0}
                      <span class="menu_article_cnt">({$obj.article_cnt})</span>
                    {/if}

                    {if $obj.lastupdate|isnew:3}
                      <span class="menu_article_new">*</span>
                    {/if}

                  </label>

                </li>

                {/if}

              {/foreach}

              {/if}

            {/foreach}

            {/if}

          {/foreach}

          </ul>

        </div>

        {if $plugin_list.archive}{$plugin_list.archive}{/if}

        {if $plugin_list.tags_list}{$plugin_list.tags_list}{/if}

        {if $plugin_list.link_list}{$plugin_list.link_list}{/if}

        {if $plugin_list.site_status}{$plugin_list.site_status}{/if}

      </div>
    </div>
  </div>

  <div class="col_right">

    {if $selected_layout->blog_profile_image}
    <div class="box">
      <div class="border" style="padding:5px 0px 5px 0px;text-align:center">
        <img src="{$selected_layout->blog_profile_image}" border="0" />
      </div>
    </div>
    {/if}

    <div class="box" id='login'>

      <div class="border">

        {if !$member_srl}
        <div id="li_login" class="gl_li">
          <button class="open" onClick="zb5_blog_open_login_form('zone_login')"></button>
          <div class="gl_tt title"></div>

          <div id="zone_login" style="display:none">
            <form id='fo_login' action='./' method='post' onSubmit='return false'>
              <table border="0" align="center" cellpadding="0" cellspacing="1">
              <tr>
                <td width="50" class="text">{$lang->common->fld_member_user_id}</td>
                <td height="20"><input name="user_id" type="text" class="input" id="user_id" style="width:84px;"/></td>
              </tr>
              <tr>
                <td width="50" class="text">{$lang->common->fld_member_passwd}</td>
                <td height="20"><input name="passwd" type="password" class="input" id="passwd" style="width:84px;"/></td>
              </tr>
              <tr>
                <td height="20" align="right"><input type="checkbox" name="auto_login" value="Y" /></td>
                <td class="text">{$lang->common->fld_autologin}</td>
              </tr>
              <tr>
                <td colspan="2" align="center"><input type="submit" name="Submit" value="" class="submit" onClick="svc_login()"/></td>
              </tr>
              </table>
              <table border="0" align="center" cellpadding="0" cellspacing="2" style="margin-top:10px;">
              <tr>
                <td><img src="./images/icon_login_signup.gif" width="16" height="16" /></td>
                <td><a href='{$signup_url}'>{$lang->common->btn_sign_up}</a></td>
              </tr>
              <tr>
                <td><img src="./images/icon_login_forget.gif" width="16" height="16" /></td>
                <td><a href='{$find_password_url}'>{$lang->common->btn_find_passwd}</a></td>
              </tr>
              </table>
            </form>
          </div>
        </div>
        {else}

        <div id="li_myinfo" class="gl_li">
          <button class="open" onClick="zb5_blog_open_login_form('zone_myinfo')"></button>
          <div class="gl_tt title"></div>
          <div id="zone_myinfo" style="display:none">
            <div style="margin-bottom:3px;text-align:center;">
              <table border="0" cellspacing="0" cellpadding="1">
              <tr height="25">
                {if $site_info->use_exp eq 'Y'}
                <td><img src="{$member_info->exp_icon}" border="0" title="{$member_info->exp_per}%" /></td>
                {/if}
                {if $member_info->image_mark}
                <td><img src='{$member_info->image_mark}' border='0' /></td>
                {/if}
                <td>
                  <span class="user_name">
                  {if $member_info->image_nick}
                    <a href='{$show_info_url}'><img src='{$member_info->image_nick}' border='0' /></a>
                  {else}
                    <a href='{$show_info_url}'>{$member_info->nick_name}</a>
                  {/if}
                  </span>
                </td>
              </tr>
              </table>

            </div>
            <div class="myinfo"><a href='{$show_info_url}'>{$lang->common->btn_show_myinfo}</a></div>
            <div class="messagebox"><a href='{$message_box_url}'>{$lang->common->btn_message_box}({$new_message|number_format})</a></div>
            <div class="logout"><a href='#' onClick='svc_logout();return false'>{$lang->common->btn_logout}</a></div>
            {if $manager_enable}
            <div class="module_manager"><a href='./admin.php?mid=module_manager&amp;module_srl={$module_srl}' target='_blank'>{$lang->common->btn_module_config}</a></div>
            {/if}
            {if $member_max_level eq 3}
            <div class="admin"><a href='./admin.php' target='_blank'>{$lang->common->btn_admin}</a></div>
            {/if}
          </div>
        </div>
        {/if}

      </div>
    </div>
    
    {if $write_enable}
    <div class="box">
      <div class="border" id="post_article">
        <button onClick="location.href='{$write_url}'"></button>
      </div>
    </div>
    {/if}

    {if $plugin_list.newest_articles || $plugin_list.newest_comment || $plugin_list.newest_trackback}
    <div class="box">
      <div class="border">

        {if $plugin_list.newest_articles}{$plugin_list.newest_articles}{/if}

        {if $plugin_list.newest_comment}{$plugin_list.newest_comment}{/if}

        {if $plugin_list.newest_trackback}{$plugin_list.newest_trackback}{/if}

      </div>
    </div>
    {/if}

  </div>

  <div class='col_body'>
    {$content}
  </div>

</div>

{if $plugin_list.newest_trackback}{$plugin_list.google_analytics}{/if}
