{** comment columns alert messages **}
<script type='text/javascript'>
  var alert_msg = new Array();
  alert_msg['writer'] = '{$lang->common->alert_require_writer}';
  alert_msg['passwd'] = '{$lang->common->alert_require_passwd}';
  alert_msg['article'] = '{$lang->common->alert_require_article}';
  alert_msg['msg_confirm'] = '{$lang->common->alert_confirm}';
  alert_msg['remove_survey'] = '{$lang->common->alert_remove_survey}';
  alert_msg['image_number'] = '{$lang->common->notice_member_fo_image_number_is_null}';
  alert_msg['delete_trackback'] = '{$lang->common->alert_delete_trackback}';
  alert_msg['survey_over_cnt'] = '{$lang->common->notice_survey_over_cnt}';
  alert_msg['survey_check_item'] = '{$lang->common->notice_survey_check_item}';
</script>

<div style='width:100%;'>


{** top navigation **}
<table border='1' width='100%'>
<tr>
  <td>
    [<a href='{$xml_url}' target='_blank'>{$lang->common->btn_xml}</a>]
    {$lang->common->fld_total_article} : {$total_articles|number_format}
  </td>
  {if $is_admin}
  <td align='right'>
    <a href='./admin.php?mid=module_manager&amp;module_srl={$module_srl}' target='_blank'>{$lang->common->btn_module_config}</a>
  </td>
  {/if}
</tr>
</table>

{** selected article area **}
{if $article->article and $view_enable} 
  <table border='1' width='100%'>
  <col width='120' />
  <col width='*' />
  <col width='200' />
  {if $article->serial_srl}
  <tr>
    <td>{$lang->common->fld_serial_title}</td>
    <td colspan='2'><a href='{$article->serial_url}'>{$article->serial_title}</a></td>
  </tr>
  {/if}
  <tr>
    <td>{$lang->common->fld_title}</td>
    <td>{$article->title}</td>
    <td align='right'>{$article->regdate|zdate:true}</td>
  </tr>
  <tr>
    <td>{$lang->common->fld_writer}</td>
    <td>
      {if $article->user_id}
        {if $site_info->use_exp eq 'Y'}
          <img src="{$article->exp_icon}" border="0" title="{$article->exp_per}%" />
        {/if}
        {if $article->image_mark}<img src='{$article->image_mark}' border='0' />{/if}
        <a href="{$article->view_info_url}">{if $article->image_nick}<img src='{$article->image_nick}' border='0' />{else}{$article->writer}{/if}</a>
        ({$article->user_id})
      {else}
        {$article->writer}
      {/if}
    </td>
    <td align='right'>
      {$lang->common->fld_readed} :
      {$article->readed_cnt|number_format},
      {$lang->common->fld_voted} :
      {$article->voted_cnt|number_format}
    </td>
  </tr>
  <tr>
    <td colspan='3' align='right'>
      {$article->source_url}
    </td>
  </tr>

  {if $article->file_cnt > 0 and $article->file_list and $article->use_gallery eq 'Y'}
  <tr>
    <td colspan='3'>
      {include file="$tpl_path/image_gallery.tpl" srl=$article->article_srl file_list=$article->file_list}
    </td>
  </tr>
  {/if}

  <tr valign='top'>
    <td colspan='3' height='120'>
      {if $article->summary}
        {$article->summary|nl2br} <br /><br />
        <a href='#' onClick="svc_show_article('{$article->article_srl}');return false">{$article->summary_div}</a> <br />
        <div id='hidden_article_{$article->article_srl}' style='display:none'>
          <br />
          {$article->article}

        </div>
      {else}
        {$article->article}
      {/if}

      {if $article->use_survey eq 'Y' and !$article->survey_enable }
        <br />
        {foreach from=$article->survey item=obj key=key}

          <table border='1' width='100%'>
          <tr>
            <td><b>{$obj->content}</b></td>
          </tr>

          {foreach from=$obj->item key=s_key item=item}
          <tr>
            <td>- {$item->item} ({$item->cnt|number_format})</td>
          </tr>
          {/foreach}

          </table>

        {/foreach}
        <br />
      {/if}

      {if $article->use_survey eq 'Y' and $article->survey_enable}
        <form action='./' method='get' onSubmit='return svc_do_survey(this)'>
        <br />
        {foreach from=$article->survey item=obj key=key}
          <input type='hidden' name='checkcnt_{$obj->survey_srl}' value='{$obj->checkcnt}' />

          <table border='1' width='100%'>
          <tr>
            <td>
              <b>{$obj->content}</b>
              {if $obj->checkcnt > 1}
              ( {$lang->common->fld_survey_checkcnt} : {$obj->checkcnt} )
              {/if}
            </td>
          </tr>

          {foreach from=$obj->item key=s_key item=item}
          <tr>
            <td><input type='{if $obj->checkcnt>1}checkbox{else}radio{/if}' name='survey_item_{$obj->survey_srl}' value='{$s_key}' /> {$item->item}</td>
          </tr>
          {/foreach}

          </table>

        {/foreach}

        <table border='1' width='100%'>
        <tr>
          <td>
            <input type='submit' value='{$lang->common->btn_survey_submit}' />
          </td>
        </tr>
        </table>

        </form>
      {/if}

      <br />
      <br />
      <br />
      <br />

      {if $article->tag_list}
        <div>
          {$lang->common->fld_tag} :
          {foreach from=$article->tag_list item=obj key=key name=tag_list}
            <a href='{$obj->url}'>{$obj->tag}</a>

            {if !$smarty.foreach.tag_list.last}
            ,
            {/if}
          {/foreach}
        </div>
      {/if}

      {if $article->sign or $article->profile_image}
        <table border='1' width='100%'>
        <tr valign='top'>
          {if $article->profile_image}<td width='80'><img src="{$article->profile_image}" border='0' /></td>{/if}
          {if $article->sign}<td>{$article->sign}</td>{/if}
        </tr>
        </table>
      {/if}

    </td>
  </tr>

  {if $article->use_serial eq 'Y'}
    {if $article->next_serial_srl}
  <tr>
    <td>{$lang->common->fld_next_serial}</td>
    <td colspan='2'><a href='{$article->next_serial_url}'>{$article->next_serial_title}</a>
  </tr>
    {/if}
    {if $article->prev_serial_srl}
  <tr>
    <td>{$lang->common->fld_prev_serial}</td>
    <td colspan='2'><a href='{$article->prev_serial_url}'>{$article->prev_serial_title}</a></td>
  </tr>
    {/if}
  {/if}

  {if $article->file_cnt > 0 and $article->file_list}
  <tr valign='top'>
    <td>{$lang->common->fld_upload}</td>
    <td colspan='2'>
      {foreach from=$article->file_list item=obj}
        {if $obj->is_resized eq 'Y'}
          <a href='{$obj->source_url}'>{$obj->s_filename}</a> 
        {else}
          <a href='{$obj->download_url}'>{$obj->s_filename}</a> 
        {/if}
        {if $obj->download_cnt > 0}
          ({$lang->common->fld_download_cnt} : {$obj->download_cnt|number_format})
        {/if}
        <br />
      {/foreach}
    </td>
  </tr>
  {/if}

  {if $article->allow_trackback eq 'Y'}
  <tr>
    <td align='right' colspan='3'>
      {$lang->common->fld_trackback_address} : {$article->trackback_url}
    </td>
  </tr>
  {/if}
  </table>

  <table border='1' width='100%'>
  <col width='*' />
  <col width='*' />
  <tr>  
    <td>
      {if $article->modify_enable}
        [<a href='{$article->modify_url}'>{$lang->common->btn_modify}</a>]
      {/if}
      {if $article->delete_enable}
        [<a href='{$article->delete_url}'>{$lang->common->btn_delete}</a>]
      {/if}
      {if $article->use_survey eq 'Y' and $article->delete_enable}
        [<a href='#' onClick="svc_remove_survey('{$article->article_srl}');return false;">{$lang->common->btn_survey_remove}</a>]
      {/if}
      {if $article->report_enable}
        [<a href='#' onClick="svc_report_display('{$mid}','{$article->article_srl}');return false;">{$lang->common->btn_report}</a>]
      {/if}
    </td>
    <td align='right'>
      {if $vote_enable}
        [<a href="{$article->vote_url}">{$lang->common->btn_vote}</a>]
      {/if}
      [<a href='{$article->list_url}'>{$lang->common->btn_list}</a>]
    </td>
  </tr>
  </table>

  <div id='zone_report_{$article->article_srl}' style='display:none'>
  <table border='1' width='100%'>
  <col width='120' />
  <col width='*' />
  <tr>
    <td>{$lang->common->fld_report}</td>
    <td>
      <select id='report_target_{$article->article_srl}'>
        <option value='delete'>{$lang->common->fld_report_delete}</option>
      </select>
      <input type='button' value='{$lang->common->btn_report}' onClick="svc_report('{$article->article_srl}',0)" />
    </td>
  </tr>
  </table>
  </div>
  <br />

  {** comment / trackback area **}
  {if $article->allow_comment eq 'Y' and $article->allow_trackback eq 'Y'}
  <table border='1' width='100%'>
  <col width='*' />
  <col width='*' />
  <tr>
    <td>
      {if $article->allow_comment eq 'Y'}
      <a href="#" onClick="svc_show_comment('{$article->module_srl}','{$article->article_srl}');return false;">{$lang->common->btn_open_comment}</a> ({$article->comment_cnt|number_format})
      {/if}
    </td>
    <td align='right'>
      {if $article->allow_trackback eq 'Y'}
      <a href="#" onClick="svc_show_trackback('{$article->module_srl}','{$article->article_srl}');return false;">{$lang->common->btn_open_trackback}</a> ({$article->trackback_cnt|number_format})
      {/if}
    </td>
  </tr>
  </table>

  {** trackback list area **}
  {if $article->allow_trackback eq 'Y'}
  <div id='zone_trackback_{$article->article_srl}' style='display:none;width:100%;text-align:center'></div>
  {/if}

  {** comment list area **}
  {if $article->allow_comment eq 'Y'}
  <div id='zone_comment_{$article->article_srl}' style='display:none;width:100%;text-align:center'></div>
  {/if}

  <br />
  {/if}

{/if}

{** list area **}
<table border='1' width='100%'>
<col width='70' />
<col width='*' />
<col width='120' />
<col width='60' />
<col width='60' />
<col width='90' />
<tr>
  <td>{$lang->common->fld_no}</td>
  <td>{$lang->common->fld_title}</td>
  <td>{$lang->common->fld_writer}</td>
  <td>{$lang->common->fld_readed}</td>
  <td>{$lang->common->fld_voted}</td>
  <td>{$lang->common->fld_date}</td>
</tr>
{if $article_list}

{foreach from=$article_list key=key item=obj name=list}
<tr {if $key eq $article_srl}style='background-color:#DDDDDD;'{/if}>
  <td align='center'>
    {if $obj->is_notice eq 'Y'}
      {$lang->common->fld_notice}
    {else}
      {$oPageNav->v_no-$smarty.foreach.list.iteration+1}</td>
    {/if}
  <td>
    {if $obj->serial_srl}
    <a href='{$obj->serial_url}' target='_blank'><b>{$obj->serial_title}</b></a><br />
    {/if}
    <a href='{$obj->url}'>{$obj->title}</a>
    {if $obj->comment_cnt}
      [{$obj->comment_cnt}]
    {/if}
  </td>
  <td>
    {if $obj->user_id}
      {if $site_info->use_exp eq 'Y'}
        <img src="{$obj->exp_icon}" border="0" title="{$obj->exp_per}%" />
      {/if}
      {if $obj->image_mark}<img src='{$obj->image_mark}' border='0' />{/if}
      <a href="{$obj->view_info_url}">{if $obj->image_nick}<img src='{$obj->image_nick}' border='0' />{else}{$obj->writer}{/if}</a>
      ({$obj->user_id})
    {else}
      {$obj->writer}
    {/if}
  </td>
  <td>{$obj->readed_cnt}</td>
  <td>{$obj->voted_cnt}</td>
  <td>{$obj->regdate|zdate}</td>
</tr>
{/foreach} 

{else}
<tr>
  <td colspan='6' height='50' align='center'>
    {$lang->common->notice_no_list}
  </td>
</tr>
{/if}
</table>

{** bottom navigation **}
<table border='1' width='100%'>
<tr>
  <td>
    [<a href='./?sid={$sid}'>{$lang->common->btn_go_top}</a>]
  </td>
  <td align='right'>
    {if $write_enable}[<a href='{$write_url}'>{$lang->common->btn_write}</a>]{/if}
  </td>
</tr>
</table>

{** page navigation **}
<div style='width:100%;text-align:center'>
  {if $oPageNav->first_page}
    [<a href='{$oPageNav->first_page}'>{$lang->common->btn_first_page}</a>]
  {/if}

  {if $oPageNav->prev_page}
    [<a href='{$oPageNav->prev_page}'>{$lang->common->btn_prev_page}</a>]
  {/if}

  {foreach from=$oPageNav->page_list key=page item=link name=page_list}
    {if $oPageNav->cur_page eq $page}
      {$page}
    {else}
      <a href='{$link}'>{$page}</a>
    {/if}

  {/foreach}

  {if $oPageNav->next_page}
    [<a href='{$oPageNav->next_page}'>{$lang->common->btn_next_page}</a>]
  {/if}

  {if $oPageNav->last_page}
    [<a href='{$oPageNav->last_page}'>{$lang->common->btn_last_page}</a>]
  {/if}
</div>

{** search form **}
{if $view_enable}
<br />
<div style='width:100%;text-align:right'>
  <form action='./' method='get'>
    <input type='hidden' name='sid' value='{$sid}' />
    <input type='hidden' name='page' value='{$page}' />
    <input type='hidden' name='serial_srl' value='{$serial_srl}' />

    <input type='checkbox' name='st' value='Y' {if $st eq 'Y'}checked{/if} />{$lang->common->fld_title}
    <input type='checkbox' name='sc' value='Y' {if $sc eq 'Y'}checked{/if} />{$lang->common->fld_content}
    <input type='checkbox' name='sw' value='Y' {if $sw eq 'Y'}checked{/if} />{$lang->common->fld_writer}
    <input type='checkbox' name='sg' value='Y' {if $sg eq 'Y'}checked{/if} />{$lang->common->fld_tag}
    <input type='text' name='search_keyword' value='{$search_keyword|escape}' />
    <select name='sa'>
      <option value='and' {if $sa eq 'and'}selected{/if}>and</option>
      <option value='or' {if $sa eq 'or'}selected{/if}>or</option>
    </select>
    <input type='submit' value='{$lang->common->btn_search}' />
    <input type='button' value='{$lang->common->btn_search_cancel}' onClick="location.href='./?sid={$sid}'"/>
  </form>
</div>
{/if}

</div>
