{** columns alert messages **}
<script type='text/javascript'>
  var alert_msg = new Array();
  alert_msg['writer'] = '{$lang->common->alert_require_writer}';
  alert_msg['passwd'] = '{$lang->common->alert_require_passwd}';
  alert_msg['title'] = '{$lang->common->alert_require_title}';
  alert_msg['article'] = '{$lang->common->alert_require_article}';
  alert_msg['tag'] = '{$lang->common->alert_require_tag}';
  alert_msg['file_uploading'] = '{$lang->common->alert_file_uploading}';
  alert_msg['image_number'] = '{$lang->common->notice_member_fo_image_number_is_null}';
  alert_msg['new_serial_title'] = '{$lang->common->alert_serial_title}';
  alert_msg['msg_confirm'] = '{$lang->common->alert_confirm}';
</script>


<div style='width:100%;'>

<form id='fo_insert' action='{$file_server}' method='post' onSubmit='return svc_write(this)' {if $upload_enable}enctype='multipart/form-data'{/if}>
<input type='hidden' name='sid' value='{$sid}' />
<input type='hidden' name='module_srl' value='{$module_srl}' />
<input type='hidden' name='article_srl' value='{$article->article_srl}' />
<input type='hidden' name='article' value="{$article->article|escape}" />

<table border='1' width='100%'>
<col width='120' />
<col width='*' />
{if !$member_srl}
<tr>
  <td>{$lang->common->fld_name}</td>
  <td><input type='text' name='writer' value='{$article->writer}' /></td>
</tr>
<tr>
  <td>{$lang->common->fld_passwd}</td>
  <td>
    <input type='password' name='passwd' value='' />
  </td>
</tr>
<tr>
  <td>{$lang->common->fld_email}</td>
  <td><input type='text' name='email' value='{$article->email}' /></td>
</tr>
{/if}
<tr>
  <td>{$lang->common->fld_title}</td>
  <td>
    <input type='text' name='title' value='{$article->title}' />
    {if $is_admin}
      <input type='checkbox' name='is_notice' value='Y' {if $article->is_notice eq 'Y'}checked{/if} />
      {$lang->common->fld_notice}
    {/if}
  </td>
</tr>
<tr>
  <td colspan='2'>
    {include file="$common_tpl_path/richtext_form.include.tpl" lang=$lang}
  </td>
</tr>
<tr>
  <td>
    {$lang->common->fld_tag}
  </td>
  <td>
    <input type='text' name='tag' value='{$article->tag}' />

    <input type='checkbox' value='Y' name='send_to_center' /> {$lang->common->fld_send_center}
  </td>
</tr>
<tr>
  <td align='right' colspan='2'>
    <table border='1' width='100%'>
    <tr>
      <td>
        {$lang->common->fld_use_summary} <input type='checkbox' name='use_summary' value='Y' {if $article->summary}checked {/if} onClick="svc_toggle_summary(this)" />

        {$lang->common->fld_use_trackback} <input type='checkbox' name='use_trackback' value='Y' onClick="svc_toggle_trackback(this)" />

        {if $survey_enable}
          {$lang->common->fld_survey} <input type='checkbox' name='use_survey' value='Y' {if $article->use_survey}checked{/if} onClick="svc_toggle_survey(this)" />
        {/if}

        {if $serial_enable}
          {$lang->common->fld_serial} <input type='checkbox' name='use_serial' value='Y' {if $article->use_serial eq 'Y'}checked{/if} onClick="svc_toggle_serial(this)" />
        {/if}
      </td>
      <td align='right'>
        {if $is_logged}
          {$lang->common->fld_get_reply_message} : <input type='checkbox' name='use_reply_message' value='Y' {if $article->use_reply_message eq 'Y'}checked {/if}/>
        {/if}

        {$lang->common->fld_allow_comment} : <input type='checkbox' name='allow_comment' value='Y' {if $article->allow_comment eq 'Y' || !$article->article_srl}checked {/if}/>

        {$lang->common->fld_allow_trackback} : <input type='checkbox' name='allow_trackback' value='Y' {if $article->allow_trackback eq 'Y' || !$article->article_srl}checked {/if} />
      </td>
    </tr>
    </table>

    <div id='zone_summary' style='display:{if $article->summary}block{else}none{/if}'>
      <table border='1' width='100%'>
      <col width='120' />
      <col width='*' />
      <tr valign='top'>
        <td>{$lang->common->fld_summary}</td>
        <td><textarea name='summary' style='width:100%;height:80px'>{$article->summary}</textarea></td>
      </tr>
      <tr>
        <td>{$lang->common->fld_summary_div}</td>
        <td><input type='text' name='summary_div' value='{if $article->summary_div}{$article->summary_div}{else}{$lang->common->fld_summary_div_default}{/if}' /></td>
      </tr>
      </table>
    </div>

    <div id='zone_trackback' style='display:none'>
      <table border='1' width='100%'>
      <col width='120' />
      <col width='*' />
      <tr valign='top'>
        <td>{$lang->common->fld_trackback_address} :</td>
        <td>
          <input type='text' name='trackback_address' />
          {if $charset_list}
          <select name='charset'>
            {foreach from=$charset_list item=obj}
            <option value='{$obj}'>{$obj}</option>
            {/foreach}
          </select>
          {/if}
        </td>
      </tr>
      </table>
    </div>

    {if $survey_enable}
    <div id='zone_survey' style='text-align:left;display:{if $article->use_survey}block{else}none{/if}'>

      <div id='zone_survey_1'>
        <table border='1' width='100%'>
        <tr>
          <td>{$lang->common->fld_survey_content}</td>
          <td>
            <input type='text' name='survey_content_1' value='' />
{$lang->common->fld_survey_checkcnt} : 
              <select name='survey_checkcnt_1' id='survey_checkcnt_1'>
                <option value='1'>1</option>
                <option value='2'>2</option>
              </select>
          </td>
        </tr>
        <tr>
          <td>{$lang->common->fld_survey_item}</td>
          <td>
            <div id='zone_survey_item_1'>
              <input type='text' name='survey_item_1_1' value='' /><br />
              <input type='text' name='survey_item_1_2' value='' /><br />
              <input type='button' value='{$lang->common->btn_survey_add_item}' onClick='svc_add_survey_item(this)' />
            </div>
          </td>
        </tr>
        </table>
      </div>

      <input type='button' value='{$lang->common->btn_survey_add_survey}' onClick='svc_add_survey(this)' />
    </div>
    {/if}

    {if $serial_enable}
    <div id='zone_serial' style='text-align:left;display:{if $article->use_serial eq 'Y'}block{else}none{/if}'>
      <table border='1' width='100%'>
      <col width='120' />
      <col width='*' />
      <tr valign='top'>
        <td>{$lang->common->fld_serial}</td>
        <td>
          <select name='serial_srl'>
            {if !$serial_list}<option value=''>{$lang->common->fld_serial_list}</option>{/if}
            {foreach from=$serial_list item=obj key=key}
            <option value='{$obj->serial_srl}'>{$obj->title}</option>
            {/foreach}
          </select>
          <br />
          <input type='text' name='new_serial_title' />
          <input type='button' value='{$lang->common->btn_serial_add}' onClick='svc_add_serial(this)' />
        </td>
      </tr>
      </table>
    </div>
    {/if}

    {if $upload_enable}
      <table border='1' width='100%'>
      <col width='120' />
      <col width='*' />
      <tr valign='top'>
        <td rowspan='2'>{$lang->common->fld_upload}</td>
        <td>
          <select name='upload_file' size='4' style='width:100%;'>
            {foreach from=$file_list item=obj}
            <option value="{$obj->filename}">{$obj->s_filename}</option>
            {/foreach}
          </select>
          <script type='text/javascript'>
            svc_print_binary_btn('{$lang->common->btn_upload}','{$lang->common->btn_upload_delete}','{$lang->common->btn_upload_insert}');
          </script>
        </td>
      </tr>
      <tr>
        <td>
          {$lang->common->fld_use_gallery} : <input type='checkbox' name='use_gallery' value='Y' {if $article->use_gallery eq 'Y'}checked{/if} />
        </td>
      </tr>
      </table>
    {/if}
  </td>
</tr>
{if $show_image_number}
<tr>
  <td colspan='2' align='center'>
    <img src='./file_download.php?type=number' width='85' height='28' />
    <input type='text' name='image_number' size='5' maxlength='5' />
  </td>
</tr>
{/if}
<tr>  
  <td colspan='2' align='center'>
    <input type='submit' value='{$lang->common->btn_submit}' />
    <input type='button' value='{$lang->common->btn_back}' onClick="location.href='{$list_url}'"/>
  </td>
</tr>
</table>

</form>

</div>

<script type='text/javascript'>
  xAddEventListener(window, 'load', zEditInitModule);
</script>
