{** columns alert messages **}
<script type='text/javascript'>
  var alert_msg = new Array();
  alert_msg['writer'] = '{$lang->common->alert_require_writer}';
  alert_msg['passwd'] = '{$lang->common->alert_require_passwd}';
  alert_msg['title'] = '{$lang->common->alert_require_title}';
  alert_msg['article'] = '{$lang->common->alert_require_article}';
  alert_msg['tag'] = '{$lang->common->alert_require_tag}';
  alert_msg['file_uploading'] = '{$lang->common->alert_file_uploading}';
  alert_msg['image_number'] = '{$lang->common->notice_member_fo_image_number_is_null}';
  alert_msg['new_serial_title'] = '{$lang->common->alert_serial_title}';
  alert_msg['msg_confirm'] = '{$lang->common->alert_confirm}';
  alert_msg['msg_cancel'] = '{$lang->common->alert_confirm_cancel}';
</script>


<div id="module_board">

  {** top navigation **}
  <table width="100%" border="0" cellspacing="0" cellpadding="0" id="board_head" class="top">
  <tr>
    <td class="bg_L"></td>
    <td valign="top" class="bg_C"><div class="board_title fc_02">{$module_name}</div></td>
    <td class="bg_R"></td>
    {if $is_admin}
    <td class="button_R"><button class="setup" onClick="window.open('./admin.php?mid=module_manager&amp;module_srl={$module_srl}');return false;"></button></td>
    {/if}
  </tr>
  </table>

  <form id='fo_insert' action='{$file_server}' method='post' onSubmit='return svc_write(this)' {if $upload_enable}enctype='multipart/form-data'{/if}>
  <input type='hidden' name='sid' value='{$sid}' />
  <input type='hidden' name='module_srl' value='{$module_srl}' />
  <input type='hidden' name='article_srl' value='{$article->article_srl}' />
  <input type='hidden' name='article' value="{$article->article|escape}" />

  <table width="100%" border="0" cellpadding="0" cellspacing="1" id="board_post">
  <tr>
    <td class="td">
      <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tbl_box">
      <tr>
        <th>
          {if !$member_srl}
          <table border="0" cellpadding="0" cellspacing="0" class="tbl_normal">
          <tr>
            <td height="30" width="60" class="desc bold fc_02">{$lang->common->fld_name}</td>
            <td><input name="writer" type="text" class="input" style="width:78px;" value="{$article->writer}" /></td>
            <td width="75" style="padding-right:10px;" align="right" class="desc bold fc_02">{$lang->common->fld_email}</td>
            <td><input name="email" type="text" class="input" style="width:180px;" value="{$article->email}" /></td>
          </tr>
          </table>
          <div class="hr_dot_01"></div>
          {/if}

          <table border="0" cellpadding="0" cellspacing="0" class="tbl_normal">
          <tr>
            <td height="30" width="60" class="desc bold fc_02">{$lang->common->fld_title}</td>
            <td width="359"><input type="text" class="input" style="width:351px;" name="title" value="{$article->title}" /></td>

            {if $is_admin}
            <td style="padding-left:10px;padding-top:1px;"><input type="checkbox" class="checkbox" name="is_notice" id="use_notice" value="Y" {if $article->is_notice eq 'Y'}checked{/if} /></td>
            <td nowrap="nowrap" class="desc fc_02" style="padding-right:25px;"><label for="use_notice">{$lang->common->fld_notice}</label></td>
            {/if}
            
            {if $serial_enable}
            <td style="padding-left:10px;padding-top:1px;"><input type="checkbox" class="checkbox" name="use_serial" id="use_series" value="Y" onclick="svc_toggle_serial(this)" {if $article->use_serial eq 'Y'}checked{/if} /></td>
            <td nowrap="nowrap" class="desc fc_02" style="padding-right:25px;"><label for="use_series">{$lang->common->fld_serial}</label></td>
            {/if}
          </tr>
          </table>

          {if $serial_enable}
          <div id="zone_serial" style="display:{if $article->use_serial eq 'Y'}block{else}none{/if};">
            <div class="hr_dot_01"></div>
            <table border="0" cellpadding="0" cellspacing="0" class="tbl_normal">
            <tr>
              <td height="30" width="60" class="desc bold fc_02">{$lang->common->fld_serial}</td>
              <td style="padding-right:6px;">
                <select name="serial_srl" class="select" style="width:165px;">
                  {if !$serial_list}<option value=''>{$lang->common->fld_serial_list}</option>{/if}
                  {foreach from=$serial_list item=obj key=key}
                  <option value='{$obj->serial_srl}'>{$obj->title}</option>
                  {/foreach}
                </select>
              </td>
              <td><input type="text" class="input" name="new_serial_title" style="width:180px;" /></td>
              <td style="padding-left:8px;"><button class="series_new" onClick="svc_add_serial(this);return false;"></button></td>
            </tr>
            </table>
          </div>
          {/if}

        </th>
      </tr>
      </table>

      {if $survey_enable}
      <div class="tab">
        <div class="tab_area">
          <div class="tab_01" id="tab1" onclick="this.className = 'tab_01'; document.getElementById('tab2').className = 'tab_02'; document.getElementById('survey_area').style.display = 'none'; document.getElementById('contents_area').style.display = 'block';">{$lang->common->btn_write_body}</div>
          <div class="tab_02" id="tab2" onclick="this.className = 'tab_01'; document.getElementById('tab1').className = 'tab_02'; document.getElementById('survey_area').style.display = 'block'; document.getElementById('contents_area').style.display = 'none';">{$lang->common->btn_write_survey}</div>
        </div>
        <div class="tab_btm"></div>
      </div>
      {/if}

      <div id="contents_area">
        <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tbl_box" style="margin-top:3px;">
        <tr>
          <th>
            {include file="$common_tpl_path/richtext_form.include.tpl" lang=$lang}
            <table border="0" cellpadding="0" cellspacing="0" class="tbl_normal" style="margin-top:5px;">
            <tr>
              <td height="20" style="padding-left:5px;padding-top:1px;"><input type="checkbox" class="checkbox" name="allow_comment" id="allow_comment" value="Y" {if $article->allow_comment eq 'Y' || !$article->article_srl}checked {/if}/></td>
              <td nowrap="nowrap" class="desc fc_02" style="padding-right:25px;"><label for="allow_comment">{$lang->common->fld_allow_comment}</label></td>

              {if $is_logged}
              <td style="padding-top:1px;"><input type="checkbox" class="checkbox" name="use_reply_message" id="allow_comment_to_msg" value="Y"  {if $article->use_reply_message eq 'Y'}checked {/if} /></td>
              <td nowrap="nowrap" class="desc fc_02" style="padding-right:25px;"><label for="allow_comment_to_msg">{$lang->common->fld_get_reply_message}</label></td>
              {/if}
            </tr>
            </table>
          </th>
        </tr>
        </table>

        <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tbl_box">
        <tr>
          <th>
            <table border="0" cellpadding="0" cellspacing="0" class="tbl_normal">
            <tr>
              <td height="30" width="60" class="desc fc_02">{$lang->common->fld_tag}</td>
              <td><input name="tag" type="text" class="input" value="{$article->tag}" style="width:261px;" /></td>
              <td width="80" class="desc fc_03" style="padding-left:10px;">{$lang->common->fld_tag_about}</td>
              <td style="padding-left:10px;padding-top:1px;"><input type="checkbox" class="checkbox" name="send_to_center" id="sync_center" value="Y" /></td>
              <td nowrap="nowrap" class="desc fc_02"><label for="sync_center">{$lang->common->fld_send_center}</label></td>
            </tr>
            </table>
            <div class="hr_dot_01"></div>
            <table border="0" cellpadding="0" cellspacing="0" class="tbl_normal">
            <tr>
              <td height="30" width="60" class="desc fc_02">{$lang->common->fld_trackback}</td>
              <td><input name="trackback_address" type="text" class="input" style="width:261px;" /></td>
              <td width="85" style="padding-left:5px;">
                {if $charset_list}
                <select name='charset'>
                  {foreach from=$charset_list item=obj}
                  <option value='{$obj}'>{$obj}</option>
                  {/foreach}
                </select>
                {/if}
              </td>
              <td style="padding-left:10px;padding-top:1px;"><input type="checkbox" class="checkbox" name="allow_trackback" id="allow_trackback" value="Y" {if $article->allow_trackback eq 'Y' || !$article->article_srl}checked {/if} /></td>
              <td nowrap="nowrap" class="desc fc_02" style="padding-right:25px;"><label for="allow_trackback">{$lang->common->fld_allow_trackback}</label></td>
            </tr>
            </table>
          </th>
        </tr>
        </table>

        {if $upload_enable}
        <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tbl_box">
        <tr>
          <th>
            <table border="0" cellpadding="0" cellspacing="0" class="tbl_normal">
            <tr>
              <td width="60" valign="top" class="desc fc_02" style="padding-top:9px;">{$lang->common->fld_upload}</td>
              <td colspan="3">
                <select size="4" style="width:359px;" name='upload_file'>
                  {foreach from=$file_list item=obj}
                  <option value="{$obj->filename}">{$obj->s_filename}</option>
                  {/foreach}
                </select>
              </td>
            </tr>
            <tr>
              <td height="30" valign="top" class="desc fc_02">&nbsp;</td>
              <td width="359">
                <script type='text/javascript'>
                  svc_print_binary_btn("./images/btn_file_attach.gif","./images/btn_file_delete.gif","./images/btn_file_insert.gif",100,22);
                </script>
              </td>
              <td style="padding-left:10px;padding-top:1px;"><input type="checkbox" class="checkbox" name="use_gallery" id="use_gallery" value="Y" {if $article->use_gallery eq 'Y'}checked{/if} /></td>
              <td nowrap="nowrap" class="desc fc_02"><label for="use_gallery">{$lang->common->fld_use_gallery}</label></td>
            </tr>
            </table>
          </th>
        </tr>
        </table>
        {/if}
      </div>

      {if $survey_enable}
      <div id="survey_area" style="display:none;">
        <div id='zone_survey_1'>
          <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tbl_box" style="margin-top:3px;">
          <tr>
            <th style="background-color:#FEFDFC;">
                <table border="0" cellpadding="0" cellspacing="0" class="tbl_normal">
                <tr>
                  <td height="30" width="60" class="desc bold fc_02">{$lang->common->fld_survey_content}</td>
                  <td width="359"><input name="survey_content_1" type="text" class="input" style="width:351px;" /></td>
                  <td style="padding-left:5px;" class="fc_02">
                    {$lang->common->fld_survey_checkcnt} : 
                    <select name='survey_checkcnt_1' id='survey_checkcnt_1'>
                      <option value='1'>1</option>
                      <option value='2'>2</option>
                    </select>
                  </td>
                </tr>
                </table>
                <div class="hr_dot_01"></div>
                <table border="0" cellpadding="0" cellspacing="0" class="tbl_normal" style="margin-top:5px;">
                <tr valign="top">
                  <td width="60" height="25" class="desc fc_02">{$lang->common->fld_survey_item}</td>
                  <td width="286">
                    <div id='zone_survey_item_1'>
                      <input name="survey_item_1_1" type="text" class="input survey_item" />
                      <input name="survey_item_1_2" type="text" class="input survey_item" />
                      <button class="item_add" onClick="svc_add_survey_item(this);return false;"></button>
                    </div>
                  </td>
                </tr>
                </table>
            </th>
          </tr>
          </table>
        </div>

        <div style="margin-top:10px"><button class="survey_add" onClick='svc_add_survey(this);return false;'></button></div>

      </div>
      {/if}

      {if !$member_srl}
      <table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="35%" valign="top">
          <table width="100%" height="80" border="0" cellpadding="0" cellspacing="1" class="tbl_box">
          <tr>
            <th>
              <table border="0" cellpadding="0" cellspacing="0" class="tbl_normal" align="center">
              <tr>
                <td height="30" width="60" class="bold desc fc_02">{$lang->common->fld_passwd}</td>
                <td><input name="passwd" type="password" class="input" style="width:100px;" /></td>
              </tr>
              </table>
            </th>
          </tr>
          </table>
        </td>

        {if $show_image_number}
        <td valign="top" style="padding-left:10px;">
          <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tbl_box">
          <tr>
            <th>
              <table border="0" align="center" cellpadding="0" cellspacing="0">
              <tr>
                <td rowspan="2" class="lh150 fc_02" style="padding-right:10px;">{$lang->common->fld_member_image_number}</td>
                <td width="100" align="center"><img src='./file_download.php?type=number' width='85' height='28' /></td>
              </tr>
              <tr>
                <td width="100" height="30" align="center"><input name="image_number" type="text" class="input" maxlength="5" style="width:79px;" /></td>
              </tr>
              </table>
            </th>
          </tr>
          </table>
        </td>
        {/if}

      </tr>
      </table>
      {/if}

    </td>
  </tr>
  </table>

  <table width="100%" border="0" cellspacing="0" cellpadding="0" id="board_head" class="bottom">
  <tr>
    <td class="bg_L"></td>
    <td class="bg_C">&nbsp;</td>
    <td class="bg_R"></td>
    <td class="button_R"><button class="goback" onClick="return zb5_board_cancel('{$list_url}');return false;"></button></td>
    <td class="button_R"><input type="submit" class="complete" value="" /></td>
  </tr>
  </table>

    </form>
</div>

<script type='text/javascript'>
  xAddEventListener(window, 'load', zEditInitModule);
</script>
