<?php

  class zGetArticles {

    var $newest_title = '';
    var $module_srl = 0;

    function getTpl($data) {

      // module_srl과 테마가 지정되어 있지 않으면 return
      if(!$data->info->module_srl || !$data->theme) return;

      // db, smarty, svc의 instance 생성
      $oDB = &zDB::instance();
      $oSmarty = &zSmarty::instance();
      $oSvc = &zSvc::instance();

      $plugin = $data->plugin;
      $theme = $data->theme;
      $module_srl = $oDB->addquotes($data->info->module_srl);
      $rows = $data->info->rows;
      if(!$rows) $rows = 5;
      $order = $data->info->order;
      if($order == 'modified') $order = 'modify_order';
      else $order = 'listorder';
      $this->newest_title = $data->info->newest_title;
      $this->module_image = $data->info->module_image;
      $this->module_srl = $data->info->module_srl;

      // 이 플러그인의 tpl 파일을 지정
      $tpl_file = sprintf("%s%s/theme/%s/get_articles.tpl", PLUGIN_DIR, $plugin, $theme);
      $this->image_path = sprintf("%s%s/theme/%s/images/", PLUGIN_DIR, $plugin, $theme);
      
      // 선택한 모듈의 최근 데이터 추출
      $module_srl = $oDB->addquotes($module_srl);
      $oDB->select('*','articles',"module_srl='{$module_srl}'",$order,0,$rows);

      while($tmp = $oDB->fetch()) {
        $tmp->url = zUrl::getViewUrl($tmp->article_srl);
        $tmp->article = strip_tags($tmp->article);
        $this->list[] = $tmp;
      }

      $this->list_cnt = count($this->list);

      // tpl 파일을 읽어와서 뿌려준다 (images 경로를 변경)
      return $oSmarty->assign_fetch($tpl_file, $this);
    }

  }

  // zSvc에서 사용할 수 있도록 클래스를 미리 선언한다
  $pluginObj = new zGetArticles();
?>
