<?php

  class zLinkList{

    function getTpl($data) {

      // 목록이나 테마가 지정되어 있지 않으면 return
      if(!$data->info->list || !$data->theme) return;

      // db, smarty, svc의 instance 생성
      $oDB = &zDB::instance();
      $oSmarty = &zSmarty::instance();

      // 테마, 현재 선택된 plugin을 변수 지정
      $theme = $data->theme;
      $plugin = $data->plugin;
      $list = $data->info->list;
      $this->s_title = $data->info->s_title;
      $this->s_title_image = $data->info->s_title_image;

      // 이 플러그인의 tpl 파일을 지정
      $tpl_file = sprintf("%s%s/theme/%s/link_list.tpl", PLUGIN_DIR, $plugin, $theme);
      $this->image_path = sprintf("%s%s/theme/%s/images/", PLUGIN_DIR, $plugin, $theme);

      // tpl 파일에서 쓰기 편하도록 정리
      $this->list = $this->getList($list);

      // tpl 파일을 읽어와서 뿌려준다 (images 경로를 변경)
      return $oSmarty->assign_fetch($tpl_file, $this);
    }

    function getList($list) {
      if(!$list) return;

      $tmp_list = explode("\n",$list);
      for($i=0;$i<count($tmp_list);$i++) {

        $tmp_arr = explode('|@|',$tmp_list[$i]);

        unset($obj);
        $obj->url = $tmp_arr[0];
        $obj->text = $tmp_arr[1];

        if(!eregi('^http|ftp|news',$obj->url)) $obj->url = "http://".$obj->url;

        if(eregi('gif|jpg|jpeg|png$',$obj->text)) $obj->text = "<img src=\"{$obj->text}\" border=\"0\" />";

        $output[] = $obj;
      }

      return $output;
    }

  }

  // zSvc에서 사용할 수 있도록 클래스를 미리 선언한다
  $pluginObj = new zLinkList();
?>
