<?php

  class zSiteStatus {

    function getTpl($data) {

      // 테마가 지정되어 있지 않으면 return
      if(!$data->theme) return;

      // db, smarty, svc의 instance 생성
      $oDB = &zDB::instance();
      $oSmarty = &zSmarty::instance();

      //  테마, 현재 선택된 plugin을 변수 지정
      $theme = $data->theme;
      $plugin = $data->plugin;
      $this->s_title = $data->info->s_title;
      $this->s_title_image = $data->info->s_title_image;

      // 이 플러그인의 tpl 파일을 지정
      $tpl_file = sprintf("%s%s/theme/%s/site_status.tpl", PLUGIN_DIR, $plugin, $theme);
      $this->image_path = sprintf("%s%s/theme/%s/images/", PLUGIN_DIR, $plugin, $theme);

      // 사이트 통계 추출
      $today = date("Ymd");
      $yesterday = date("Ymd",time()-60*60*24);

      $site_status = $oDB->selectList(array('regdate','unique','view'),'analytics',"regdate in ('00000000','{$today}','{$yesterday}')",'regdate');
      for($i=0;$i<count($site_status->list);$i++) {
        $obj = $site_status->list[$i];
        switch($obj->regdate) {
          case '00000000' :
              $this->total_visitor = $site_status->list[0]->unique;
              $this->total_pageview = $site_status->list[0]->view;
            break;
          case $today : 
              $this->today_visitor = $site_status->list[1]->unique;
              $this->today_pageview = $site_status->list[1]->view;
            break;
          case $yesterday : 
              $this->yester_visitor = $site_status->list[2]->unique;
              $this->yester_pageview = $site_status->list[2]->view;
            break;
        }
      }

      // tpl 파일을 읽어와서 뿌려준다 (images 경로를 변경)
      return $oSmarty->assign_fetch($tpl_file, $this);
    }
  }

  // zSvc에서 사용할 수 있도록 클래스를 미리 선언한다
  $pluginObj = new zSiteStatus();
?>
