<?php
  $sid = $_REQUEST['sid'];
  if(!$sid) exit();

  header("Content-Type: text/xml; charset=UTF-8");
  header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
  header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
  header("Cache-Control: no-store, no-cache, must-revalidate");
  header("Cache-Control: post-check=0, pre-check=0", false);
  header("Pragma: no-cache");

  define('INCLUDED_IN_ZB5', true);

  require_once("./zb.inc.php");
  require_class('zModuleManager');
  require_class('zArticle');

  $oSvc = &zSvc::instance();
  $oSvc->preProc();

  if(!$oSvc->selected_menu['module_srl']) exit();

  $oModule = zModuleManager::getInstanceByMid($oSvc->selected_menu['module_srl']);
  if(!$oModule) return;

  if($oSvc->selected_menu['use_succession'] == 'Y' && count($oSvc->selected_menu['child_module_list'])>1)
    $oModule->setChildList($oSvc->selected_menu['child_module_list']);

  $oModule->proc();
  $oModule->list_cnt = 20;

  $oArticle = &zArticle::instance($oModule);
  $output = $oArticle->getXmlDocument();

  print '<?xml version="1.0" encoding="utf-8" ?>'."\n";
  print "<!-- // RSS2.0 -->\n";

?>
<rss version="2.0" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:taxo="http://purl.org/rss/1.0/modules/taxonomy/">
<channel>
  <title><![CDATA[<?=$output->title?>]]></title>
  <link><![CDATA[<?=$output->link?>]]></link>
  <description><![CDATA[<?=$output->description?>]]></description>
  <language><?=$output->language?></language>
  <pubDate><?=$output->date?></pubDate>
<?  
  if(count($output->list)) {
    foreach($output->list as $article_srl => $data) {
?>
  <item>
    <title><![CDATA[<?=$data->title?>]]></title>
    <author><![CDATA[<?=$data->author?>]]></author>
    <link><![CDATA[<?=$data->link?>]]></link>
    <description><![CDATA[<?=$data->description?>]]></description>
    <pubDate><?=$data->date?></pubDate>
  </item>
<?
    }
  }
?>
</channel>
</rss>
